50.1
====
* Use triangular noise shape for dithering lightbox vignette [Michel; !4137]
* Fix glitch in quick settings with wrapped text in menu [Sebastian; !4136]
* Fit on-screen keyboard better on very small screens [Sebastian; !4156]
* Enable network agent on lock screen [Mitchell; !4160]
* Add basic zoom support to captive portal [Florian; !4159]
* Plugged leak [Sebastian; !4168]
* Misc. bug fixes and cleanups [Daniel, Florian, DaPigGuy, Sebastian, Peter,
  rayjonesjay, Jonas, Bilal, Mohamed; !4139, !4141, !4142, !4143, !4146, !4148,
  !4151, !4152, !4155, !4148, !4151, !4150, !4162, !4165, !4169, !4153]

Contributors:
  Mohamed Abdulla, Mitchell Augustin, DaPigGuy, Michel Dänzer,
  Bilal Elmoussaoui, Peter Hutterer, Sebastian Keller, Florian Müllner,
  rayjonesjay, Daniel van Vugt, Jonas Ådahl

Translators:
  Марко Костић [sr], Flynn Peck [kw], Antonio Marin [ro],
  Victoria Niedzielska [pl], Ryo Nakano [ja], Jordi Mas [ca], Jose Riha [sk]

50.0
====
* Improve accessibility of app folders [Sergio; !4109, !4116]
* Also respect --force-animation flag in remote sessions [Florian; !4118]
* Fix logout action showing up erroneously [Sebastian; !4121]
* Fix keyboard layout changing after leaving password entry [Maksim; !4101]
* Misc. bug fixes and cleanups [Sebastian, Florian, Daniel; !4113, !4114,
  !4119, !4120, !4128]

Contributors:
  Sergio Costas Rodriguez, Sebastian Keller, Maksim Mazko, Florian Müllner,
  Daniel Rusek

Translators:
  Victoria [pl], Bruce Cowan [en_GB], Ask Hjorth Larsen [da],
  Christian Kirbach [de]

50.rc
=====
* Fix cursor glitch on entry icons [Carlos; !4078]
* Fix stale folder icon after pinning apps to dash [Shivam; !4088]
* Improve support for logind inhibitors in system actions [Adrian; !4040]
* Plugged leaks [Sebastian; !4095, !4098]
* Misc. bug fixes and cleanups [Carlos, Sebastian, Jordan, Marco, Alessandro,
  Jonas, Florian; !4068, !4073, !4076, !4079, !4080, !4087, !4084, !4092,
  !4090, !4070]

Contributors:
  Alessandro Bono, Carlos Garnacho, Sebastian Keller, Florian Müllner,
  Jordan Petridis, Shivam, Marco Trevisan (Treviño), Adrian Vovk, Jonas Ådahl

Translators:
  Efstathios Iosifidis [el], Christian Kirbach [de],
  Baurzhan Muftakhidinov [kk], luming zh [zh_CN], Asier Saratsua Garmendia [eu],
  Fran Diéguez [gl], Jiri Grönroos [fi], Anders Jonsson [sv],
  Balázs Úr [hu], Daniel Mustieles [es], Changwoo Ryu [ko],
  小山田 純 - Oyamada Jun [ja], Hugo Carvalho [pt]

50.beta
=======
* Allow parents to extend screen time limits [Ignacy; !3980, !3999]
* Do not recreate default folders after they were removed [Sebastian; !4047]
* Use gnome-software for offline update support [Milan; !4034]
* Improve discrete GPU detection [Jan200101; !3193]
* Fix tab focus behavior in quick settings menu [Ramez; !4043]
* Handle external/locked keyboard layout sources in indicator [Jonas; !3901]
* Fix screen time tracking with idle inhibitors [Sebastian; !3709]
* Snap volume slider to 100% when using over-amplification [revisto; !4004]
* Do not expose password text in IM pre-edits [Joan; !4053]
* Plugged leak [Sebastian; !4045]
* Misc. bug fixes and cleanups [Carlos, Sebastian, Florian, Joan, Marco,
  Gabriel, Ramez; !3952, !4020, !4021, !4044, !4048, !4052, !4054, !4055,
  !3947, !3885, !4059, !4041, !4046, !4062, !4063, !4057]

Contributors:
  Milan Crha, Carlos Garnacho, Jan200101, Sebastian Keller, Ignacy Kuchciński,
  Ramez Medhat, Florian Müllner, Flynn Peck, Gabriel Poliker-Paul, revisto,
  Joan Torres Lopez, Marco Trevisan (Treviño), Jonas Ådahl

Translators:
  Martin [sl], BoF ButterflyOfFire [kab], Antonio Marin [ro], Sabri Ünal [tr],
  Kjartan Maraas [nb], Flynn Peck [kw], Rafael Fontenelle [pt_BR],
  Ekaterine Papava [ka], Quentin PAGÈS [oc], Yuri Chornoivan [uk],
  Artur S0 [ru], Cheng-Chia Tseng [zh_TW], Abduqadir Abliz [ug],
  Baurzhan Muftakhidinov [kk], Yaron Shahrabani [he],
  Aurimas Aurimas Černius [lt], Aefgh Threenine [th], twlvnn kraftwerk [bg],
  Victor Dargallo [ca], Jean-Marc TISSIERES [fr], Danial Behzadi [fa],
  Seiji Iizuka [ja], Daniel Rusek [cs]

50.alpha
========
* Fix lock screen notification setting for MPRIS clients without DesktopEntry
  [Sebastian K.; !3921]
* Fix wrong network icon on connectivity loss [Antoine; !3910]
* Sort session list on login screen by display name [Balló; !3920]
* Add extended OSK layouts for German and Austrian [Leonidas; !3923]
* Fix leaving VPN auth helper zombie processes [Michael; !3926]
* Fix freeze on modifier-only layout switch shortcut [Sebastian K.; !3939]
* Show OSD for any attempted brightness change [Sebastian W.; !3941]
* Use slider as bias when auto brightness is being used [Sebastian W.; !3935]
* Fix glitch in list search results [Florian; !3951]
* Continue transition from raw event handling to ClutterGesture [Carlos; !3912]
* Adapt to removal of X11 mutter backend [Bilal; !3768]
* Lock screen when reaching screen time limit in a child session [Ignacy; !3841]
* Fix activating app-switcher thumbnails via click [Håkon; !3959]
* Fix swipe gestures behaving erroneously in RTL locales [Florian; !3967]
* Disable internal commands if parental controls are enabled [Philip; !3968]
* Fix misplaced separator in dash after unpinning running app [Raghuveer; !1973]
* Fix glitch when (re)expanding notification group [SymphonySimper; !3978]
* Add extension support to test-tool [Florian; !3986]
* Fix lost focus on lock screen after resume from suspend [Lukas; !3962]
* Correctly expose/hide caps-lock warning to a11y tree [Lukáš; !3981]
* Stop recording when reissuing screencast shortcut [Ian; !3847]
* Indicate non-default power mode in top bar [Florian; !3961]
* Improve accessibility of icon buttons in screenshot tool [Lukáš; !3893]
* Fix user deselection after idle on login screen [Lukas; !3993]
* Improve readability of insensitive text [Sam; !3998]
* Use default color for muted microphone indicator [revisto; !4001]
* Show notification when allowed screen time is almost up [Ignacy; !3977]
* Add async ease variants [Florian; !3948]
* Support week-start-day setting [Evan; !4026]
* Fixed crash [Sebastian K.; !3933]
* Misc. bug fixes and cleanups [Florian, Davide, Sebastian K., Leonidas, Ignacy,
  Jonas, ClarityStorm, Carlos, Alessandro, Marco, Adrian, Philip, Sebastian W.,
  Debarshi, Hari, revisto, Takao, sudigit, Julian; !3916, !3903, !3919, !3922,
  !3925, !3918, !3931, !3927, !3932, !3924, !3937, !3930, !3929, !3940, !3942,
  !3945, !3946, !3943, !3950, !3938, !3954, !3708, !3958, !3917, !3964, !3971,
  !3973, !3983, !3982, !3987, !3985, !3989, !3988, !3994, !3944, !3991, !3996,
  !3995, !3992, !3997, !4000, !4005, !4007, !3784, !4027, !4016, !3979, !4018,
  !4032, !4031, !4037]

Contributors:
  Leonidas Adaktylos, Alessandro Bono, Michael Catanzaro, ClarityStorm,
  Bilal Elmoussaoui, Davide Ferracin, Takao Fujiwara, Carlos Garnacho,
  Balló György, Sam Hewitt, Håkon Hægland, Raghuveer Kasaraneni,
  Sebastian Keller, Ignacy Kuchciński, Antoine Lassagne, Florian Müllner,
  Ian Off, Evan Paterakis, Hari Rana, Debarshi Ray, revisto, Lukas Schmelting,
  Julian Sparber, sudigit, SymphonySimper, Marco Trevisan (Treviño),
  Lukáš Tyrychtr, Adrian Vovk, Sebastian Wick, Philip Withnall, Jonas Ådahl

Translators:
  Martin [sl], Nathan Follens [nl], Efstathios Iosifidis [el],
  Makoto Sakaguchi [ja], Emin Tufan Çetin [tr], سبحان [fa],
  Quentin PAGÈS [oc], Cheng-Chia Tseng [zh_TW], Artur S0 [ru],
  Andika Triwidada [id], Asier Saratsua Garmendia [eu], Antonio Marin [ro],
  Hugo Carvalho [pt], Baxrom Raxmatov [uz], Emilio Sepúlveda [ia],
  Baurzhan Muftakhidinov [kk], Kjartan Maraas [nb], Ibai Oihanguren Sala [eu]

49.1
====
* Fix freeze when dragging quick settings sliders on touch [Daniel; !3887]
* Fix key focus on choice list on login screen [Marco; !3849]
* Fix animation glitch when cancelling overview search [Noam; !3888]
* Also send activation token for notifications without app [Marco; !3891]
* Unify warning styling in dialogs [Marco; !3897]
* Update keyboard indicator on modifier-only layout switches [Carlos; !3895]
* Improve accessibility of screenshot UI [Lukáš; !3908]
* Improve Hindi bolnagri input with on-screen keyboard [Mike; !3911]
* Do not expire notifications that are about to show [Marco; !3905]
* Improve accessibility icons on login screen [Jakub; !3909]
* Make media messages follow notification policy [Florian; !3896]
* Misc. bug fixes and cleanups [Florian, SimonMaracine, Daniel, Marco; !3889,
  !3894, !3892, !3898, !3907, !3904]

Contributors:
  Mike FABIAN, Carlos Garnacho, Florian Müllner, Noam Raz, SimonMaracine,
  Jakub Steiner, Marco Trevisan (Treviño), Lukáš Tyrychtr, Daniel van Vugt

Translators:
  Quentin PAGÈS [oc], BoF ButterflyOfFire [kab], Abduqadir Abliz [ug],
  Милош Поповић [sr, sr@latin], Sabri Ünal [tr],
  Hugo Carvalho [pt], Jordi Mas [ca], Davide Ferracin [it],
  twlvnn kraftwerk [bg], Jean-Marc TISSIERES [fr], Fabio Tomat [fur]

49.0
====
* Fix misplaced background menu [Jonas; !3863]
* Fix toggling buttons via keyboard [Alessandro; !3865]
* Fix brightness controls not working after suspend [Sebastian; !3864]
* Fix layout of app search results in RTL locales [Khalid; !3851]
* Fix pointer a11y timeout animation [Carlos; !3877]
* Fix notification banners sometimes getting stuck [everyx; !3861]
* Fixed crash [Alessandro; !3872]
* Misc. bug fixes and cleanups [Marco, Florian, Pranav, Ignacy; !3855,
  !3866, !3867, !3856, !3868, !3836, !3870, !3869, !3871, !3876, !3875,
  !3873, !3884, !3860]

Contributors:
  Khalid Abu Shawarib, Alessandro Astone, everyx, Carlos Garnacho,
  Ignacy Kuchciński, Florian Müllner, Marco Trevisan (Treviño),
  Sebastian Wick, Jonas Ådahl

Translators:
  luming zh [zh_CN], Rafael Fontenelle [pt_BR], Bruce Cowan [en_GB],
  Balázs Úr [hu], Asier Saratsua Garmendia [eu], Ekaterine Papava [ka],
  Danial Behzadi [fa], Artur S0 [ru], Daniel Mustieles [es],
  Yuri Chornoivan [uk], Aurimas Aurimas Černius [lt], Anders Jonsson [sv],
  Changwoo Ryu [ko], Sabri Ünal [tr], Emilio Sepúlveda [ia],
  Ask Hjorth Larsen [da], Nathan Follens [nl], Pranav Jerry [ml],
  Antonio Marin [ro], Kristjan SCHMIDT [eo]

49.rc
=====
* Prefer physical scroll directions on sliders [Carlos; !3831]
* Tweak some animations [kramo; !3830]
* Add dedicated a11y labels to quick settings menu buttons [Lukáš; !3828]
* Fix connecting to WPA(2) Enterprise networks [Mitchell; !3834]
* Improve order in which extensions are enabled/disabled [Kyrill; !3835]
* Account for scaling when setting cursor location from ibus [Takao; !3729]
* Do not reset the unlock prompt on every tap [Marco; !3852]
* Improve legacy tray icon support [Marco; !3818]
* Move to ClutterGesture [Jonas; !2853]
* Improve styling of media notifications on lock screen [Florian, Jakub; !3838]
* Indicate when battery charging limits are in place [Florian; !3474]
* Use a clearer icon for active wifi connections without AP [Mitchell; !3840]
* Fixed crashes [Johannes, Daniel, Jonas; !3839, !3809]
* Plugged leak [Sebastian; !3854]
* Misc. bug fixes and cleanups [Florian, Óscar, Marco, Jamie, Philip, Jonas,
  Carlos; !3832, !3833, !3837, !3256, !3846, !3853, !3220, !3726, !3842, !3850]

Contributors:
  Mitchell Augustin, Jonas Dreßler, Óscar Fernández Díaz, Takao Fujiwara,
  Carlos Garnacho, Jamie Gravendeel, Sebastian Keller, kramo, Johannes Maibaum,
  Florian Müllner, Jakub Steiner, Marco Trevisan (Treviño), Lukáš Tyrychtr,
  Daniel van Vugt, Philip Withnall, Kyrill Zorin

Translators:
  Jordi Mas [ca], Martin [sl], Danial Behzadi [fa], Fran Diéguez [gl],
  Daniel Rusek [cs], Aefgh Threenine [th], Piotr Drąg [pl],
  Makoto Sakaguchi [ja], Yaron Shahrabani [he], Jiri Grönroos [fi]

49.beta.1
=========
* Port to gjs-1.85/girepository-2.0 [Florian; !3801]
* Change brightness scale stepUp/stepDown to 5% [Sebastian; !3826]
* Animate "Searching..." [Piotr; !3827]
* Show media controls on lock screen  [Florian; !3306]
* Misc. bug fixes and cleanups [Daniel, AsciiWolf, Michael, Florian; !3821,!3813, !3825]

Contributors:
  AsciiWolf, Michael Catanzaro, Rafael Fontenelle, Piotr Marendowski,
  Florian Müllner, Daniel Rusek, Sebastian Wick

Translators:
  Fran Diéguez [gl], Martin [sl], Rafael Fontenelle [pt_BR],
  Cheng-Chia Tseng [zh_TW], Artur S0 [ru]

49.beta
=======
* Fix showing pointer on motion on lock screen [Carlos; !3781]
* Replace Evince with Papers in Utilities folder [AsciiWolf; !3611]
* Improve keyboard navigation in Extensions app [Automeris; !3786]
* Use new libadwaita ShortcutsDialog in extensions app [Florian; !3788]
* Optionally allow restart/shutdown on lock screen [Joan; !3797]
* Fix taking interactive screenshots via D-Bus [Florian; !3803]
* Improve icon assets in accessibility menu on login screen [Sam; !3791]
* Group screenshot/screencast notifications [Julian; !3210]
* Fix pointer scaling glitches in magnifier [Marco; !475]
* Fix drawing glitch in sliders in RTL locales [Sebastian K., Khalid; !3817]
* Overhaul UI for extension pref errors [Florian; !3750]
* Show per-monitor brightness sliders in quick settings [Sebastian W.; !3751]
* Misc. bug fixes and cleanups [Florian, Marco, Sebastian K., Adrian, Mike,
  Jonas, Daniel; !3792, !3785, !3794, !3798, !3799, !3804, !3806, !3805,
  !3807, !3815, !3816, !3746, !3796, !3762]

Contributors:
  Khalid Abu Shawarib, AsciiWolf, Jonas Dreßler, Mike FABIAN, Carlos Garnacho,
  Sam Hewitt, Sebastian Keller, Florian Müllner, Automeris naranja,
  Daniel Rusek, Julian Sparber, Joan Torres Lopez, Marco Trevisan (Treviño),
  Adrian Vovk, Sebastian Wick

Translators:
  Aefgh Threenine [th], Martin [sl], Emilio Sepúlveda [ia],
  Emin Tufan Çetin [tr], Antonio Marin [ro], Fran Diéguez [gl]

49.alpha.1
==========
* Add support for pad dials [Joshua; !3583]
* Show workspace switcher OSD on all monitors [Oscar; !3734]
* Add missing accessibility labels in various components
  [Florian, Sergio; !3736, !3765, !3769, !3773, !3179]
* Add "gnome-extensions upload" command [Florian; !3712]
* Allow users to correct keyring password after failure [Alynx; !3757]
* Handle unknown power-profiles in quick settings [Morgan; !3774]
* Move do-not-disturb into quick settings [Florian, Jakub; !3691]
* Add dedicated accessibility menu on login screen [Florian; !3744]
* Misc. bug fixes and cleanups [Michael, Florian, Joan, Daniel v. V., Jordan,
  Daniel R., Thomas, Sebastian, Sam, Carlos; !3717, !3745, !3747, !3749, !3743,
  !3738, !3753, !3748, !3755, !3754, !3758, !3650, !3759, !3764, !3761, !3772,
  !3775, !3776, !3777, !3706, !3756, !3760]

Contributors:
  Thomas Booker, Michael Catanzaro, Sergio Costas Rodriguez, Mike FABIAN,
  Carlos Garnacho, Sam Hewitt, Joshua, Morgan, Florian Müllner,
  Jordan Petridis, Daniel Rusek, Oscar Sommerer, Jakub Steiner,
  Joan Torres López, Daniel van Vugt, Sebastian Wick, Alynx Zhou

Translators:
  Martin [sl], Emilio Sepúlveda [ia], Emin Tufan Çetin [tr],
  Vasil Pupkin [be], Jordi Mas [ca], Artur S0 [ru]

49.alpha.0
==========
* Only enable surrounding-text IM capability when needed [Takao; !3666]
* Fix launching command from terminal in run dialog [Balló; !3683]
* Ignore offset changes caused by suspend for screen time [Sebastian K.; !3707]
* Fix app folders sometimes not closing after outside clicks [Damien; !3713]
* Check all modifiers for modifier-scroll [Florian; !3725]
* Notify gnome-session when we're ready [Adrian; !3730]
* Support running shell via --devkit [Florian; !3731]
* Fix visibility of emoji key in on-screen-keyboard [Carlos; !3733]
* Stop using ratio character for time [Florian; !3732]
* Port to new MetaBacklight API [Sebastian W.; !3715]
* Fixed crash [Florian; !3721]
* Misc. bug fixes and cleanups [Philipp, Alynx, Florian, fossdd, Jordan;
  !3716, !3711, !3700, !3718, !3728, !3735, !3737, !3727, !3699, !3704,
  !3690, !3740, !3741, ]

Contributors:
  Jonas Ådahl, fossdd, Takao Fujiwara, Carlos Garnacho, Balló György,
  Sebastian Keller, Philipp Kiemle, Florian Müllner, Jordan Petridis,
  Damien Tournoud, Adrian Vovk, Alynx Zhou, Sebastian Wick

Translators:
  Juliano de Souza Camargo [pt_BR], Vasil Pupkin [be], Jun Oyamada [ja],
  Rūdolfs Mazurs [lv], Takayuki KUSANO [ja], Philipp Kiemle [de],
  Jose Riha [sk], Antonio Marin [ro], Emilio Sepúlveda [ia], Fabio Tomat [fur]

48.1
====
* Fix glitch in sliders when close to maximum [Sebastian; !3648]
* Fix detecting suspend/resume for time tracking [Sebastian; !3679]
* Fix wrongly sized images with fractional scaling [Jonas; !3680]
* Fix frozen cursor when using magnifier in push mode [Jerome; !3688]
* Fix session button on login screen after wrong password [Florian; !3638]
* Misc. bug fixes and cleanups [Florian, Philip, Balló, Andy; !3673,
  !3675, !3685, !3676, !3689, !3687, !3641, !3694, !3684, !3672]

Contributors:
  Jerome Brenier, Jonas Dreßler, Balló György, Andy Holmes, Sebastian Keller,
  Florian Müllner, Vasil Pupkin, Baxrom Raxmatov, Philip Withnall

Translators:
  Vasil Pupkin [be@latin], Daniel Mustieles [es], Antonio Marin [ro],
  Danial Behzadi [fa], Jose Riha [sk], Cheng-Chia Tseng [zh_TW],
  Danial Behzadi [fa], Jose Riha [sk], Cheng-Chia Tseng [zh_TW],

48.0
====
* Fix ibus candidate popup position [Peng; !3659]
* breakManager: Allow break to be taken or delayed when overdue [Philip; !3656]
* Fix audio selection dialog in light style [Laria; !3665]
* Misc. bug fixes and cleanups [Philip, Simon, Daniel, Florian, Jonas; !3655,
  !3662, !3664, !3669, !3667, !3670]

Contributors:
  Laria Carolin Chabowski, Simon McVittie, Florian Müllner, Daniel van Vugt,
  Philip Withnall, Peng Wu, Jonas Ådahl

Translators:
  Yuri Chornoivan [uk], Alexander Shopov [bg], Daniel Rusek [cs],
  Luming Zh [zh_CN], Changwoo Ryu [ko], Artur S0 [ru], Ekaterine Papava [ka],
  Martin [sl], Daniel Mustieles [es], Artur Miranda [pt_BR], Hugo Carvalho [pt],
  Piotr Drąg [pl], Balázs Úr [hu], Vasil Pupkin [be], Quentin PAGÈS [oc],
  Jordi Mas i Hernandez [ca], Fran Dieguez [gl], Aurimas Černius [lt],
  Ask Hjorth Larsen [da], Asier Saratsua Garmendia [eu], Anders Jonsson [sv],
  Sabri Ünal [tr], Yosef Or Boczko [he], Andika Triwidada [id],
  Brage Fuglseth [nb], A S Alam [pa], Bruce Cowan [en_GB], Cas Pascal [vi],
  Irénée THIRION [fr]

48.rc
=====
* Fix integer scaling for spinner [Daniel v. V.; !3634]
* Group notifications by app [Julian; !3012]
* Fix tracking inactive time for screen time limits [Florian; !3636]
* Fix occasional stacking glitch during overview transition [Keyu; !3460]
* Reorganize default dash/grid/folder apps [Florian, Allan; !3642]
* Handle suspend/resume when tracking screen time [Philip; !3643]
* Misc. bug fixes and cleanups [Marco, Florian, Sebastian, Daniel R.,
  Alessandro; !3629, !3630, !3631] !3620, !3637, !3635, !3632, !3616, !3633,
  !3639, !3649, !3646, !3647, !3651]

Contributors:
  Alessandro Astone, Allan Day, Florian Müllner, Daniel Rusek, Julian Sparber,
  Keyu Tao, Marco Trevisan (Treviño), Daniel van Vugt, Sebastian Wick,
  Philip Withnall

Translators:
  Cheng-Chia Tseng [zh_TW], Jordi Mas i Hernandez [ca], Sabri Ünal [tr],
  Jordi Mas [ca], Aurimas Černius [lt], Piotr Drąg [pl], Aefgh Threenine [th],
  Ekaterine Papava [ka], Andika Triwidada [id], Daniel Rusek [cs],
  Danial Behzadi [fa], Yuri Chornoivan [uk], Asier Sarasua Garmendia [eu],
  Yosef Or Boczko [he], twlvnn kraftwerk [bg], Quentin PAGÈS [oc],
  Luming Zh [zh_CN], Jiri Grönroos [fi], Hugo Carvalho [pt], Fran Dieguez [gl],
  A S Alam [pa], Brage Fuglseth [nb], Giannis Antypas [el]

48.beta
=======
* Fix overlapping tiles in app grid on hover [Sam; !3551]
* Improve screen time limit support
  [Philip, Florian; !3597, !3603, !3604, !3606]
* Fix default user avatar with light stsyle [Sam; !3596]
* Transition to new BoxLayout.orientation property
  [Florian, Carlos; !3614, !3618]
* Allow tracking screen time history with no limit set [Philip; !3610]
* Fix Extensions app losing state after shell restart [Florian; !3463]
* Support loading login banner message from file [Florian; !3558]
* Misc. bug fixes and cleanups [Florian, Daniel, Bilal, Philip, Adam, Carlos,
  Julian; !3600, !3601, !3528, !3510, !3605, !3607, !3609, !3613, !3615, !3598,
  !3617, !3599, !3612, !3621, !3619, !3429, !3627]

Contributors:
  Bilal Elmoussaoui, Carlos Garnacho, Sam Hewitt, Florian Müllner,
  Julian Sparber, Daniel van Vugt, Adam Williamson, Philip Withnall

Translators:
  Rafael Fontenelle [pt_BR], Artur S0 [ru], Quentin PAGÈS [oc],
  Emilio Sepúlveda [ia], Martin [sl], Philipp Kiemle [de]
48.alpha
========
* Improve quick settings accessibility [Lukáš; !3477, !3481, !3484, !3485]
* Use accent color in tablet configuration UI [Alice; !3480]
* Improve accuracy of inset box shadows [Daniel; !3488]
* Fix `PopupSwitchMenuItem::toggled` passing wrong state [Andrew; !3493]
* Consider text direction when handling arrow keys in sliders [Sundeep; !3500]
* Fix layout issues with new dialog style [Sam; !3473]
* Fix uneven padding in notification headers [Sam; !3486]
* Fix graphical artifacts in partially-rounded buttons [Sebastian; #7996]
* Do not depend on gnome-menus for folder translations [Pablo; !3526]
* Fix caret tracking in magnifier [Bilal; !3522]
* Show OSD notification for headphone connection [Sundeep; !3531]
* Improve accessibility of keyboard backlight quick settings toggle
  [Lukáš, Florian; !3538, !3545]
* Fix resetting non-caps shift key in on-screen keyboard [Jonas; !3286]
* Improve contrast of notification placeholder [Sam; !3557]
* Add support for screen time / health breaks [Philip; !3251]
* Add sysext support to toolbox tooling [Florian; !3498]
* Modernize spinner [Florian; !3565]
* extensions-app: Allow closing with ctrl+w [Maximiliano; !3577]
* Fix Escape handling in run dialog [Florian; !3585]
* Fix custom text-scaling-factor getting reset [Matthijs; !3574]
* Tweak ibus candidate popover appearance [AuralRay; !3584]
* Add convenience logging API for extensions [Florian; !3586]
* Improve on-screen keyboard appearance [Sam; !3555, !3553]
* Tweak quick settings appearance [Sam; !3554]
* Add support for screen time limits [Philip; !3397]
* Fixed crash [Florian; !3476]
* Misc. bug fixes and cleanups [Florian, Robert, Bilal, Marco, Guacamolie,
  Automeris, Daniel, Jonas, Georges, Michel, Bartłomiej, Alberto, AsciiWolf,
  Jakub, Sam; !3478, !3479, !3482, !3490, !3099, !3494, !3495, !3497, !3499,
  !3504, !3503, !3502, !3505, !3507, !3508, !3506, !3379, !3511, !3514, !3515,
  !3519, !3520, !3518, !3521, !3524, !3527, !3501, !3529, !3535, !3532, !3542,
  !3540, !3543, !3541, !3549, !3548, !3539, !3563, !3567, !3569, !3570, !3547,
  !3573, !3525, !3546, !3575, !3572, !3544, !3580, !3578, !3576, !3579, !3589,
  !3587, !3552, !3593]

Contributors:
  AsciiWolf, AuralRay, Georges Basile Stavracas Neto, Pablo Correa Gómez,
  Jonas Dreßler, Michel Dänzer, Bilal Elmoussaoui, Guacamolie, Sam Hewitt,
  Sebastian Keller, Robert Mader, Sundeep Mediratta, Alice Mikhaylenko,
  Florian Müllner, Bogi Napoleon Wennerström, Automeris naranja,
  Bartłomiej Piotrowski, Alberto Ruiz, Daniel Rusek, Maximiliano Sandoval,
  Jakub Steiner, Marco Trevisan (Treviño), Lukáš Tyrychtr, Daniel van Vugt,
  Matthijs Velsink, Philip Withnall, Andrew Zaech

Translators:
  Aefgh Threenine [th], Daniel Mustieles [es], Mahdi Hasan [bn],
  Brage Fuglseth [nb], Athmane MOKRAOUI [kab], Fabio Tomat [fur],
  Bogi Napoleon Wennerström [fo], Martin [sl], Emilio Sepúlveda [ia],
  Vasil Pupkin [be], Nathan Follens [nl], Artur S0 [ru],
  Марко Костић [sr], Yaron Shahrabani [he], Cas Pascal [vi],
  Sabri Ünal [tr]

47.0
====
* Fix new wifi connections for restricted users [Thore; !3462]
* Do not disable required animations [Alessandro; !2986]
* Fix showing pending PAM messages on login screen [Marco; !3466]
* Misc. bug fixes and cleanups [Alessandro, Balló, Sundeep, Martin, Peter,
  Florian; !3446, !3374, !3439, !3464, !3465]

Contributors:
  Alessandro Bono, Balló György, Peter Hutterer, Martin Abente Lahaye,
  Sundeep Mediratta, Florian Müllner, Thore Sommer, Marco Trevisan (Treviño)

Translators:
  Aefgh Threenine [th], Irénée THIRION [fr], twlvnn kraftwerk [bg],
  Alexander Shopov [bg], Daniel Mustieles [es], Aurimas Černius [lt],
  Fran Dieguez [gl], Anders Jonsson [sv], Andi Chandler [en_GB],
  Ask Hjorth Larsen [da], Rūdolfs Mazurs [lv], Balázs Úr [hu]

47.rc
=====
* Fix smartcard logins [Alessandro; !3448]
* Mark drag to dash as move operation [Daniel; !3453]
* Use rst2man to generate man pages [Florian; !3454]
* Fix glitch when quick settings menu animation is interrupted [Dylan; !2481]
* Plugged leak [Jonas; !3421]
* Misc. bug fixes and cleanups [Bilal, Florian, Sophie, Jonas; Martin; !3433,
  !3441, !3443, !3447, !3450, !3451, !3449, !3455, !3456, !3452, !3458, !3459]

Contributors:
  Jonas Ådahl, Alessandro Bono, Bilal Elmoussaoui, Sophie Herold,
  Martin Abente Lahaye, Dylan McCall, Florian Müllner, Daniel Sheeler

Translators:
  Balázs Úr [hu], Yosef Or Boczko [he], Giannis Antypas [el],
  Daniel Șerbănescu [ro], Jordi Mas [ca], Ekaterine Papava [ka],
  Asier Sarasua Garmendia [eu], Artur S0 [ru], Vasil Pupkin [be],
  Rafael Fontenelle [pt_BR], Jordi Mas i Hernandez [ca], Yuri Chornoivan [uk],
  Luming Zh [zh_CN], Jose Riha [sk], Jiri Grönroos [fi], Jürgen Benvenuti [de],
  Brage Fuglseth [nb], Daniel Rusek [cs], Danial Behzadi [fa],
  Quentin PAGÈS [oc], Changwoo Ryu [ko], Hugo Carvalho [pt], Piotr Drąg [pl],
  Andika Triwidada [id], Baurzhan Muftakhidinov [kk], Sabri Ünal [tr]

47.beta
=======
* Use hardware encoding for screen recordings if possible [Jonas D.; !2080]
* Allow notification portal to always use GTK protocol [Julian; !3382]
* Improve Persian on-screen keyboard layout [Sohrab; !3409]
* Build and publish GNOME OS systemd-sysext extensions [Martin; !3390]
* Make overview startup notification more reliable [Will; !3422, !3428]
* Fix keyboard navigation in app folders [sorelz; !3338]
* Support exporting DebugControl service from looking glass [Sebastian; !3425]
* Use low-power pipeline in screen recorder if possible [José; !3416]
* Show notification when detecting captive portal [Florian; !3408]
* Fix connecting to WPA2 enterprise networks [Tuomas; !3426]
* Use unlinked rounded buttons in notifications and dialogs [Sam; !3383, !3427]
* Misc. bug fixes and cleanups [Jonas Å., Florian, Sam, Bilal, kramo, Julian,
  sorelz, Sebastian; !3363, !3411, !3413, !3414, !3412, !3402, !3423, !3420,
  !3415, !3410, !3168, !3387, !3424, !3432, !3431, !3430]

Contributors:
  Jonas Ådahl, Sohrab Behdani, Jonas Dreßler, Bilal Elmoussaoui, Sam Hewitt,
  kramo, Martin Abente Lahaye, Florian Müllner, Tuomas Nurmi, José Relvas,
  sorelz, Julian Sparber, Will Thompson, Sebastian Wick

Translators:
  Ekaterine Papava [ka], Scrambled 777 [hi], Sabri Ünal [tr], Martin [sl],
  Chao-Hsiung Liao [zh_TW], Daniel Rusek [cs], Emin Tufan Çetin [tr]

47.alpha
========
* Fix size of workspace switcher OSD [Jakub; !3282]
* Fix handling of invalid TLS certs in portal handler [Sebastian K.; !3284]
* Exclude override-redirect windows from workspace animation [Marco; !3285]
* Also center time on lock screen when using 12h format [pesader; !3290]
* Use absolute tray icon position in root event coordinates [Marco; !3283]
* Fix displaying info messages on login screen [Ray; !3298]
* Correct expected bus name for streams [Simon; !3303]
* Fix notifications on lock screen [Florian; !3308]
* notifications: Only apply special styling to symbolic icons [Florian; !3296]
* Use three or more fingers for touchpad gestures [Gregor; !3275]
* Fix number of search results with Large Text option [Sam H.; !3312]
* Make overview spacings dynamic [Jonas D.; !3278]
* Fix showing keyboard layouts with variants [Sebastian K.; !3324]
* Tweak font sizes in calendar [Sam H.; !3313]
* automountManager: Fix re-asking password for TCRYPT devices [segfault; !3300]
* Port unit tests to jasmine [Sam S., Florian; !3164]
* Fix stuck unlock prompt when animations are disabled [Florian; !3317]
* Add extended on-screen keyboard layout for 'za' [Michael; !3309]
* Fix possible hang on startup during ibus-daemon launch [Marco; !3293]
* Allow fillPreferencesWindow() to be asyn [Leleat; !3348]
* Fix on-screen keyboard when windows are unredirected [Carlos; !3356]
* Switch to paint nodes [Georges; !1538]
* Stop using SVG assets for checks and switches [Alice, Daniel; !2717]
* Support accent color [Alice; !2715]
* Fix rendering artifacts of some rounded borders [Jonas D.; !3354]
* Fix overview animation glitch when windows overlap workspaces [Keyu; !3378]
* Support building with X11-less mutter [Bilal; !3362]
* Misc. bug fixes and cleanups [Monster, Sebastian W., Jamie, Florian, Gabriel,
  pesader, Sebastian K., Automeris, Jonas Å., Sam H., Jonas D., Ray, Bilal,
  Georges, Mister, Philip, Marco, Jakub, Jordan, Balló, Alessandro, Sundeep;
  !3224, !3267, !3254, !3280, !3248, !3281, !3289, !3288, !3270, !3295, !3299,
  !3310, !3315, !3322, !3326, !3321, !3319, !3329, !3327, !3314, !3320, !3331,
  !3337, !3245, !3332, !3340, !3344, !3347, !3350, !3349, !3351, !3352, !3353,
  !3355, !3358, !3357, !3359, !3307, !3323, !3365, !3366, !3367, !3369, !3370,
  !3361, !3142, !3368, !3291, !3371, !3375, !3311, !3376, !3377, !3380, !3373,
  !3385, !3386, !3396, !3398, !3403]

Contributors:
  Jonas Ådahl, Daniel Ruiz de Alegría, Alessandro Bono, Jonas Dreßler,
  Bilal Elmoussaoui, Michael Evans, Carlos Garnacho, Jamie Gravendeel,
  Balló György, Sam Hewitt, Sebastian Keller, Leleat, Simon McVittie,
  Sundeep Mediratta, Alice Mikhaylenko, Monster, Florian Müllner, Gabriel Nagy,
  Automeris naranja, Georges Basile Stavracas Neto, Gregor Niehl, pesader,
  Jordan Petridis, segfault, Mister Smör, Sam Spilsbury, Jakub Steiner,
  Ray Strode, Keyu Tao, Marco Trevisan (Treviño), Sebastian Wick,
  Philip Withnall

Translators:
  Martin [sl], Andika Triwidada [id], Yuri Chornoivan [uk], Hugo Carvalho [pt],
  Scrambled 777 [hi], Jose Riha [sk], Balázs Úr [hu], Quentin PAGÈS [oc],
  Artur S0 [ru], Yosef Or Boczko [he]

46.1
====
* Improve notification of conflicting session [Joan; !3235]
* Add shift level to Korean OSK layout [Carlos; !3222]
* Fix markup support in notifications [Sebastian; !3247]
* extensions-app: Fix empty rows with '&' in extension name [Florian; !3266]
* extensions-app: Improve HIG compliance [Automeris; !3269, !3271]
* Omit expand buttons in notification banners [Julian; !3249]
* Misc. bug fixes and cleanups [dcz, Totto16, Sebastian, Florian;
  !3262, !3253, !3260, !3234]

Contributors:
  dcz, Carlos Garnacho, Sebastian Keller, Robert Mader, Florian Müllner,
  Automeris naranja, Julian Sparber, Joan Torres, Totto16, Sebastian Wick

Translators:
  Danial Behzadi [fa], Baurzhan Muftakhidinov [kk], Anders Jonsson [sv],
  Aurimas Černius [lt], Yuri Chornoivan [uk], Daniel Rusek [cs],
  Ekaterine Papava [ka], Asier Sarasua Garmendia [eu], Jiri Grönroos [fi],
  Piotr Drąg [pl], Yaron Shahrabani [he], Brage Fuglseth [nb], A S Alam [pa],
  Christian Kirbach [de], Milo Casagrande [it], Fran Dieguez [gl],
  Jordi Mas i Hernandez [ca], Jordi Mas [ca], Sabri Ünal [tr],
  Boyuan Yang [zh_CN], Athmane MOKRAOUI [kab], Vincent Chatelain [fr],
  Милош Поповић [sr, sr@latin], Martin [sl], Nathan Follens [nl], Artur S0 [ru],
  Juliano de Souza Camargo [pt_BR], Changwoo Ryu [ko], Jose Riha [sk],
  Fabio Tomat [fur], Peter Vágner [sk], Andi Chandler [en_GB]

46.0
====
* Fix model selection in on-screen keyboard [Jonas; !3230]
* Fix key getting stuck when raising screen shield [Jonas; !3231]
* Fix notifications sometimes being empty [Julian; !3229]
* Fix cursor visibilty when magnified [Sebastian; !3237]
* Fixed crashes [Jonas, Sebastian; !3233, !3239]
* Misc. bug fixes and cleanups [Carlos, Yotam, Aleksandr, Florian, Joan, Sam;
  !3225, !3161, !3232, !3226, !3236, !3203, !3238]

Contributors:
  Yotam Bar-On, Jonas Dreßler, Carlos Garnacho, Sam Hewitt, Sebastian Keller,
  Aleksandr Mezin, Florian Müllner, Julian Sparber, Joan Torres

Translators:
  Sabri Ünal [tr], Yuri Chornoivan [uk], Piotr Drąg [pl], Jiri Grönroos [fi],
  Ekaterine Papava [ka], Aurimas Černius [lt], Yaron Shahrabani [he],
  Daniel Mustieles [es], Asier Sarasua Garmendia [eu], Guillaume Bernard [fr],
  Jordi Mas i Hernandez [ca], Matej Urbančič [sl], Bruce Cowan [en_GB],
  Baurzhan Muftakhidinov [kk], Brage Fuglseth [nb], Andika Triwidada [id],
  Quentin PAGÈS [oc], Rūdolfs Mazurs [lv], Anders Jonsson [sv],
  Fran Dieguez [gl], Milo Casagrande [it], Balázs Úr [hu], Philipp Kiemle [de],
  Artur S0 [ru], Changwoo Ryu [ko], Ask Hjorth Larsen [da],
  Athmane MOKRAOUI [kab]

46.rc
=====
* Fix repainting drawing area [Florian; !3190]
* Support locking down extension installation [Florian; !3180]
* Fix auto-closing FDO notifications [Florian; !3204]
* Ensure remote actions are activated with correct platform data [Julian; !3198]
* FDO notifications: Support ActivationToken signal [Julian; !3199]
* Delete selected text on backspace from on-screen keyboard [Sebastian; !2746]
* Various on-screen keyboard improvements [Carlos; !3162]
* Inform users of conflicting local/remote sessions on login [Joan; !3134]
* screencasts: Use h264 encoding if available [Jonas; !3211]
* Work around issue in NetworkManager's wireguard support [Jonas; !3219]
* Allow expanding notifications in message list [Julian; !3173]
* Fixed crash [Marco; !2267]
* Misc. bug fixes and cleanups [Paul, Florian, Carlos, Julian, Bilal, Automeris,
  Ray, Sam, Daniel, Sophie; !3186, !3187, !3028, !3188, !3189, !3191, !3192,
  !3147, !3195, !3197, !3196, !2765, !3200, !3202, !3201, !3206, !3208, !3213,
  !3207, !3214, !3215, !3216, !3209, !3217, !3221]

Contributors:
  Jonas Dreßler, Bilal Elmoussaoui, Carlos Garnacho, Sophie Herold, Sam Hewitt,
  Paul Hollinsky, Sebastian Keller, Florian Müllner, Automeris naranja,
  Julian Sparber, Ray Strode, Joan Torres, Marco Trevisan (Treviño),
  Daniel van Vugt

Translators:
  Ekaterine Papava [ka], Danial Behzadi [fa], Marek Černocký [cs],
  Sabri Ünal [tr], Artur S0 [ru], Yuri Chornoivan [uk], Fran Dieguez [gl],
  Vasil Pupkin [be], Asier Sarasua Garmendia [eu], Yaron Shahrabani [he],
  Daniel Rusek [cs], Brage Fuglseth [nb], Emin Tufan Çetin [tr],
  Nathan Follens [nl], Aurimas Černius [lt], Matej Urbančič [sl],
  Daniel Mustieles [es], Quique Serrano [ca], Irénée THIRION [fr],
  Kukuh Syafaat [id], Luming Zh [zh_CN], Jordi Mas i Hernandez [ca],
  Bruce Cowan [en_GB], Quentin PAGÈS [oc], Baurzhan Muftakhidinov [kk],
  Rūdolfs Mazurs [lv], Chao-Hsiung Liao [zh_TW], Guillaume Bernard [fr],
  Jürgen Benvenuti [de], Philipp Kiemle [de], Jiri Grönroos [fi]

46.beta
=======
* Improve High Contrast styling
  [Sam; !3063, !3075, !3076, !3097, !3143, !3120, !3154]
* Improve default styling [Sam; !3044, !3084, !3102, !3140, !3167]
* Close mount notification when drive gets disconnected [Florian; !3089]
* extensions-app: Remember window state [Florian; !3115]
* Fix feedback look in keyboard backlight slider [Barnabás; !3086]
* Follow "switch-shapes" accessibility setting [Florian; !3107]
* Fix effects of transient wayland windows [Florian; !3125]
* Add keyboard model configuration support [Leorize; !2583]
* Add Text Editor to the dash by default [Allan; !3135]
* Fix icon size regression in dash [Sam; !3119]
* Improve project and development documentation [Florian; !3122]
* overview: Keep dimming effect for modal dialogs [Florian; !3151]
* Do not use markup in button labels [Carlos; !3149]
* Fix menu alignment in RTL locales [Florian; !3150]
* Overhaul assets in monitor layout switcher [Sam; !3128]
* Fix overview transition from search results to session [Suryashankar; !3152]
* Add header to notifications [Julian; !3103]
* extensions-app: Use adaptive dialogs [Florian; !3148]
* Register custom D-Bus errors [Florian; !3159, !3160]
* Improve appearance of symbolic icons in notifications [Julian; !3066]
* Improve minimize animation [Keyu; !2968]
* Use a single source for all system notifications [Julian; !3156]
* Add missing shift level to Georgian OSK layout [Carlos; !3145]
* Tweak switch appearance [kramo; !3077]
* Improve handling of screencast failures [Jonas; !2976]
* Fixed crash [Florian; !3117]
* Misc. bug fixes and cleanups [Julian, Robert, Bilal, Florian, Georges, Sam,
  Shmuel, Jonas, Andy, Evan, Óscar, Bilal; !3059, !2982, !3026, !3105, !3104,
  !3106, !3109, !3110, !3112, !3111, !3113, !3114, !3118, !3121, !3098, !3123,
  !3126, !3129, !3136, !3138, !3139, !3137, !3133, !3132, !3130, !3131, !3141,
  !3146, !786, !2475, !2901, !2037, !3153, !3158, !3155, !3165, !3171, !3169,
  !3127, !3172, !3157, !3170, !3175, !3176, !3178, !3177, !3181]

Contributors:
  Suryashankar Das, Allan Day, Jonas Dreßler, Bilal Elmoussaoui,
  Óscar Fernández Diaz, Carlos Garnacho, Sam Hewitt, Andy Holmes, kramo,
  Leorize, Robert Mader, Shmuel Melamud, Florian Müllner,
  Georges Basile Stavracas Neto, Barnabás Pőcze, Julian Sparber, Keyu Tao,
  Evan Welsh

Translators:
  Ekaterine Papava [ka], Artur S0 [ru], Sabri Ünal [tr], Balázs Meskó [hu],
  Danial Behzadi [fa], A S Alam [pa], Daniel Rusek [cs], Fran Dieguez [gl],
  Vasil Pupkin [be], Yosef Or Boczko [he]

46.alpha
========
* Fix scroll handling on sliders [Carlos; !2967]
* overview: Handle unredirection as part of the state transition [Robert; !2970]
* Handle DESKTOP windows during workspace animations [Sundeep; !2865]
* Improve wording in welcome dialog [Automeris, Florian; !2963, !2962]
* Improve recording indicator in light style [Georges; !2983]
* Fix calendar popup shrinking on date changes [Sebastian K.; !2989]
* app: Make all windows on target workspace recent when activated
  [Sebastian W.; !2991]
* Fix performance degradation due to repeated signal leak [Sebastian K.; !3001]
* Optimize application search [Sebastian K.; !3004]
* Fix on-screen keyboard backspace getting stuck [Sebastian K.; !3009]
* Adapt to ClutterContainer removal [Zander; !3010, !3014]
* Fix arrow navigation in search results [Sebastian K.; !3015]
* Improve monitor OSD labels [Sam; !3016]
* Support async code in Eval() D-Bus method [Florian; !3021]
* Fix sliders not requesting any size [Florian; !2994]
* Only show prefs dialog after the extension has been loaded [Florian; !3025]
* Use dedicated assets in ctrl-alt-tab popup [Sam; !3019]
* Improve high-contrast styling [Sam; !3030]
* Fix mapping of tablet rings/strips [Peter; !3029]
* Add support for "version-name" field in extension metainfo
  [Aryan, Florian; !2995, !3034]
* Add more toolbox developer tooling [Florian; !2935, !3040]
* Use less ambiguous symbols for radio menu items [Sam; !3027]
* Improve icon- and text scaling [Sam; !3033]
* Modernize Extensions app [Florian; !3048, !3051, !3067]
* Use gi-docgen for API documentation [Zander; !1873]
* Improve high-contrast styling [Sam; !3017]
* Allow any enter key to be used to screenshot [Scott; !2777]
* Remove X11-specific icon fallback [Florian; !3056]
* Replace StBin's custom layout code [Florian; !3046]
* Minimize need to rebase when loading extensions [Sundeep; !2851]
* Add D-Bus method to take interactive screenshots [Georges; !2999]
* Add shortcuts to open new window of pinned apps [Florian, Leleat; !1829]
* Fix spinner in light style variant [Florian; !3080]
* Improve handling of enabled-but-inactive extensions [Florian; !3073]
* Improve formatting of extension errors [Philip; !3041]
* Fixed crashes [Daniel, Sebastian K., Carlos, Florian; !2975, !2974, !2993,
  !3018, !3011, !3006]
* Misc. bug fixes and cleanups [Florian, Martin, Alessandro, Bilal,
  Sebastian K., Barnabás, Jonas, Julian, Charles, Daniel, Automeris, Cassidy,
  Carlos, Sam, Sabri, Jonian, Sebastian W.; !2966, !2978, !2987, !2988, !2808,
  !2964, !3000, !3005, !3008, !3013, !2190, !3020, !3023, !2997, !3031, !3042,
  !3043, !3045, !3047, !3049, !2653, !3052, !3050, !3054, !3055, !1905, !3060,
  !3061, !2950, !3062, !3068, !3058, !3064, !3072, !3071, !3079, !2998, !3085,
  !3083, !3088, !3087, !3091, !3057, !3090]

Contributors:
  Cassidy James Blaede, Alessandro Bono, Zander Brown, Scott Buchanan,
  Philip Chimento, Jonas Dreßler, Bilal Elmoussaoui, Carlos Garnacho,
  Jonian Guveli, Sam Hewitt, Peter Hutterer, Aryan Kaushik, Sebastian Keller,
  Leleat, Robert Mader, Sundeep Mediratta, Florian Müllner, Automeris naranja,
  Georges Basile Stavracas Neto, Barnabás Pőcze, Julian Sparber, Sabri Ünal,
  Daniel van Vugt, Sebastian Wick, Charles Wong, Martin Zurowietz

Translators:
  Jordi Mas [ca], Fabio Tomat [fur], Ekaterine Papava [ka], Sabri Ünal [tr],
  Cheng-Chia Tseng [zh_TW], Changwoo Ryu [ko], Florentina Mușat [ro],
  Brage Fuglseth [nb], Evangelos Skarmoutsos [el], Efstathios Iosifidis [el],
  Quentin PAGÈS [oc], Jürgen Benvenuti [de], Daniel Șerbănescu [ro],
  Artur S0 [ru], Марко Костић [sr], Hugo Carvalho [pt], Ngọc Quân Trần [vi],
  Dušan Kazik [sk], Aefgh Threenine [th]

45.0
====
* Fix exposing window previews on lock screen via keyboard shortcuts
  [Florian; !2944]
* Improve handling of latched vs. locked modes in OSK [Carlos; !2945]
* Fix regression in workspace state tracking [Florian; !2949]
* Update extensions immediately on startup after major upgrades [Florian; !2951]
* Reverse slider direction in RTL locales [Khalid; !2943]
* Misc. bug fixes and cleanups [Hollow, xiaofan, Florian; !2946, !2947, !2952,
  !2956]

Contributors:
  Carlos Garnacho, Hollow Man, Florian Müllner, Khalid Abu Shawarib, xiaofan

Translators:
  Anders Jonsson [sv], Jordi Mas [ca], Rafael Fontenelle [pt_BR],
  Matej Urbančič [sl], Irénée THIRION [fr], Carmen Bianca BAKKER [eo],
  Rūdolfs Mazurs [lv], Artur S0 [ru]

45.rc
=====
* Allow notification dismissal with backspace [Chris; !2435]
* Add workspace indicators in activities button [Georges; !2902]
* Add extension hook to add quick settings items [Florian; !2894]
* Fix legibility issue in calendar [Jakub; !2857]
* Fix three-finger swipes on touchscreens [Carlos; !2910]
* Add more options to `gnome-extensions create` [Florian; !2889]
* Fix scrolling regression in ScrollView [Andrew; !2920]
* Fix broken workspace animation with swipe gesture [Carlos; !2918]
* Restore focus indication in system entries [Florian; !2922]
* Use UUID as fallback extension gettext domain [Florian; !2888]
* Reflect core app change in default "Utilities" folder [kramo; !2916]
* Support OWE networks in status menu [Florian; !2927]
* Show immediate feedback when toggling bluetooth [Florian; !2815]
* Switch workspaces when scrolling over activities button [Florian; !2933]
* Wrap around when navigating menus with arrow keys [Lukáš; !2525]
* Fix background apps menu showing up empty [Florian; !2938]
* Misc. bug fixes and cleanups [Florian, Dallas, Georges, Sebastian, Brendan,
  Simon, Marco, Daniel, Stuart, Bilal, Carlos, aliriza, Bryan; !2884, !2885,
  !2881, !2887, !2893, !2891, !2729, !2892, !2897, !2898, !2899, !2900, !2828,
  !2903, !2904, !2859, !2911, !2912, !2917, !2919, !2873, !2928, !2924, !2926,
  !2930, !2932, !2934, !2936, !2875, !2938, !2940, !2939]

Contributors:
  aliriza, Bilal Elmoussaoui, Carlos Garnacho, Stuart Hayhurst, Chris Heywood,
  Sebastian Keller, kramo, Florian Müllner, Georges Basile Stavracas Neto,
  Bryan Ricker, Simon Schneegans, Jakub Steiner, Dallas Strouse,
  Marco Trevisan (Treviño), Lukáš Tyrychtr, Daniel van Vugt, Brendan William,
  Andrew Zaech

Translators:
  Fran Dieguez [gl], Asier Sarasua Garmendia [eu], Quentin PAGÈS [oc],
  Sabri Ünal [tr], Baurzhan Muftakhidinov [kk], Ekaterine Papava [ka],
  Jordi Mas [ca], Yuri Chornoivan [uk], Piotr Drąg [pl], Vasil Pupkin [be],
  Philipp Kiemle [de], Daniel Rusek [cs], Daniel Mustieles [es],
  Danial Behzadi [fa], Amn Alam [pa], Artur S0 [ru], Yosef Or Boczko [he],
  Jiri Grönroos [fi], Nathan Follens [nl], Luming Zh [zh_CN],
  Kukuh Syafaat [id], Milo Casagrande [it], Aurimas Černius [lt],
  Changwoo Ryu [ko], A S Alam [pa], Alan Mortensen [da], Balázs Úr [hu],
  Bruce Cowan [en_GB]

45.beta.1
=========
* Fix input handling in alt-tab and several other components [Carlos; !2872]
* Fix screenshot tool [Florian; 2877]
* Export notification source classes for extensions [Andy; 2869]
* Finishing ESM porting touches [Florian; 2880]
* Misc. bug fixes and cleanups [Andrew, Carlos, Florian; !2866, !2871,
  !2876, !2878, !2879]

Contributors:
  Carlos Garnacho, Florian Müllner, Andy Holmes, Andrew Zaech

Translators:
  Piotr Drąg [pl], Kukuh Syafaat [id]

45.beta
=======
* Load extensions as modules [Florian; !2795]
* Run "perf" tests as external scripts [Florian; !2812]
* Remove toLocaleFormat() from date [Evan; !2827]
* Use Tecla for keyboard layout previews [Carlos; !2834]
* Fix accessibility of quick settings sliders [Lukáš; !2762]
* Port to EcmaScript modules [Evan, Florian; !2842, !2822, !1499, !2868]
* Overhaul ExtensionUtils API for modules [Florian; !2832, !2837, !2838]
* Add a camera indicator [Robert]
* Add keyboard backlight quick toggle [Florian; !2820]
* Hide popup menu ornaments by default [Florian, Sebastian; !2843]
* Improve light style variant [Sam; !2823]
* Add InjectionManager convenience API for extensions [Florian; !2809]
* Use per-direction labels on ring/strip tablet actions [Carlos; !2766]
* Misc. bug fixes and cleanups [Florian, Robert, Carlos, Daniel, Sebastian,
  Takao; !2807, !2814, !2831, !2830, !2829, !2835, !2836, !2824, !2841, !2845,
  !2846, !2850, !2849, !2844, !2854, !2852, !2855, !2856, !2860, !2718, !2861,
  !2862, !2864, !2668, !2666]

Contributors:
  Takao Fujiwara, Carlos Garnacho, Sam Hewitt, Sebastian Keller, Robert Mader,
  Florian Müllner, Lukáš Tyrychtr, Daniel van Vugt, Evan Welsh

Translators:
  Vasil Pupkin [be], Fabio Tomat [fur], Balázs Úr [hu], Ekaterine Papava [ka],
  Yuri Chornoivan [uk], Artur So [ru], Danial Behzadi [fa], Ngọc Quân Trần [vi],
  Yosef Or Boczko [he], Boyuan Yang [zh_CN], Hugo Carvalho [pt],
  Daniel Rusek [cs], Jiri Grönroos [fi], Florentina Musat [ro],
  Fran Dieguez [gl], Daniel Mustieles [es]

45.alpha
========
* Improve background apps menu [Florian; !2732, !2790]
* Complete GTK4 port [Florian; !2690, !2733]
* Use user-defined names in bluetooth menu [Florian; !2751]
* Improve the built-in screen recorder
  [Jonas, Robert; !2197, !2609, !2752, !2597, !2754, !2782]
* Remove the app menu [Jonas; !2610]
* Fix stuck authentication dialog in remote sessions [Joan; !2761]
* Provide generated toolbox images for development [Florian; !2713]
* Fix glitches in calendar when using large-text option [Sebastian; !2759]
* Use icons for ornaments in popup menus [maniacx; !2767]
* Improve calendar styling [Sam; !2769]
* Fix IM popup getting stuck on engine changes [Daniel D.; !2774]
* Support color-scheme setting for default stylesheet [Florian; !2324]
* Remove Soup2 support [Florian; !2776]
* Expose public functions for search provider registration [Andy; !2783]
* Fix cursor offset when using magnifier [Андрей; !2780]
* Modernize Extensions app UI [Christopher; !2802]
* Fix missing workspace borders after wallpaper changes [Florian; !2801]
* Port auxiliary services and apps to ESM [Florian; !2786]
* Add shortcut for toggling quick settings [Florian; !2716]
* Fixed crashes [Carlos, Evan; !2756, !2781]
* Misc. bug fixes and cleanups [Florian, Automeris, Daniel v. V., Jonas, Sam,
  Zacharie, Joan, Evan, Martin; !2741, !2742, !2743, !2683, !2650, !2753, !2757,
  !2755, !2768, !2772, !2770, !2665, !2775, !2791, !2792, !2563, !2796, !2799,
  !2778, !2805, !2806, !2804, !2794, !2813, !2811, !2800, !2816, !2798, !2821]

Contributors:
  Christopher Davis, Daniel Drake, Jonas Dreßler, Zacharie DUBRULLE,
  Carlos Garnacho, Sam Hewitt, Andy Holmes, Sebastian Keller, maniacx,
  Florian Müllner, Automeris naranja, robert.mader@collabora.com, Joan Torres,
  Daniel van Vugt, Evan Welsh, Martin Zurowietz, Андрей Гриценко

Translators:
  Fabio Tomat [fur], Jiri Grönroos [fi], Sabri Ünal [tr],
  Gianvito Cavasoli [it], Guillaume Bernard [fr], Jordi Mas [ca],
  Yosef Or Boczko [he], Daniel Rusek [cs], Rafael Fontenelle [pt_BR],
  Jordi Mas i Hernandez [ca], Hugo Carvalho [pt], Julia Dronova [ru],
  Dušan Kazik [sk], Bruce Cowan [en_GB]

44.1
====
* Add section title in background apps menu [Florian; !2681]
* Fix visibility of xembed icons [Marco; !2684]
* Fix placeholder alignment in bluetooth menu [Sebastian; !2687]
* Fix recording screenshots in recent items [Carlos, Adam; !2692, !2725]
* Fix reloading extensions on version-validation changes [Florian; !2694]
* Fix force-enabling animations at runtime [Florian; !2698]
* Fix stuck session after logout dialog timeout [Florian; !2696]
* Fix window screenshots with pointer [Ivan; !2710, !2702]
* Only show network subtitles if they don't match the title [Georges; !2682]
* Fix constructing QuickMenuToggles with icon-name [Florian; !2726]
* Fix accessible names in VPN menu [Lukáš; !2720]
* Don't fail extracting extensions without schemas [Andy; !2727]
* Fixes and improvements to the light theme variant [Sam; !2515]
* Improve accessible name of wireless menu items [Lukáš; !2724]
* Use consistent naming for "Power Mode" toggle [Automeris; !2697]
* Fix support for transparent colors in symbolic SVGs [Florian; !2731]
* Fix notifications getting stuck indefinitely [msizanoen1; !2736]
* Fix keynav of menu-less buttons [Florian; !2734]
* Fix corner cases when matching apps on StartupWmClass [Marco; !2721]
* Fix occasional misalignment of search results [Sebastian; !2744]
* Fix regression in content-type sniffing on autorun [Balló; !2745]
* Fix building API documentation [Bobby; !2749]
* Fixed crash [Jonas Å.; !2722]
* Plugged leak [Sebastian; !2737]
* Misc. bug fixes and cleanups [Florian, Will, Daniel, Marco, Sebastian,
  Jordan, Jonas D.; !2679, !2689, !2693, !2639, !2661, !2685, !2709, !2699,
  !2711, !2723, !2728, !2730, !2739, !2738, !2740, !2712, !2695, !2193]

Contributors:
  Jonas Ådahl, Jonas Dreßler, Carlos Garnacho, Balló György, Sam Hewitt,
  Andy Holmes, Sebastian Keller, Ivan Molodetskikh, msizanoen1, Florian Müllner,
  Automeris naranja, Georges Basile Stavracas Neto, Jordan Petridis, Bobby Rong,
  Will Thompson, Marco Trevisan (Treviño), Lukáš Tyrychtr, Daniel van Vugt,
  Adam Williamson

Translators:
  Fran Dieguez [gl], Balázs Úr [hu], Andika Triwidada [id], Anders Jonsson [sv],
  Martin [sl], Danial Behzadi [fa], Bruce Cowan [en_GB], Rūdolfs Mazurs [lv],
  Asier Sarasua Garmendia [eu], Nathan Follens [nl], Sabri Ünal [tr],
  Boyuan Yang [zh_CN], Guillaume Bernard [fr], Alexander Shopov [bg],
  Aleksandr Melman [ru], MohammadSaleh Kamyab [fa], Yuri Chornoivan [uk],
  Hugo Carvalho [pt], Fabio Tomat [fur], Kukuh Syafaat [id], Piotr Drąg [pl],
  Марко Костић [sr], Aurimas Černius [lt], Yaron Shahrabani [he],
  Philipp Kiemle [de]

44.0
====
 * Bump version

Translators:
  Piotr Drąg [pl], Martin [sl], Fran Dieguez [gl], Chao-Hsiung Liao [zh_TW],
  Vasil Pupkin [be], Alexandre Franke [fr], Kukuh Syafaat [id],
  Fabio Tomat [fur], Sabri Ünal [tr], Anders Jonsson [sv], Boyuan Yang [zh_CN],
  Marek Černocký [cs], Alan Mortensen [da], Asier Sarasua Garmendia [eu],
  Daniel [es], Aleksandr Melman [ru], MohammadSaleh Kamyab [fa]

44.rc
=====
* Unmute to default volume when slider was at 0 [Florian; !2644]
* Fix missing battery percentage in the top bar [DaPigGuy; !2657]
* Fix unexpected focus order after activating apps [Florian; !2659]
* Stop using GTK for systray support [Carlos; !2590]
* Expose GtkIconTheme replacement to extensions [Florian; !2671]
* Disallow using (most of) GTK in the compositor process [Florian; !2680]
* Plugged leak [Sebastian; !2652]
* Misc. bug fixes and cleanups [Jonas, Florian, Andy, Carlos, Sebastian, Sam,
  Automeris, Ray; !2318, !2658, !2663, !2642, !2656, !2664, !2667, !2648,
  !2654, !2655, !2670, !2669, !2673, !2675, !2674, !2677, !2676]

Contributors:
  DaPigGuy, Jonas Dreßler, Carlos Garnacho, Sam Hewitt, Andy Holmes,
  Sebastian Keller, Florian Müllner, Ray Strode, Automeris naranja

Translators:
  Daniel Mustieles [es], Jürgen Benvenuti [de], Piotr Drąg [pl],
  Danial Behzadi [fa], Fabio Tomat [fur], Jordi Mas [ca], Hemish [hi],
  Asier Sarasua Garmendia [eu], Matej Urbančič [sl], Alan Mortensen [da],
  Мирослав Николић [sr], Jean-Marc Tissières [fr], Jiri Grönroos [fi],
  Sabri Ünal [tr], Balázs Úr [hu], Yuri Chornoivan [uk], Changwoo Ryu [ko],
  Aleksandr Melman [ru], Yosef Or Boczko [he], Aurimas Černius [lt],
  Alexander Shopov [bg], Hugo Carvalho [pt]

44.beta
=======
* Fix screencast UI being erroneously disabled [Florian; !2533]
* Fix unresponsive screen area when quick settings are opened [Carlos; !2535]
* Ensure completions are disabled when hiding on-screen keyboard [Carlos; !2543]
* Fix missing name in wired network quick settings button [Florian; !2529]
* Properly apply saved shortcuts inhibition permissions [Florian; !2548]
* Don't let wayland popovers block overview [Florian; !2549]
* Improve high contrast styling [Sam; !2527]
* Open correct Settings panel from on-screen keyboard menu [Roshan-R; !2554]
* Test running gnome-shell in CI [Jonas Å.; !1349]
* Do not use symbolic app icons for High Contrast [Jakub; !2555]
* Prepare extension loading for ESM [Evan; !2364]
* Fix input source switching with focus on password entry [Carlos; !2534]
* Ensure quick settings toggles align with the pixel grid [Sebastian K.; !2577]
* Lower OOM score of gnome-shell process [Jian-Hong; !2582]
* Polish page switching behavior during DND in app grid [Jonas D.; !2581]
* Tweak lock- and login screen styling [Sam; !2564]
* Consistently link to Settings from menus
  [sunflowerskater; !2600, !2559, !2615]
* Make it easier for extensions to add a credential manager [Alessandro; !2399]
* Fix mount operation dialog when Disks is not available [Balló; !2621]
* Refine quick settings [Georges, two, Florian; !2619, !2627, !2553, !2631, !2505, !2632]
* Mute/unmute volume when clicking slider icon [Florian; !2630]
* Add device menu to Bluetooth quick settings [Florian; !2501]
* Expose list of background apps in quick settings [Georges; !2624]
* Compile extension GSettings after install [Andy; !2638]
* Fixed crash [Florian; !2622]
* Plugged memory leak [Sebastian K.; !2637]
* Misc. bug fixes and cleanups [Alessandro, Cassidy, Colin, Florian, Jonas Å.,
  Sam, Michel, Felipe, Sebastian K., sunflowerskater, Robert, Bilal, Jonas D.,
  Jakub, Philip, Heiko, Carlos, Takao, Sebastian W., Kolja; !2528, !2499, !2523,
  !2540, !2536, !2545, !2546, !2517, !2547, !2544, !2532, !2558, !2560, !2561,
  !2562, !2572, !2578, !2579, !2584, !2576, !2571, !2585, !2557, !2588, !2575,
  !2594, !2602, !2606, !2596, !2607, !2604, !2611, !2613, !2612, !2616, !2617,
  !2526, !2618, !2348, !2496, !2620, !2625, !2552, !2626, !2623, !2614, !2628,
  !2629, !2573, !2633, !2634, !2636, !2514, !2479]

Contributors:
  Cassidy James Blaede, Alessandro Bono, Felipe Borges, Jonas Dreßler,
  Michel Dänzer, Bilal Elmoussaoui, Takao Fujiwara, Carlos Garnacho,
  Balló György, Sam Hewitt, Andy Holmes, Heiko Hösch, Sebastian Keller,
  Colin Kinloch, Kolja Lampe, Robert Mader, Florian Müllner,
  Georges Basile Stavracas Neto, Jian-Hong Pan, Roshan-R, Olga Smirnova,
  Jakub Steiner, Evan Welsh, Sebastian Wick, Philip Withnall, sunflowerskater,
  two, Jonas Ådahl

Translators:
  Yuri Chornoivan [uk], Balázs Úr [hu], Aleksandr Melman [ru], Dušan Kazik [sk],
  Vasil Pupkin [be], Sveinn í Felli [is], Olga Smirnova [ie], Sabri Ünal [tr],
  Yosef Or Boczko [he], Bruce Cowan [en_GB], Fabio Tomat [fur],
  Ekaterine Papava [ka], Emin Tufan Çetin [tr], Hugo Carvalho [pt],
  Jordi Mas [ca], Quentin PAGÈS [oc], Kukuh Syafaat [id], Fran Dieguez [gl],
  Tim Sabsch [de], Danial Behzadi [fa], Yaron Shahrabani [he],
  Asier Sarasua Garmendia [eu], Aurimas Černius [lt], Anders Jonsson [sv],
  Jiri Grönroos [fi], Kjartan Maraas [nb]

43.1
====
* Fix default keyboard layout during initial setup [Carlos; !2487, !2495]
* Show Bluetooth switch in more cases [Bastien; !2488]
* Include origin in sound device switcher [Florian; !2502]
* Fix remembering inhibit-shortcut permission for multiple apps [Florian; !2504]
* Forward TERMINAL input purpose to ibus [Jonas; !2511]
* Fix style glitches [Sam; !2513, !2510]
* Fix tracking of newly installed apps [Florian; !2480]
* Fix space key getting stuck in on-screen keyboard [Carlos; !2508]
* Fix showing passwords as on-screen keyboard suggestions [Carlos; !2512]
* Fix network portal regression [Marco; !2524]
* Fix possible freeze during initialization [Florian; !2519]
* Misc. bug fixes and cleanups [Andy, Jonas, Alessandro, Florian, Sebastian;
  !2470, !2476, !2471, !2483, !2518, !2503]

Contributors:
  Marco Trevisan (Treviño), Alessandro Bono, Carlos Garnacho, Sam Hewitt,
  Andy Holmes, Sebastian Keller, Florian Müllner, Bastien Nocera, Jonas Ådahl

Translators:
  Baurzhan Muftakhidinov [kk], Марко Костић [sr], Yosef Or Boczko [he],
  Guillaume Bernard [fr], Hugo Carvalho [pt], Kukuh Syafaat [id],
  Pawan Chitrakar [ne], Aleksandr Melman [ru], Aurimas Černius [lt],
  Anders Jonsson [sv], Jordi Mas [ca], Danial Behzadi [fa], Dušan Kazik [sk],
  Fabio Tomat [fur], Olexander [uk], Nart Tlisha [ab], Cheng-Chia Tseng [zh_TW],
  Alexander Shopov [bg], Zurab Kargareteli [ka], A S Alam [pa],
  Kosmas Martakidis [el], Nathan Follens [nl]

43.0
====
* Fix rebooting into boot loader menu [Florian; !2472]
* Improve entry legibility in GNOME Classic [Jakub; !2477]
* Fixed crash [Jonas; !2478]
* Misc. bug fixes and cleanups [sabriunal, Florian; !2467, !2484, !2485]

Contributors:
  Florian Müllner, Jakub Steiner, sabriunal, Jonas Ådahl

Translators:
  Jürgen Benvenuti [de], Quentin PAGÈS [oc], Aurimas Černius [lt],
  Anders Jonsson [sv], Pawan Chitrakar [ne], Jordi Mas [ca],
  Daniel Mustieles [es], Alexander Shopov [bg], Asier Sarasua Garmendia [eu],
  Aleksandr Melman [ru], Alexandre Franke [fr], Goran Vidović [hr],
  Emin Tufan Çetin [tr], Balázs Úr [hu], Marek Černocký [cs],
  Yuri Chornoivan [uk], Jiri Grönroos [fi], Yosef Or Boczko [he],
  Piotr Drąg [pl], Luming Zh [zh_CN], Fran Dieguez [gl],
  Enrico Nicoletto [pt_BR], Alan Mortensen [da], Matej Urbančič [sl]

43.rc
=====
* Tweak quick settings appearance [Sam; !2427, !2441, !2463]
* Use NM connectivity check URI for portal helper [Clerie; !2228]
* Only show "Night Light" toggle when supported [Florian; !2425]
* Fix accessibility of quick settings sliders [Florian; !2431]
* Use more unambiguous icons in on-screen keyboard [Carlos; !2433]
* Add screenshot item to quick settings [Florian; !2439]
* Fix entering extended characters from on-screen keyboard [Carlos; !2445]
* Prevent SignalTracker from leaking objects [Sebastian; !2450, !2466]
* Fix turning off VPN in quick settings [Florian; !2426]
* Fix initial selection in switch-monitor popup on desktop [Yao; !2451]
* Improve handling of recurring events [Milan; !2328]
* Indicate transitional states in bluetooth quick toggle [Florian; !2444]
* Work around pipewire regression for screencasts [Sebastian; !2436]
* Plugged memory leak [Florian; !2461]
* Misc. bug fixes and cleanups [Daniel, Jonas Å., Florian, Georges, Carlos;
  !2429, !2434, !2430, !2442, !2455, !2462, !2456, !2464, !2465, !2288]

Contributors:
  Yao Wei (魏銘廷), Milan Crha, Carlos Garnacho, Sam Hewitt, Sebastian Keller,
  Florian Müllner, Dmitrii Naidolinskii, Georges Basile Stavracas Neto,
  Clerie Riese, Daniel van Vugt, msizanoen1, Jonas Ådahl

Translators:
  Danial Behzadi [fa], Kukuh Syafaat [id], Марко Костић [sr],
  Zurab Kargareteli [ka], Hugo Carvalho [pt], Goran Vidović [hr],
  Aleksandr Melman [ru], Jordi Mas [ca], Piotr Drąg [pl],
  Asier Sarasua Garmendia [eu], Luming Zh [zh_CN], Yosef Or Boczko [he],
  Fran Dieguez [gl], Emin Tufan Çetin [tr], Daniel Mustieles [es],
  Nart Tlisha [ab], Marek Černocký [cs], Leônidas Araújo [pt_BR],
  Matej Urbančič [sl], Balázs Úr [hu], Nathan Follens [nl],
  Baurzhan Muftakhidinov [kk], Rūdolfs Mazurs [lv], Alan Mortensen [da],
  Changwoo Ryu [ko]

43.beta
=======
* Allow extension updates with only Extension Manager installed [Matthew; !2358]
* Use new About window in Extensions app [Christopher; !2373]
* Stop auto-dismissing notifications on focus changes [Florian; !2332]
* Tweak access portal dialog [Georges; !2377]
* Add device switcher to volume sliders [Florian; !2380]
* Replace combined system menu with quick settings [Florian; !2385, !2389,
  !2391, !2392, !2393, !2406, !2407, !2408]
* Use the same format in screencast and screenshot file names [Emmanuele; !2300]
* Only load extensions that support the current session mode [Alessandro; !2378]
* Improve overview animation performance [Ivan; !2395, !2394]
* Port to gcr4 [Milan; !2386]
* Fix logging in with realmd [Alessandro; !2404]
* Optimize workspace background shadow [Daniel; !1915]
* Improve app grid navigation [Georges; !2335]
* Improve on-screen keyboard
  - delete multiple characters and words when holding backspace
  - provide word suggestions when using plan keyboard layouts
  - use extended layout when TERMINAL hint is set
  [Carlos; !2278]
* Fix remembering set up bluetooth devices [Florian; !2409]
* Misc. bug fixes and cleanups [Florian, Carlos, Sam, Sebastian, Alessandro,
  Robert; !2374, !2369, !2350, !2381, !2375, !2384, !2388, !2371, !2344, !2370,
  !2396, !2397, !2403, !2402, !2326, !2405, !2401, !2398, !2414, !2412, !2411,
  !2415, !2416, !2419, !2413]

Contributors:
  Robert Ancell, Emmanuele Bassi, Alessandro Bono, Milan Crha,
  Christopher Davis, Carlos Garnacho, Sam Hewitt, Matthew Jakeman,
  Sebastian Keller, Andre Klapper, Ivan Molodetskikh, Florian Müllner,
  Georges Basile Stavracas Neto, Nart Tlisha, Daniel van Vugt

Translators:
  Kukuh Syafaat [id], Emin Tufan Çetin [tr], Jordi Mas [ca],
  Zurab Kargareteli [ka], Nart Tlisha [ab], Asier Sarasua Garmendia [eu],
  Fran Dieguez [gl], Aleksandr Melman [ru], Hugo Carvalho [pt],
  Yuri Chornoivan [uk], Alexander Shopov [bg], Yosef Or Boczko [he],
  Quentin PAGÈS [oc], Danial Behzadi [fa], Daniel Mustieles [es],
  Luming Zh [zh_CN], Jiri Grönroos [fi]

43.alpha
========
* Add convenience property for icon-only buttons [Florian; !2254]
* Align space-padded times in world clocks [Maksym; !2294, !2340]
* Fix top bar menus on lock screen [Florian; !2298]
* Show wireguard connects in VPN list [Christian; !1995]
* Fix on-screen keyboard gestures [Carlos; !2304]
* Fix focus tracking in magnifier on wayland [Sebastian; !2301]
* Fix OSD colors with light stylesheet [Jakub; !2315]
* Only close messages via delete key if they can be closed [PhilProg; !2323]
* Fix screenshots when XDG directories are disabled [Sam U.; !2327]
* Do not create systemd scope for D-Bus activated apps [msizanoen1; !2305]
* Improve high-contrast stylesheet [Sam H.; !2284]
* Hide overview after 'Show Details' from app context menu [PhilProg; !2329]
* Fix feedback when turning on a11y features by keyboard [Olivier; !2334]
* Fix stylesheet papercuts [Sam H.; !2309]
* Use libsoup 3.0 by default [Florian; !2338]
* Indicate selected language in on-screen keyboard menu [Carlos; !2346]
* Respect IM hint for candidates list in on-screen keyboard
  [Carlos, Florian; !2347, !2359]
* Fix edge case where windows stay dimmed after a modal is closed
  [Jonas D.; !2349]
* Improve Belgian on-screen keyboard layout [Evert; !2336]
* Fix fallback ibus-daemon launching [oreo639; !2345]
* Make sure screenshot UI opens above dialogs [Alynx; !2331]
* Use EventEmitter class instead of injecting Signal methods [Evan; !2043]
* Plugged leak [Sebastian; !2367]
* Misc. bug fixes and cleanups [Florian, Jonas D., Jonas Å., Sebastian, Evan,
  Marco; !2295, !2296, !2297, !2306, !2317, !2316, !2319, !2325, !2337, !2355,
  !2351, !2293, !2365, !2366, !697, !2363, !2362, !2372]

Contributors:
  Marco Trevisan (Treviño), Jonas Dreßler, Olivier Fourdan, Carlos Garnacho,
  Christian Glombek, Maksym Hazevych, Sam Hewitt, Sebastian Keller,
  Florian Müllner, PhilProg, Evert Provoost, Jakub Steiner, Sam Uong,
  Evan Welsh, Alynx Zhou, msizanoen1, oreo639, Jonas Ådahl

Translators:
  Jordi Mas [ca], Cheng-Chia Tseng [zh_TW], Charles Monzat [fr],
  Changwoo Ryu [ko], Daniel Rusek [cs], Aleksandr Melman [ru],
  Christian Kirbach [de], Yuri Chornoivan [uk], Emin Tufan Çetin [tr],
  Danial Behzadi [fa], Hugo Carvalho [pt], Luming Zh [zh_CN],
  Quentin PAGÈS [oc], Yosef Or Boczko [he], Fabio Tomat [fur],
  Irénée THIRION [fr], Jürgen Benvenuti [de], Milo Casagrande [it],
  Aurimas Černius [lt], Daniel Mustieles [es], Vojtěch Perník [cs]

42.1
====
* Limit unfullscreen gesture to not interfere with overview [Ivan; !2227]
* Properly hide the second (real) cursor when magnified [Jonas; !2234]
* Fix various style glitches [Sam; !2215, !2277]
* Fix creating default application folders [Adam; !2242]
* Fix switching monitor configuration [Florian; !2245]
* Add Home/End keynav in app grid [Anupam; !2241]
* Handle monitor changes during startup animation [13r0ck; !2144]
* Fix fractional timezone offsets in world clock [Raghuveer; !2255]
* Default to right text-align in RTL locales [Florian; !2247]
* calendar: Fix alignment of world clocks header in RTL [Yosef; !2240]
* Rely on symbolic icons instead of 'HighContrast' icon theme [Jakub; !2243]
* Fix moving windows from secondary monitor to non-active workspace
  [Florian; !2259]
* Make sure startup animation completes [Florian; !2269]
* Fix Swiss on-screen keyboard layouts [Florian; !2273]
* Add Austrian-German on-screen keyboard layout [Florian; !2274]
* Fix on-screen keyboard in modal dialogs and lock screen [Jonas; !2263]
* Fix menus in pad OSD [Carlos; !2279]
* Sync default colors with libadwaita [Jakub; !2280]
* Fix grab regressions when entering overview [Carlos, Sebastian; !2281, !2287]
* Scale calendar with text size [Jonas; !2282]
* Allow more intermediate icon sizes in app grid [Sebastian; !2289]
* Fixed crash [Jonas D.; !2231]
* Plugged memory leak [Sebastian; !2256]
* Misc. bug fixes and cleanups [Jonas, Florian, Sebastian, Daniel, Marco, Simon;
  !2283, !2285, !2286, !2233, !2236, !2244, !2246, !2258, !2257, !2252, !2261,
  !2268, !2272, !2271, !2275]

Contributors:
  Marco Trevisan (Treviño), 13r0ck, Yosef Or Boczko, Jonas Dreßler,
  Carlos Garnacho, Sam Hewitt, Zurab Kargareteli, Raghuveer Kasaraneni,
  Sebastian Keller, Anupam Kumar, Simon McVittie, Ivan Molodetskikh,
  Florian Müllner, Jakub Steiner, Daniel van Vugt, Adam Williamson

Translators:
  Balázs Úr [hu], Goran Vidović [hr], Charles Monzat [fr], Jiri Grönroos [fi],
  Milo Casagrande [it], Jordi Mas [ca], Yuri Chornoivan [uk], Fran Dieguez [gl],
  Marek Černocký [cs], Emin Tufan Çetin [tr], Alexander Shopov [bg],
  Hugo Carvalho [pt], Piotr Drąg [pl], Anders Jonsson [sv], Matej Urbančič [sl],
  Aurimas Černius [lt], Dušan Kazik [sk], Matheus Barbosa [pt_BR],
  Bruce Cowan [en_GB], Rūdolfs Mazurs [lv], Nathan Follens [nl],
  Марко Костић [sr], Aleksandr Melman [ru], Quentin PAGÈS [oc],
  Andika Triwidada [id], Danial Behzadi [fa], Ngọc Quân Trần [vi],
  Yaron Shahrabani [he], Daniel Mustieles [es], Gun Chleoc [gd],
  Changwoo Ryu [ko], Fabio Tomat [fur], Ask Hjorth Larsen [da],
  Yosef Or Boczko [he], Sveinn í Felli [is], Zurab Kargareteli [ka],
  Olexander [uk]

42.0
====
* introspect: Add WindowsChanged signal [Cenk; !2229]
* Fix on-screen keyboard during grabs [Carlos; !2237]
* Fixed crash [Adam; !2238]

Contributors:
  Carlos Garnacho, Cenk Uluisik, Adam Williamson

Translators:
  Fabio Tomat [fur], Tim Sabsch [de], Ivan Molodetskikh [ru],
  Yosef Or Boczko [he], Марко Костић [sr], Baurzhan Muftakhidinov [kk],
  純 小山田 [ja], sicklylife [ja]

42.rc
=====
* Fix programatically set scrollview fade [Jonas D.; !2189]
* Fix overview DND during screencasts [Ivan; !2192]
* Fix taking screenshots with shift+PrntScrn [Ivan; !2202]
* Disable workspace switching while in search [Sebastian; !2204]
* Fix opening device settings for enterprise WPA networks [Xiaoguang; !2194]
* Switch workspaces with Home and End keys in overview [kyte; !2201]
* Fix regressions from style refresh [Sam; !2206, !2185, !2212]
* Show disabled icons in system menu when devices are disabled [Jonas D.; !2198]
* Fix inserting items from object inspector in looking glass [Florian; !2218]
* Fix drag placeholder position in dash in RTL locales [Florian; !2219]
* Simplify signal handling with (dis)connectObject() convenience methods
  [Florian; !1953, !2221, !2226]
* Ensure remote access indicator is shown for a minimum time [Jonas Å.; !2132]
* Improve CSS shadow appearance [Daniel; !1918]
* Ignore work area in overview layout [Florian; !2223]
* Fix glitches in overview transition [Jonas D., Sebastian; !2203, !1980]
* Fixed crash [Florian; !2207]
* Misc. bug fixes and cleanups [Jonas D., Björn, Florian, Carlos, Jonas Å.;
  !2191, !2188, !2195, !2196, !2184, !2183, !2200, !2209, !2211, !2214, !2216,
  !2110, !2222, !2220, !2225]

Contributors:
  Björn Daase, Jonas Dreßler, Carlos Garnacho, Sam Hewitt, Sebastian Keller,
  Ivan Molodetskikh, Florian Müllner, Daniel van Vugt, Xiaoguang Wang, kyte,
  Jonas Ådahl

Translators:
  Jordi Mas [ca], Quentin PAGÈS [oc], Asier Sarasua Garmendia [eu],
  Kukuh Syafaat [id], Emin Tufan Çetin [tr], Changwoo Ryu [ko],
  Danial Behzadi [fa], Aurimas Černius [lt], Daniel Mustieles [es],
  Dušan Kazik [sk], Alan Mortensen [da], Goran Vidović [hr], Jiri Grönroos [fi],
  Luna Jernberg [sv], Piotr Drąg [pl]

42.beta
=======
* Add Swiss French and Swiss German OSK layouts [Jürg; !2096]
* Add switches for debug flags to looking glass [Sebastian; !1994]
* Support auth lists on the login screen [Ray; !1978]
* Overhaul shell stylesheet [Sam; !2104, !2111, !2150, !2161, !2172]
* Fix timing issue on login screen [Naïm; !2116]
* Fix activating apps with tracked OR windows [Florian; !2131]
* Fix banding issues with the vignette lightbox shader [Jonas; !2133]
* Implement in-shell screenshot and screencast UI
  [Ivan; !1954, !2103, !2149, !2147, !2106, !2105, !2107, !2163]
* Fix keyboard navigation to windows/apps in overview [Florian; !2124]
* Adjust to Clutter grab API changes [Carlos; !2045, !2046, !2140]
* Fix stuck transition when using super-scroll gesture [kyte; !2135]
* Support the new 'high-contrast' setting [Alexander, Florian; !2069]
* Remove rounded top bar corners [Florian; !2151]
* Fix calendar events with custom timezone [Milan; !2145]
* Support dark wallpapers [Alexander; !2137]
* Improve terminology for pinning icons to dash [Rachit; !2136]
* Use libadwaita for extension preferences [Florian; !2012]
* Fix out-of-sync location indicator [Florian; !2170]
* Fade screen when switching between dark/light mode [Alexander; !2070]
* Improve presentation of multi-day events in calendar [Björn; !2108]
* Implement Extensions redesign [Romain; !2114]
* Implement OSD redesign [Florian; !2127]
* Misc. bug fixes and cleanups [Florian, Evan, Jonas, Aleksandr, Ivan, Georges,
  Leleat, Daniel, Carlos, Sam, Olivier, Bastien, Mohammed, Sebastian, Razze,
  Alexander, Marek; !2089, !2040, !2097, !2047, !2102, !2118, !2123, !2121,
  !2115, !2113, !2125, !337, !2098, !2126, !2139, !2138, !2143, !2146, !2155,
  !2141, !2157, !2158, !2153, !2156, !2152, !2117, !2101, !2162, !2164, !2055,
  !2165, !2166, !2168, !2169, !1972, !2174, !2175, !2171, !2173, !2160, !2167,
  !2176, !2177, !2178, !1744, !2179, !2099]

Contributors:
  Milan Crha, Björn Daase, Rachit Keerti Das, Jonas Dreßler, Naïm Favier,
  Olivier Fourdan, Carlos Garnacho, Sam Hewitt, Sebastian Keller, Leleat,
  Jürg Lempen, Aleksandr Mezin, Alexander Mikhaylenko, Ivan Molodetskikh,
  Florian Müllner, Georges Basile Stavracas Neto, Bastien Nocera, Razze,
  Mohammed Sadiq, Ray Strode, Romain Vigier, Daniel van Vugt, Evan Welsh,
  Sebastian Wick, kyte, Marek Černocký

Translators:
  Tao Liu [zh_CN], Yosef Or Boczko [he], Matej Urbančič [sl],
  Yuri Chornoivan [uk], Daniel Mustieles [es], Aleksandr Melman [ru],
  Rafael Fontenelle [pt_BR], Sveinn í Felli [is], Matheus Barbosa [pt_BR],
  Luming Zh [zh_CN], Fran Dieguez [gl], sicklylife [ja], Hugo Carvalho [pt],
  Quentin PAGÈS [oc], Yaron Shahrabani [he], Asier Sarasua Garmendia [eu],
  Aurimas Černius [lt], Kukuh Syafaat [id], Marek Černocký [cs],
  Leônidas Araújo [pt_BR], Alexander Shopov [bg]

42.alpha
========
* Fix icon updates while hidden [Marco; !1983]
* Fix erratic scrolling in GTK apps [Christian, Carlos; !1993, !2011]
* Fix GTK color picker support [Florian; !1990]
* Fix sound-file support in notifications [Florian; !1991]
* Fix high-contrast switches [Florian; !2000]
* Allow extensions to opt-in to running on lock/login screen [Ray; !1967]
* magnifier: Avoid offscreen rendering if possible [Sebastian; !2026]
* Warn when unsafe-mode is toggled [Florian; !2050]
* Improve handling of all-day/zero-length events in calendar [Sebastian; !2023]
* Keep keyboard focus in notification list after deleting message [Dylan; !2053]
* switchMonitor: Don't include builtin/external modes on desktops [Jonas; !2056]
* Fix wrongly rejected D-Bus calls after gnome-shell restarts [Sebastian; !2048]
* Improve window tracking [Florian; [Florian; !2029]
* Simplify scroll fade shader to work with old hardware [Sebastian; !2072]
* Tweak (un)minimize animations [Daniel; !2066]
* Properly handle markup when highlighting search terms [Sebastian; !2033]
* Don't wake up screen in DND mode [kyte; !2051]
* Port to GWeather 4.0 [Florian; !2083]
* extensions-app: Use libadwaita [Romain, Florian; !1997]
* Fix immediately withdrawn notifications getting stuck [Sebastian; !2079]
* Honor XDG SingleMainWindow key in .desktop files [Nate; !2084]
* Opt-in to unique GType names in extension prefs [Florian; !2024]
* Don't terminate remote sessions in headless mode [Joan; !2057]
* Fixed crashes [Ray, Sebastian, Benjamin, Florian; !2004, !2014, !2025,
  !2065, !2073]
* Misc. bug fixes and cleanups [Jonas, Florian, Jakub, Ray, Carlos, Sebastian,
  Georges, Evan, Sergio, Emily, Robert; !1985, !1998, !1996, !1999, !1979,
  !2007, !2010, !2013, !2021, !2027, !2015, !2030, !2039, !2036, !2038, !2041,
  !2034, !1992, !2059, !2054, !2068, !2076, !2077, !2078, !2081, !2082, !2031,
  !2042, !2086, !2087, !2085, !2088]

Contributors:
  Marco Trevisan (Treviño), Benjamin Berg, Sergio Costas, Carlos Garnacho,
  Emily Gonyer, Nate Graham, Christian Hergert, Sebastian Keller, Robert Mader,
  Dylan McCall, Florian Müllner, Georges Basile Stavracas Neto, Jakub Steiner,
  Ray Strode, Joan Torres, Romain Vigier, Daniel van Vugt, Evan Welsh, kyte,
  Jonas Ådahl

Translators:
  Марко Костић [sr], Ngọc Quân Trần [vi], Emin Tufan Çetin [tr],
  Yaron Shahrabani [he], Sveinn í Felli [is], Goran Vidović [hr],
  Marek Černocký [cs], Selyan Slimane AMIRI [kab], Rūdolfs Mazurs [lv],
  eshagh shahidani [fa], Yuri Chornoivan [uk], Anders Jonsson [sv],
  Rafael Fontenelle [pt_BR], Kukuh Syafaat [id], Christian Kirbach [de],
  Piotr Drąg [pl], Dušan Kazik [sk], Charles Monzat [fr], Fabio Tomat [fur],
  Quentin PAGÈS [oc], Hugo Carvalho [pt], Milo Casagrande [it],
  Daniel Mustieles [es], MohammadSaleh Kamyab [fa], Aurimas Černius [lt],
  Aleksandr Melman [ru], Fran Dieguez [gl], Мирослав Николић [sr],
  Danial Behzadi [fa]

41.0
====

Translators:
  Goran Vidović [hr], Jordi Mas [ca], Aman Alam [pa], Balázs Úr [hu],
  Piotr Drąg [pl], Nathan Follens [nl], Quentin PAGÈS [oc], Jiri Grönroos [fi],
  Alexander Shopov [bg], Alan Mortensen [da], Efstathios Iosifidis [el]

41.rc.1
=======
* Make tests optional [Florian; !1975]
* Misc. bug fixes [Florian; !1974]

Contributors:
  Florian Müllner

Translators:
  Daniel Șerbănescu [ro]

41.rc
=====
* Optimize rendering of fullscreen zoom [Daniel; !1899]
* Fix glitchy launch animations when leaving overview [Daniel; !1440]
* Show low priority notifications only in message list [Florian; #4265]
* Support Soup 3 instead of 2.4 [Florian; !1940, !1966]
* Set log domain for extensions that use console.log() [Evan; !1958]
* Fix wrong separator position in dash [Raghuveer; !1804]
* Fix OSK not registering button presses on X11 [Sebastian; !1955]
* Fix work area getting messed up by hidden panels [Florian; #4569]
* Fix IM candidate popover position [Florian; #4593]
* Restrict callers of private D-Bus APIs [Florian; !1970]
* Support committing preedit string on focus loss [Carlos; !1929]
* Misc. bug fixes and cleanups [Florian, Ivan, Sebastian, José, Robert; !1956,
  !1949, !1937, !1961, !1962, !1871, !1964, !1946, !1957, !1959, !1879, !1968]

Contributors:
  José Expósito, Carlos Garnacho, Raghuveer Kasaraneni, Sebastian Keller,
  Robert Mader, Ivan Molodetskikh, Florian Müllner, Daniel van Vugt, Evan Welsh

Translators:
  Yuri Chornoivan [uk], Quentin PAGÈS [oc], Asier Sarasua Garmendia [eu],
  Hugo Carvalho [pt], Rafael Fontenelle [pt_BR], Jordi Mas [ca],
  Alexey Rubtsov [ru], Danial Behzadi [fa], Kukuh Syafaat [id],
  Marek Černocký [cs], Fran Dieguez [gl], Daniel Mustieles [es],
  Źmicier Turok [be], Jiri Grönroos [fi], Emin Tufan Çetin [tr],
  Baurzhan Muftakhidinov [kk], Bruce Cowan [en_GB], Philipp Kiemle [de],
  Matej Urbančič [sl], Dušan Kazik [sk], Charles Monzat [fr],
  Luna Jernberg [sv], Aurimas Černius [lt], Boyuan Yang [zh_CN],
  Changwoo Ryu [ko]

41.beta
=======
* Unbreak Xwayland apps when not using systemd in user session [Olivier; !1850]
* extension-tool: Always print location on successful creation [Leleat; !1856]
* Fix distributed man pages [Florian; !1859]
* Immediately start app grid drags for non-touch devices [Georges; !1866]
* Avoid unnecessary icon shadow changes [Daniel; !1869]
* Handle screencast failures more gracefully [Florian; !1878]
* Fix glitch in app grid → session transition [Harshad; !1886]
* Use symbolic icons in looking glass toolbar [Chris; !1671]
* Fix IM popup visibility when in fullscreen [Florian; !1900]
* magnifier: Fix view jumps when using caret tracking [Lee; !1823]
* Fix shadow rendering glitches [Daniel; !1897]
* Allow overriding super+number shortcuts in Settings [Florian; #1250]
* Fix vertical scrollbars in RTL locales [Florian; !1910]
* Don't include hidden search results in keynav [Florian; #4470]
* Use anaccelerated deltas in swipe tracker [Alexander; !1763]
* status/network: Do not disable on login screen [Florian; !1874]
* Always take workarea into account when allocating workspaces [Marco; !1892]
* location: Split out geoclue agent from indicator [Ian; !1919]
* Add focus indication for switches [vanadiae; !1920]
* Honor switch-user lockdown settings in unlock screen [Ray; !1833]
* Fix glitch when dragging window preview in overview [Sebastian; #4292]
* Lock down "Show Text" in password entries [Ray; !687]
* Add power mode selection to status menu [Florian; !1907]
* workspace: Handle skip-taskbar changes [Daniel; !1925]
* status/network: Use WWan settings panel for GSM/LTE modems [Mohammed; !1942]
* extensionUtils: Add gettext convenience helpers [Florian; !1941]
* screenShield: Fix suspend inhibitor accounting [Sebastian; !1927, !1952]
* Unify app context menus [Florian; !1948]
* Use consistent terminology in window menu [nitinosiris; !1834]
* Fixed crashes [Gustavo, Florian; !1848, !1885, !1935]
* Misc. bug fixes and cleanups [Jonas Å., Florian, Georges, Daniel, Olivier,
  Carlos, Robert, Sebastian, Jakub, Jonas D., Fionn; !1838, !1854, !1860,
  !1872, !1876, !1880, !1888, !1890, !1891, !1894, !1902, !1901, !1903,
  !1841, !1904, !1786, !1906, !1909, !1908, !1840, !1913, !1917, !1914,
  !1857, !1922, !1924, !1931, !1926, !953, !1932, !1939, !1938, !1944,
  !1936, !1947, !1945, !1950]

Contributors:
  Marco Trevisan (Treviño), Jonas Dreßler, Olivier Fourdan, Carlos Garnacho,
  Harshad Gavali, Tjipke van der Heide, Fionn Kelleher, Sebastian Keller, Lee,
  Leleat, Robert Mader, Chris Mayo, Alexander Mikhaylenko, Florian Müllner,
  Georges Basile Stavracas Neto, nitinosiris, Mohammed Sadiq, Ian Douglas Scott,
  Gustavo Noronha Silva, Jakub Steiner, Ray Strode, Daniel van Vugt, vanadiae,
  Jonas Ådahl

Translators:
  Quentin PAGÈS [oc], Cheng-Chia Tseng [zh_TW], Jordi Mas [ca],
  Hugo Carvalho [pt], Julia Dronova [ru], Efstathios Iosifidis [el],
  Alexander Shopov [bg], Florentina Mușat [ro], Yuri Chornoivan [uk],
  Alexey Rubtsov [ru], Rafael Fontenelle [pt_BR], Yaron Shahrabani [he],
  Daniel Mustieles [es], Matej Urbančič [sl], Danial Behzadi [fa],
  Kukuh Syafaat [id], Fran Dieguez [gl], Boyuan Yang [zh_CN], Fabio Tomat [fur],
  Tjipke van der Heide [fy], Emin Tufan Çetin [tr], Luna Jernberg [sv],
  Daniel Șerbănescu [ro]

40.1
====
* Fix keyboard preview for IM that use 'default' layout [Peng; !1756]
* extensions: Fix copying technical details on prefs crash [Jan; !1795, !1796]
* Make window previews as large as possible [Jonas D.; !1670, !1813]
* Fix PgUp/PgDown handling in overview [Florian; !1798]
* Fix scroll view following keyboard focus [Andrew; !1802]
* Fix word suggestions in on-screen keyboard [Jia; !1806]
* Support animated backgrounds set via the wallpaper portal  [Alexander; !1816]
* Fix freeze after cancelling (some) system-modal dialogs [Florian; !1819]
* Support double-super when animations are disabled [Florian; !1811]
* gdm: Allow timed login with disabled user list [Ray; !1809]
* status: Report real battery percentage when full [Prajna; !1787]
* Allow tap-drag-release to select variants in OSK [Carlos; !1789]
* Fix password authentication after fingerprint failure [Ray, Benjamin; !1821]
* Fix screen blanking on idle [Florian; !1824]
* Fix oversized system action icons in search [Sebastian; !1777]
* Only show 'Open Windows' in app menus if there are multiple [Leleat; !1827]
* Fix duplicated workspaces in minimap [Sebastian; !1828]
* Fix repeated letters in type-to-find overview search [Sebastian; !1828]
* Improve workspace placeholder in overview minimap [Joonas; !1801]
* screencasts: Improve default gstreamer pipeline [Jonas D.; !1633]
* Leave overview when activating app via shortcut [Nishal; !1839]
* Fix invisible scroll bars in faded views [Florian; !1831]
* Correct arrow navigation in alt-tab switcher in RTL locales [Leleat; !1835]
* Improve touch interaction of app grid actions [Carlos; !1774]
* Fixed crashes [Jonas Å., Sebastian; !1810, !1817]
* Misc. bug fixes and cleanups [Carlos, Yuri, Sebastian, Suryashankar, Zander,
  arushsharma24, Florian, Georges, Jonas D., Frederic, Leleat, Jakub,
  theRealPadster, Simon, Olivier; !1770, !1781, !1782, !1775, !1769, !1791,
  !1764, !1793, !1799, !1805, !1484, !1815, !1820, !1807, !1825, !1822, !1800,
  !1818, !1830, !1790, !1812, !1771, !1844, !1845, !1837, !1842]

Contributors:
  Jonas Ådahl, arushsharma24, Benjamin Berg, Zander Brown, Jia Chao,
  Frederic Crozat, Suryashankar Das, Jonas Dreßler, Olivier Fourdan,
  Carlos Garnacho, Joonas Henriksson, Sebastian Keller, Yuri Konotopov,
  Nishal Kulkarni, Leleat, Alexander Mikhaylenko, Florian Müllner,
  Georges Basile Stavracas Neto, Prajna Sariputra, Simon Schneegans,
  Jakub Steiner, Ray Strode, theRealPadster, Jan Tojnar, Peng Wu, Andrew Zaech

Translators:
  Timo Jyrinki [fi], Boyuan Yang [zh_CN], Hannie Dumoleyn [nl], Dz Chen [zh_CN],
  Ngọc Quân Trần [vi], Hugo Carvalho [pt], Yosef Or Boczko [he],
  Yaron Shahrabani [he], Nathan Follens [nl], Cédric Valmary [oc],
  Carmen Bianca BAKKER [eo], Emin Tufan Çetin [tr], Dušan Kazik [sk],
  Stas Solovey [ru], Pawan Chitrakar [ne], Jordi Mas [ca], Quentin PAGÈS [oc]

40.0
====

Translators:
  Zander Brown [en_GB], Dušan Kazik [sk]

40.rc
=====
* Define default app grid arrangement [Allan; !1700]
* Fix shading behind system modal dialogs [Florian; !1712]
* Only show logout-inhibiting apps in end-session dialog [Michael; !1424]
* Fix minimap previews on multi-monitor systems [Florian; !1721]
* Drop strict extension version match for unstable releases [Florian; !1719]
* Fix missing app menu after overview gesture [Florian; !1726]
* Improve app folder appearance [Jakub; !1714]
* Fix window previews becoming undraggable after workspace switch
  [Sebastian; !1717]
* Fix dragging icons to a different page in RTL locales [Carlos; !1734]
* Support double super for opening app grid [Florian; !1736]
* Improve workspace handling on secondary monitors [Florian; !1735]
* Improve interaction when dragging between app grid pages [Carlos; !1630]
* Fix launching on requested workspace on wayland [Florian; !1316]
* Make wifi strength indicator consistent with icons in Settings [Remi; !1432]
* Start session in overview [Georges; !1678]
* Tweak window preview layout in overview [Jonas D.; !1702, !1737]
* Improve overview performance [Jonas D.; !1713, !1733, !1743, !1755]
* Fix new workspaces being invisible in minimap [Florian; !1716]
* Fix glitch after dragging window preview from second monitor [Ivan; !1727]
* Do not switch workspaces when scrolling during super-tab [Florian; !1746]
* Make OSK shifting up windows more reliable [Jonas D.; !1728, !1760]
* Fix swipe gesture glitches [Alexander; !1731]
* Fix mis-scaled preview icons in window picker [Sebastian; !1751]
* Fix unintended app grid changes during icon DND in dash [Sebastian; !1767]
* Fix missing X11 fallback icons [Florian; !1761]
* Fixed crashes [Sebastian; !1718]
* Misc. bug fixes and cleanups [Jonas Å., Sebastian, Abderrahim, Florian,
  Alexander, Felix, Ivan, Jonas D., Jakub, Daniel; !1710, !1707, !1720, !1722,
  !1724, !1732, !1246, !1738, !1740] !1742, !1741, !1745, !1748, !1749, !1765,
  !1766, !1757, !1758]

Contributors:
  Jonas Ådahl, arushsharma24, Allan Day, Felix Divo, Jonas Dreßler,
  Carlos Garnacho, Sebastian Keller, Abderrahim Kitouni, Alexander Mikhaylenko,
  Ivan Molodetskikh, Florian Müllner, Georges Basile Stavracas Neto,
  Remi Salmon, Jakub Steiner, Michael Terry, Daniel van Vugt

Translators:
  Fran Dieguez [gl], Balázs Meskó [hu], Baurzhan Muftakhidinov [kk],
  Goran Vidović [hr], Christian Kirbach [de], Марко Костић [sr],
  Asier Sarasua Garmendia [eu], Guillaume Bernard [fr], Tim Sabsch [de],
  Philipp Kiemle [de], Danial Behzadi [fa], Piotr Drąg [pl],
  Rūdolfs Mazurs [lv], Daniel Mustieles [es], Marek Černocký [cs],
  Fabio Tomat [fur], Changwoo Ryu [ko], Kjartan Maraas [nb], A S Alam [pa],
  Milo Casagrande [it]

40.beta
=======
* Overview redesign
 - Move dash to the bottom [Georges, Abderrahim, Jakub; !1559]
 - Do not duplicate dash icons in app grid [Florian; !1580]
 - Separate favorites from running apps in dash [Florian; !1606, !1610, !1659]
 - Change to a horizontal workspace layout [Georges; !1593, !1603]
 - Move background to workspaces [Georges, Florian, Jakub; !1599]
 - Overhaul window preview style [Florian, Jakub; !1605, !1654, !1657]
 - Rework workspace switching animation [Alexander; !1326]
 - Show workspace side-by-side [Georges; !1613]
 - Allow switching workspaces with super+scroll on wayland [Florian; !1612]
 - Allow swiping through more than one workspace at a time [Alexander; !1647]
 - Extend active dash area to the screen edge [Florian; !1660]
 - Change overall overview layout [Georges, Florian; !1624]
 - Refine workspace activation in overview [Georges; !1645]
 - Add vertical swipe gesture to shift through overview [Carlos; !1643]
 - Add shortcuts for shifting through overview [Florian; !1695]
 - Round background corners in overview [Jonas D.; !1651, !1697]
 - Hide workspace minimap when using less than two workspaces [Florian; !1696]
 - Scale down backgrounds in window picker [Georges; !1691]
 - Minor improvements and bug fixes [Florian, Abderrahim, Georges, Sebastian,
   Jakub, Pascal, Jonas D.; !1594, !1609, !1608, !1620, !1629, !1625, !1634,
   !1640, #3669, !1636, !1655, !1656, !1665, !1667, !1638, !1680, !1682, !1684,
   !1681, !1687, !1693, !1694, !1692]
* Fix glitch in app folder icons on smaller displays [Sebastian; !1581]
* Remove arrows from top bar menus [Doan, Florian, Razze; !1583, !1618, !1615]
* Fix stuck grab after failed area screenshots [Sebastian; !1600]
* Prefer image-data hint over app-icon in notifications [Guilherme; !1616]
* Fix drag actor position when animations are turned off [Sebastian; !1627]
* Improve spacing in MPRIS notifications with small text [Sebastian; !1632]
* Add Welcome dialog after major updates [Bastien; !1619]
* Do not save empty commands in run dialog history [Lucas; !1442, !1653]
* Consider device type for fingerprint hint on login screen [Razze; !1572]
* Add tooltip to Extensions app to view unellipsized description [Leleat; !1663]
* Fix stuck polkit dialog when using non-password auth [Florian; !1662]
* Provide screenshot feedback (flash, shutter) before writing file to disk
  [Brion, Jonas; !1658]
* Improve Thai layout in on-screen keyboard [Panawat; !1427]
* Improve error handling for fingerprint auth [Marco; !1652]
* Handle a large number of window previews more gracefully [Sebastian; !1685]
* Follow swipe gesture when bringing up on-screen keyboard [Carlos; !1668]
* Disable out-of-date extensions by default (again) [Evan; !1706]
* Fixed crashes [Jonas D., Carlos; !1673, !1672]
* Misc. bug fixes and cleanups [Florian, Sebastian, Razze, Georges, Daniel,
  Robert, Jonas D., Jonas Å., Marco, Bastien, TerraAr, Carlos; !1575, !1579,
  !1577, !1578, !1585, !1587, !1588, !1590, !1591, !1592, !1595, !1596, !1597,
  !1598, !1582, !1589, !1617, !1611, !1637, !1635, !1641, !1646, !1546, !1648,
  !1650, !1649, !1644, !1661, !1622, !1075, !1674, !1556, !1686, !1683, !1688,
  !1699, !1698, !1701, !1709]

Contributors:
  Jonas Ådahl, Jonas Dreßler, Carlos Garnacho, Sebastian Keller,
  Abderrahim Kitouni, Leleat, Robert Mader, Alexander Mikhaylenko,
  Florian Müllner, Georges Basile Stavracas Neto, Bastien Nocera, Pascal Nowack,
  Razze, Guilherme Silva, Jakub Steiner, TerraAr, Marco Trevisan (Treviño),
  Brion Vibber, Doan Nam Long Vu, Daniel van Vugt, Evan Welsh,
  Lucas Werkmeister, Panawat Wong-kleaw

Translators:
  Balázs Úr [hu], Danial Behzadi [fa], Rafael Fontenelle [pt_BR], A S Alam [pa],
  Anders Jonsson [sv], Yuri Chornoivan [uk], Marek Černocký [cs],
  Hugo Carvalho [pt], Fran Dieguez [gl], Daniel Șerbănescu [ro],
  Florentina Mușat [ro], Daniel Mustieles [es], Jordi Mas [ca],
  Matej Urbančič [sl], Kukuh Syafaat [id], Bruno Lopes da Silva [pt_BR],
  Аляксей [be], Balázs Meskó [hu], Марко Костић [sr], Enrico Nicoletto [pt_BR],
  Emin Tufan Çetin [tr], Jiri Grönroos [fi], Aurimas Černius [lt]

40.alpha.1.1
============
* Adapt to settings moving to gsettings-desktop-schemas [Florian; !1573]
* Misc. bug fixes [Georges, Florian; !1571, !1574]

Contributors:
  Florian Müllner, Georges Basile Stavracas Neto

Translators:
  Марко Костић [sr], Marek Černocký [cs], Fabio Tomat [fur]

40.alpha.1
==========
* Restore app picker fade during swipes [Georges, Florian; !1519, !1569]
* Sort extensions in Looking Glass alphabetically [Florijan; !1516]
* Fix screenshots of unredirected fullscreen windows on X11
  [Jonas Å., LuK1337; !1534, !1549]
* Use GPU to render (most) shadows [Georges; !1539]
* Refine avatar styling [Joonas; !1490]
* Fix storing VPN secrets [Sebastian; !1535]
* Don't depend on asciidoc and sassc when building from tarball
  [Florian; !1553, !1555]
* Use horizontal pages in app picker [Georges; !1554]
* Avoid costly icon theme lookups unless when needed [Ivan; !1558]
* Properly expose locked state to logind [Florian; !1561]
* Use 3 fingers for system swipe gestures [Georges; !1562]
* Fix glitches in overview transitions [Jonas Å., Ivan; !1545, !1550]
* Improve login screen accessibility [Mike; !1567]
* Overhaul top bar styling [Jonas D.; !1397]
* Allow changing input volume by scrolling over microphone icon [Razze; !1566]
* Port Extensions app and portal to GTK4 [Florian; !1495]
* Fixed crashes [Jonas Å.; !1527]
* Misc. bug fixes and cleanups [Georges, Florian, Tom, Hans, Jonas D., Ivan,
  Sebastian, Daniel; !1518, !1521, !1523, !1525, !1520, !1526, !1472, !1339,
  !1529, !1531, !1532, !1533, !1528, !1350] !1542, !1537, !1548, !1551, !1557,
  !1543, !1560, !1544, !1565]

Contributors:
  Jonas Ådahl, Jonas Dreßler, Mike Gerow, Florijan Hamzic, Joonas Henriksson,
  Sebastian Keller, Tom Levy, LuK1337, Ivan Molodetskikh, Florian Müllner,
  Georges Basile Stavracas Neto, Hans Ulrich Niedermann, Razze, Daniel van Vugt

Translators:
  Florentina Mușat [ro], Fabio Tomat [fur], Hugo Carvalho [pt],
  Jordi Mas i Hernandez [ca], Philipp Kiemle [de], Fran Dieguez [gl],
  Jordi Mas [ca], Kukuh Syafaat [id], Kjartan Maraas [nb],
  Daniel Șerbănescu [ro], Matej Urbančič [sl]

40.alpha
========
* Handle @content properties in ease() functions [Andre; !1461]
* Fix screencast indicator on Xorg [Jonas Å.; !1466]
* Expand ellipsized app picker labels on hover [Georges; !1477, !1496]
* Fix inline-replies in chat notifications [Florian; #3226]
* Refine MPRIS notification layout [Harry; !1480]
* Improve do-not-disturb support [Florian; #2873, !1511]
* Fix mobile broadband support [Popax21; #3203]
* Add extension filtering in Extensions app [Florian; #3382]
* Improve app picker spacing on larger resolutions [Georges; !1510]
* Plugged leaks [Ray; !1460, !1459]
* Fixed crashes [Daniel, Florian; !1453, #3258, !1507]
* Misc. bug fixes and cleanups [Florian, Georges, Carlos, Joonas, Jan,
  Jonas Å., Robert, Jonas D., Ian, Daniel, Sebastian, Jordan; !1456, !1436,
  !1405, !1421, #3252, !1464, !1469, !1465, !1473, !1475, #3307, !1479,
  !1482, !1470, !1486, #3335, #3342, #3388, !1497, !1498, !1491, !1501,
  !1492, !1489, !1502, !1505, !1504, !1506, !1503, !1483, !1508, !1481,
  !1509, !1512, !1417, !1517]

Contributors:
  Jonas Dreßler, Carlos Garnacho, Joonas Henriksson, Sebastian Keller,
  Robert Mader, Andre Moreira Magalhaes, Daniel García Moreno, Harry Míchal,
  Florian Müllner, Georges Basile Stavracas Neto, Jordan Petridis, Popax21,
  Ian Douglas Scott, Ray Strode, Jan Tojnar, Olav Vitters, Daniel van Vugt,
  Jonas Ådahl

Translators:
  Juliano de Souza Camargo [pt], Fabio Tomat [fur], Akarshan Biswas [bn_IN],
  Carmen Bianca BAKKER [eo], Daniel Mustieles [es],
  Asier Sarasua Garmendia [eu], Ask Hjorth Larsen [da], Yuri Chornoivan [uk],
  Anders Jonsson [sv], Kjartan Maraas [nb]

3.38.1
======
* Add screen recordings to recent items [Florian; #3171]
* Tweak peek-password feature [Florian; #3138]
* Fix workspace glitches in overview [Florian; #3208, #3211]
* Improve DND behavior in app picker [Georges; !1447]
* Misc. bug fixes and cleanups [Florian, Daniel, Georges, Bastien, Christopher,
  yun341, Carlos; #3169, !1434, !1441, !1444, !379, !1443, #2230, !1448,
  !1451, #3209]

Contributors:
  Yacine Bouklif, Christopher Davis, Carlos Garnacho, Daniel García Moreno,
  Florian Müllner, Georges Basile Stavracas Neto, Bastien Nocera, yun341

Translators:
  Juliano de Souza Camargo [pt], Yacine Bouklif [kab], Charles Monzat [fr],
  Cheng-Chia Tseng [zh_TW], Yosef Or Boczko [he]

3.38.0
======
* Misc. bug fixes and cleanups [Andy, Florian; #3147, !1438]

Contributors:
  Andy Holmes, Florian Müllner

Translators:
  Anders Jonsson [sv], Balázs Úr [hu], Dušan Kazik [sk], Alan Mortensen [da],
  Tim Sabsch [de], Claude Paroz [fr], Jiri Grönroos [fi], Juliano Camargo [pt],
  Milo Casagrande [it], Aron Xu [zh_CN], Rūdolfs Mazurs [lv]

3.37.92
=======
* Fix screen recorder shortcut [Florian; #3097]
* Support cycle-group cycling only over windows in the workspac3 [Mitar; #3116]
* Misc. bug fixes and cleanups [Georges, Daniel, Carlos; !1428, !1423,
  !1311, #2968]


Contributors:
  Carlos Garnacho, Mitar, Florian Müllner, Georges Basile Stavracas Neto,
  Daniel van Vugt

Translators:
  Yuri Chornoivan [uk], Zander Brown [en_GB], Rafael Fontenelle [pt_BR],
  Nathan Follens [nl], Danial Behzadi [fa], Kukuh Syafaat [id],
  Aurimas Černius [lt], Marek Černocký [cs], Fabio Tomat [fur],
  Changwoo Ryu [ko], Марко Костић [sr], Daniel Mustieles [es], Dušan Kazik [sk],
  Thibault Martin [fr], Jordi Mas [ca]

3.37.91
=======
* Fix potential stack overflow in libcroco [Michael; !1404]
* Fix page removal in app picker [Georges; !1406]
* Fix "old style" VPN authentication [Florian; !1407]
* Fix X11 session login [Benjamin; !1418]
* Fix week number alignment when using font-scaling [Joonas; !1415]
* Fix lock screen on systems without GLSL shader support [Zephaniah; #3071]
* Misc. bug fixes and cleanups [Florian, Jonas, Georges, Andre, Will, Björn;
  !1396, !1359, !1408, !1409, !1414, !1413, !1416, #3073]

Contributors:
  Jonas Ådahl, Benjamin Berg, Michael Catanzaro, Björn Daase, Joonas Henriksson,
  Zephaniah E. Loss-Cutler-Hull, Andre Moreira Magalhaes, Florian Müllner,
  Georges Basile Stavracas Neto, Will Thompson

Translators:
  Fran Dieguez [gl], Jordi Mas [ca], Daniel Mustieles [es],
  Florentina Mușat [ro], Akarshan Biswas [bn_IN], Baurzhan Muftakhidinov [kk],
  Piotr Drąg [pl], Rafael Fontenelle [pt_BR], Emin Tufan Çetin [tr],
  sicklylife [ja], Danial Behzadi [fa], Jiri Grönroos [fi], Goran Vidović [hr],
  Matej Urbančič [sl], Boyuan Yang [zh_CN]

3.37.90
=======
* Fix extension updates when many extensions are installed [Jeremias; !1363]
* Fix missing icons in on-screen keyboard [Emre; #2631, #3007]
* Fix delay when showing calendar events [Sebastian; #2992]
* Allow rearranging items in app picker [Georges; !1284]
* Fix top bar navigation when NumLock is active [Olivier; #550]
* Delay login animation until wallpaper has loaded [Michael; #734996]
* Reset auth prompt on login screen on VT switch before fade in [Ray; #2997]
* Move screencasting into a separate service [Jonas Å.; !1372]
* Replace loaded terms with more descriptive one [Olivier; !1393]
* Add "Boot Options" support to restart dialog [Hans; !199]
* Move "Restart" into a separate menu item/dialog [Florian; #2202]
* Default to not installing updates on low battery [Michael; #2717]
* Misc. bug fixes and cleanups [Florian, Daniel V., Georges, Jonas Å.,
  Daniel G., Carlos, Benjamin, Piotr, Andre, Jonas D., Andy; !1357, !1356,
  #2969, #2969, !1358, !1371, #3005, !1380, #3022, !1381, !895, !1387, !1386,
  !1385, #3037, !1389, !1390, !1391, !1383, !1399, #2983, !1403]

Contributors:
  Jonas Ådahl, Benjamin Berg, Michael Catanzaro, Piotr Drąg, Jonas Dreßler,
  Olivier Fourdan, Carlos Garnacho, Hans de Goede, Andy Holmes,
  Sebastian Keller, Andre Moreira Magalhaes, Daniel García Moreno,
  Florian Müllner, Georges Basile Stavracas Neto, Jeremias Ortega, Ray Strode,
  Emre Uyguroglu, Daniel van Vugt

Translators:
  Tim Sabsch [de], Boyuan Yang [zh_CN], Fabio Tomat [fur],
  Efstathios Iosifidis [el], Rafael Fontenelle [pt_BR], Yuri Chornoivan [uk],
  Daniel Șerbănescu [ro], Jordi Mas [ca], Daniel Mustieles [es],
  Emin Tufan Çetin [tr], Asier Sarasua Garmendia [eu]

3.37.3
======
* Refactor and clean up window picker
  [Jonas D., Florian; !1297, !1298, !1305, !1345, !1353]
* Move calendar events out of notifications list [Florian; !1282]
* Refine app folder dialogs [Georges; !1301]
* Hide switch-user button on lock screen if unsupported [Chingkai; #2687]
* Refactor and clean up app picker pagination [Georges; !1271]
* Add API to retrieve specified mimetypes from clipboards [Carlos; !1321]
* Support prepending workspace with horizontal layouts [Florian; #2916]
* Update microphone icon on input volume changes [fludixx; #2902]
* Cache labels on GPU [Daniel; !1329]
* Fix regressions in redesigned modal dialogs [Florian, Jonas D.; #2491, !1336]
* Use GIcon for all application icons [Florian; !1342]
* Support pre-authenticated logins in vmware environments [yun341; #1983]
* Better support sandboxed apps with multiple .desktop files [Florian; #219]
* Fix on-screen keyboard size in portrait orientation [Florian; #2349]
* Plugged leaks [Sebastian, Daniel, Florian; !1306, !1319, !1341]
* Misc. bug fixes and cleanups [Jonas D., Georges, Marco, Florian, Sebastian,
  MOZGIII, Daniel, Mariana, Jonas Å.; !1296, !1295, #2643, !1300, !1309,
  !1119, #2901, !1313, !1251, !1285, !1307, !1318, !1310, !1320, !1327, !1315,
  !1289, !1331, !1332, !1333, !1334, !1340, !1287, !1308, !1346, !1299, !1343,
  !1351, !1352, !1322]

Contributors:
  Marco Trevisan (Treviño), Chingkai, Jonas Dreßler, Carlos Garnacho,
  Sebastian Keller, MOZGIII, Florian Müllner, Georges Basile Stavracas Neto,
  Mariana Picolo, Daniel van Vugt, fludixx, yun341, Jonas Ådahl

Translators:
  Daniel Mustieles [es], Boyuan Yang [zh_CN], Yuri Chornoivan [uk],
  Jordi Mas [ca], sicklylife [ja], Emin Tufan Çetin [tr],
  Baurzhan Muftakhidinov [kk], Florentina Mușat [ro], Aurimas Černius [lt],
  Rūdolfs Mazurs [lv]

3.37.2
======
* Add support for "PrefersNonDefaultGPU" desktop key [Bastien; !1226]
* Only start systemd units when running under systemd
  [Carlos, Florian; #2755, !1242, !1252]
* Fix "ghost" media controls [Bryan; #2776]
* Fix zombie sockets from extensions downloader [Michael; #2774]
* Update world clocks offsets when timezone changes [Bryan; #2209]
* Support scrolling anywhere in slider menu items [Peter; #2795]
* Fix "Do Not Disturb" setting getting reset on startup [Florian; #2804]
* Only allow updates for extensions that aren't cached [Florian; !1248]
* Fix matching notifications by PID [Florian; #2592]
* Indicate extension errors in Extensions app [Florian; #2337]
* Add clipboard API for querying supported mimetypes [Andy; #2819]
* Add preview to color picker [Florian; #451]
* Improve world clocks styling [PrOF-kk; #2825]
* Remove Frequent view from app picker [Georges; !880]
* Fix pad OSD glitches [Carlos; !1290]
* Expose actor tree in looking glass [Georges; !1292]
* Fixed crashes [Jonas D., Florian; #2709, #2757]
* Misc. bug fixes and cleanups [Florian, AsciiWolf, Michael, Piotr, Ting-Wei,
  Amr, Alexander, Bryan, Georges, Jonas D., Andy, Björn, Koki, Carlos; !1229,
  !1231, !1233, !1235, #2578, #2735, #2751, #2602, #2777, !1249, #2796, !1268,
  !1269, !1265, !1245, !1273, #2816, !1274, !1263, !1188, !1276, #2652, !1277,
  !1281, #2286, !1267, !1286, !1279, !1288, !1293, !1294, !1291]

Contributors:
  AsciiWolf, Michael Catanzaro, Björn Daase, Jonas Dreßler, Bryan Dunsmore,
  Koki Fukuda, Carlos Garnacho, Andy Holmes, Amr Ibrahim, Soslan Khubulov,
  Ting-Wei Lan, Michael Lass, Alexander Mikhaylenko, Florian Müllner,
  Georges Basile Stavracas Neto, Bastien Nocera, PrOF-kk, Peter Simonyi

Translators:
  Fabio Tomat [fur], Cheng-Chia Tseng [zh_TW], Yuri Chornoivan [uk],
  Dušan Kazik [sk], Piotr Drąg [pl], Soslan Khubulov [os],
  Daniel Mustieles [es], Nathan Follens [nl], Bruce Cowan [en_GB],
  Florentina Mușat [ro], Milo Casagrande [it], Anders Jonsson [sv],
  Charles Monzat [fr], Danial Behzadi [fa], sicklylife [ja], Kukuh Syafaat [id],
  Jordi Mas [ca], Emin Tufan Çetin [tr], Jiri Grönroos [fi], Марко Костић [sr],
  Christian Kirbach [de], Changwoo Ryu [ko], Matej Urbančič [sl]

3.37.1
======
* Improve bluetooth submenu title [Mariana; #2340]
* Add openPrefs() convenience method for extensions [Florian; !1163]
* Bring back support for empty StIcons [Andre, Jonas D.; !1173, !1178]
* Wake up screen when unlocking programmatically [Florian; !1158]
* Improve extensions tool error reporting [Florian; #2391]
* Improve handling of scale-factor changes [Georges; !1176]
* Tone down weekend days with events in calendar [Jakub; #2588]
* Fix showing bluetooth submenu when devices were set up [Florian; !1174]
* Add support for parental controls filtering [Philip W.; !465]
* Provide alternative extension templates [Florian; !812]
* Improve weather section's empty state [Mariana; #2179]
* Fix translations of folder names [Florian; #2623]
* Drop Tweener [Jonas Å.; !1200]
* Match ASCII alternatives of system actions [Will; #2688]
* Fix delay on lock screen after entering wrong password [Jonas D.; #2655]
* Use globalThis instead of window [Andy; #2322]
* Inhibit remote access when disabled by session mode [Jonas Å.; !1210]
* Improve calendar-server performance [Milan; #1875]
* Add gnome-shell-extension-prefs wrapper for compatibility [Florian; !1220]
* Fix stuck lock screen after unlock [Jonas D., Florian; #2446]
* Fixed crashes [Jonas D., Florian, Carlos; #2584, #2625, !1223, !1218]
* Misc. bug fixes and cleanups [Florian, Jonas Å., Marco, Andre, Georges,
  Jonas D., Jan, Philip Ch.,, Xiaoguang, Will, Jordan, Matthew, qarmin;
  !1126, !1155, !1156, !1165, !1168, !1169, #2551, #2563, !1172, !1175, !1179,
  !1160, #2562, #2578, !1184, #2559, !1186, #2607, !1191, !1194, !1199, !1203,
  #2649, #2628, !1205, !1206, !1208, !1207, !1211, !1214, !1213, !1192, !1217,
  !1219, #1615, #2691, !1094, !1177]

Contributors:
  Marco Trevisan (Treviño), Philip Chimento, Milan Crha, Jonas Dreßler,
  Carlos Garnacho, Andy Holmes, Matthew Leeds, Andre Moreira Magalhaes,
  Florian Müllner, Georges Basile Stavracas Neto, Jordan Petridis,
  Mariana Picolo, Jakub Steiner, Will Thompson, Jan Tojnar, Xiaoguang Wang,
  Philip Withnall, qarmin, Jonas Ådahl

Translators:
  Fabio Tomat [fur], Cheng-Chia Tseng [zh_TW], Danial Behzadi [fa],
  Jiri Grönroos [fi], Ibai Oihanguren Sala [eu], Марко Костић [sr],
  Rūdolfs Mazurs [lv], Yuri Chornoivan [uk], Carmen Bianca BAKKER [eo],
  Dingzhong Chen [zh_CN], Rafael Fontenelle [pt_BR], Petr Kovář [cs],
  Asier Sarasua Garmendia [eu], Daniel Mustieles [es], Emin Tufan Çetin [tr]

3.36.0
======
* Fix off-by-1900 error in date conversions [Florian; !1061]
* Fix crash on startup with topIcons* extension enabled [Florian; #2308]
* Don't require gsd-xsettings for X11 support on wayland [Olivier; !1065]
* Fix ibus support in Xorg session [Carlos; #1690]
* Improve Extensions D-Bus API [Florian; !1074]
* Allow session modes to specify alternative resource name [Marco; !1063]
* Fix link to location settings in aggregate menu [Sebastian; #2316]
* Fix illegible app folder titles with light theme [ub; !1059]
* Really fix visual glitch in sliders [Jonas; #1569]

Contributors:
  Marco Trevisan (Treviño), Jonas Dreßler, Olivier Fourdan, Carlos Garnacho,
  Sebastian Keller, Florian Müllner, ub

Translators:
  Aman Alam [pa], Goran Vidović [hr], Aurimas Černius [lt],
  Milo Casagrande [it], Daniel Korostil [uk], sicklylife [ja],
  Marek Černocký [cs], Nathan Follens [nl]

3.35.92
=======
* Plug a memory leak [Jonas D.; !1015]
* Fix missing "back" button on login screen [Florian; #2228]
* Fix width of window preview titles in overview [Jonas D.; #58]
* Fix looking glass text with light style variant [Feichtmeier; !1023]
* Center unlock entry [Florian; !1021]
* Hide overlay scrollbars in notification popup [Jonas D.; !1013]
* Work around add_actor() slowness in icon spring animation [Daniel; !1002]
* Add disable-animations heuristics [Jonas Å.; !757]
* Fix visual glitches in on-screen keyboard [Carlos; #2214]
* Fix clearing changed textures from cache [Florian; #2244]
* Fix visual glitch in sliders [Daniel; #1569]
* Stop using dedicated lock screen background [Florian; !1001]
* Fix entries disappearing after authentication errors [Florian; #2236]
* Fix crash when animations are disabled [Florian; #2255]
* Fix passing pointer events to clients when magnified [Jonas D.; !993]
* Fix keynav on new lock screen [Florian; #2210]
* Avoid short-lived allocations on actor removal [Christian; #2263]
* Fix super-sized default avatars in user list [Florian, Sam; #2242]
* Leave overview when locking the screen [Jonas D.; !1043]
* Hide message list on login screen [Florian; #2241]
* Avoid IO on the main thread [Christian, Florian; !1050, !1051]
* Fix window animations getting stuck when client doesn't respond [Jonas; !1055]
* Only subscribe to touchpad events for touchpad gestures [Daniel; !925]
* Start X11 session services before Xwayland clients [Carlos; !836, !1056]
* Only show switch-user button with unlock prompt [Florian; !1029]
* Misc. bug fixes and cleanups [Jonas D., Florian, Georges, Jonas Å., Daniel,
  Jakub, Philippe; !1018, !1020, !1024, !1027, !1026, !1022, !1031, !1035,
  !1032, !1025, !1039, #2157, !1037, !1042, !1047, !1048, #2270, !1046,
  !167, !1016]

Contributors:
  Jonas Dreßler, Feichtmeier, Carlos Garnacho, Christian Hergert, Sam Hewitt,
  Florian Müllner, Georges Basile Stavracas Neto, Jakub Steiner, Philippe Troin,
  Daniel van Vugt, Jonas Ådahl

Translators:
  Danial Behzadi [fa], Efstathios Iosifidis [el], Daniel Mustieles [es],
  Sabri Ünal [tr], sicklylife [ja], Piotr Drąg [pl], Jordi Mas [ca],
  Anders Jonsson [sv], Chao-Hsiung Liao [zh_TW], Asier Sarasua Garmendia [eu],
  Rafael Fontenelle [pt_BR], Марко Костић [sr], Changwoo Ryu [ko],
  Charles Monzat [fr], Jiri Grönroos [fi], Jor Teron [mjw], Bruce Cowan [en_GB],
  Emin Tufan Çetin [tr], Alan Mortensen [da], Balázs Úr [hu], Fran Dieguez [gl],
  Kukuh Syafaat [id]

3.35.91
=======
* Improve magnifier [Carlos; !984]
* Only enable OSK automatically if touch-mode is enabled [Carlos; #872]
* Merge screen shield and unlock dialog to new lock screen [Georges; !872]
* Improve ShellBlur effect [Jonas; !991]
* Adapt user avatar for new lock screen [Umang, Georges; !922]
* Animate prompt transition on lock screen [Florian; !972]
* Reduce font-size in dialog titles if text doesn't fit [Jonas; !1012]
* Various lock screen improvements and bug fixes [Jakub, Florian, Georges;
  !996, !997, !999, #2212, !998, !1006, #2215, #2213]
* Misc. bug fixes and cleanups [Daniel, Florian, Jakub, nana-4, Jonas; #2170,
  #2167, !936, !988, #2187, !994, !995, !938, #2194, #2203, !1004, !977, !1014]

Contributors:
  Jonas Dreßler, Carlos Garnacho, Umang Jain, Daniel Mustieles, Florian Müllner,
  Georges Basile Stavracas Neto, Jakub Steiner, Daniel van Vugt, nana-4

Translators:
  Daniel Mustieles [es, pt_BR], Rafael Fontenelle [pt_BR], Danial Behzadi [fa],
  Anders Jonsson [sv], Asier Sarasua Garmendia [eu], Aurimas Černius [lt],
  Bruce Cowan [en_GB], sicklylife [ja], Fran Dieguez [gl], Kukuh Syafaat [id],
  Emin Tufan Çetin [tr], Jiri Grönroos [fi], Jordi Mas [ca], Claude Paroz [fr],
  Ask Hjorth Larsen [da], Марко Костић [sr], Piotr Drąg [pl],
  Charles Monzat [fr], Balázs Úr [hu]

3.35.90
=======
* Update default favorite apps [Michael; !907]
* Add Shell.Blur effect [Georges; !864, !924]
* Overhaul scroll/swipe gestures [Alexander; !821, !825, !826]
* Fix VPN connections when delaying request [Florian; #2008]
* Overhaul theme [Sam, Jakub, nana-4; !904, !931, !957]
* Improve visual appearance of Weather integration [Florian; #1143]
* Implement new system dialog designs [Jonas; #1343]
* Animate position changes of app icons [Georges; !882]
* Add St.Viewport [Georges; !929]
* Make app folders behave as dialogs [Georges; !896]
* Add do-not-disturb functionality to calendar popup [Florian; #239]
* Show hint actor in focused entries [Jonas; !944]
* Switch screen-recorder back to VP8 [Björn; #256]
* Allow to run perf-tool as wayland compositor [Olivier; !941]
* Handle extension updates [Florian; !945]
* Animate showing and hiding caps-lock warning [Jonas; !952]
* Support "auto" lengths in CSS [Florian; !971]
* Turn extension-prefs into the official Extensions app [Florian; #1968]
* Sandbox the portal helper [Michael; !983]
* Misc. bug fixes and cleanups [Florian, Björn, Jakub, Alexander, Daniel V.,
  Jonas, nana-4, Carlos, Sebastian, Daniel G., Georges, Piotr; !918, !917,
  !919, !920, #763, #791659, !927, #2091, !930, !926, !888, !934, !168, #2133,
  #682, #2142, #2131, !943, #2132, #1958, #2146, !951, #1779, #2130, !964,
  !965, !948, #2151, #1746, !967, !760, !968, !970, !973, #2169, #2176, !978,
  !980, !979, #2177, !981, #2180, !974]

Contributors:
  Michael Catanzaro, Björn Daase, Jonas Dreßler, Piotr Drąg, Olivier Fourdan,
  Carlos Garnacho, Sam Hewitt, Sebastian Keller, Andre Klapper,
  Alexander Mikhaylenko, Daniel García Moreno, Florian Müllner,
  Georges Basile Stavracas Neto, Jakub Steiner, Daniel van Vugt, nana-4

Translators:
  Asier Sarasua Garmendia [eu], Daniel Mustieles [es], Andrej Shadura [sk],
  Carmen Bianca BAKKER [eo], Sucipto [id], Dušan Kazik [sk], Goran Vidović [hr],
  sicklylife [ja], Kukuh Syafaat [id], Yi-Jyun Pan [zh_TW],
  Rafael Fontenelle [pt_BR], Jordi Mas [ca], Jiri Grönroos [fi],
  Fabio Tomat [fur], Umarzuki Bin Mochlis Moktar [ms], Daniel Korostil [uk],
  Jor Teron [mjw], Anders Jonsson [sv], Aurimas Černius [lt]

3.35.3
======
* Add discrete GPU support for NVidia drivers [Bastien; #1810]
* Fix DND of window previews with tablet devices [Carlos; !897]
* Update pad OSD actions dynamically on mode changes [Carlos; !898]
* st: Add dedicated PasswordEntry widget [Umang; !619]
* Allow stand-alone builds of gnome-extensions tool [Florian; !877]
* extension-tool: Don't treat missing .js handler as error [Chuck; !905]
* Disallow top bar menus without top bar [Florian; #2002]
* Misc. bug fixes and cleanups [Georges, Florian, Robert, Umang; !901,
  #789937, !909, !910, !911, !913, !916]

Contributors:
  Michael Catanzaro, Chuck, Carlos Garnacho, Umang Jain, Robert Mader,
  Florian Müllner, Georges Basile Stavracas Neto, Bastien Nocera

Translators:
  Fabio Tomat [fur], Fran Dieguez [gl], Jordi Mas [ca], Daniel Mustieles [es]

3.35.2
======
* Fix unredirection after cancelled animations [Florian; #1788]
* Include shadow in window screenshots [Robert; !762]
* Show indicator when microphone is active [Florian; !729]
* Use inheritance instead of delegate pattern [Marco; !559]
* Use cached coordinates for window sorting in overview [Andrew; !763]
* Wiggle login/unlock password entries on failure [Georges; !769]
* Update window titles in app menu [Florian; #1830]
* Fix window animations getting stuck by workspace switches [Jonas D.; !784]
* Fix not-responding dialog size when using geometry scaling [Jonas D.; !783]
* Handle buggy MPRIS clients more gracefully [Philip; #1362]
* Deprecate StBoxLayout's child properties [Florian; !780]
* Remove StBin's align properties [Florian; !803]
* Use correct timezones for events [Milan, Florian; !806, #1895]
* Reduce overhead of tracking stylesheet changes [Carlos; !779]
* Replace action icons in system menu with regular menu items [Florian; #270]
* Refine polkit dialogs [Jonas D.; !788]
* Fix battery icon glitch in "100% but charging" case [Philip; !814]
* Fix windows getting stuck on screen if closed while animating [Florian; !815]
* Use font from interface settings [Florian; #688288]
* Show polkit confirmation dialog for users with no password
  [Joaquim, Jonas D.; !829]
* Use better OSK layout fallback for unsupported variants [Florian; #1907]
* Hide stopped spinner in top bar [Joonas; !832]
* Reuse existing icons when updating the app picker grid [Georges; !841]
* Show switcher popups immediately on second key press [Florian; #1928]
* Add position-based animation to page indicators [Alexander; !843]
* Improve modifier-less keyboard navigation of switcher popups [Florian; #1883]
* Improve weather integration [Florian; #1927, #1926]
* Add back sound feedback when scrolling volume indicator [Florian; #53]
* Fix creating app folders with no pre-existing folders [Jonas D.; #1652]
* Improve DND page switching in app picker [Florian, Jonas D.; #1693]
* Fix disable command of gnome-extensions tool [Florian; #1946]
* Tweak styling of notifications/media constrols [Joonas; !855, !865]
* Enable clean session shutdown after gnome-shell failure [Benjamin; !858]
* Also remove scaled keys when texture cache is cleared [Daniel M.; !567]
* Don't show overflow indicator in switchers that fit screen [Florian; #1834]
* Move libcroco dependency in-tree [Federico; !861]
* Move to app folder location when it is created/renamed [Georges; !883]
* Dismiss switcher popups when a system modal dialogs opens [Florian; #1536]
* Fix weather forecasts for automatic location when Weather is not sandboxed
  [Florian; #1823]
* Place launched applications into a systemd scope [Benjamin; !863]
* Fixed crashes [Jonas D., Carlos; !787, !813]
* Misc. bug fixes and cleanups [Marco, Georges, Daniel V., Florian, Robert,
  Kalev, Philip, Jonas D., Will, Carlos, Jonas Å., cunidev, Joonas, Federico;
  !747, !765, !421, !759, !749, !730, !770, #1799, !774, !773, !776, !777,
  !782, !794, !778, !792, !790, !190, !796, !795, !797, !798, !800, !804, !808,
  !807, !810, !811, !563, !809, !805, !817, !818, !822, !830, !828, !823, !835,
  !840, !842, !833, !845, !846, !847, !851, #1916, !862, !866, #1979, !827,
  #1976, !884, !873, !885, !799, !887, !891, !816]

Contributors:
  Marco Trevisan (Treviño), Benjamin Berg, Philip Chimento, Milan Crha,
  Jonas Dreßler, Carlos Garnacho, Joonas Henriksson, Kalev Lember, Robert Mader,
  Alexander Mikhaylenko, Daniel García Moreno, Florian Müllner,
  Georges Basile Stavracas Neto, Federico Mena Quintero, Joaquim Rocha,
  Will Thompson, Daniel van Vugt, Andrew Watson, cunidev, Jonas Ådahl

Translators:
  Daniel Mustieles [es], Goran Vidović [hr], Fabio Tomat [fur],
  Danial Behzadi [fa], Andika Triwidada [id], Efstathios Iosifidis [el],
  Ricardo Silva Veloso [pt_BR]

3.35.1
======
* Misc. bug fixes and cleanups [Marco; Matthias; !758, #701212]

Contributors:
  Marco Trevisan (Treviño)

3.34.1
======
* Fix "Frequent" view icons disappearing on hover [Jonas D.; #1502]
* Allow editing app folder names [Georges, Marco; !675, !720]
* Skip property transitions while hidden [Florian; !708]
* Make menu animations more consistent [Florian, GB_2; #1595, !717]
* Improve performance when enabling/disabling all extensions [Jonas D.; !96]
* Fix extra icons appearing in "Frequent" view animation [Georges; !696]
* Fix fading out desktop icons [Harshula; #1616]
* Fix box-shadow glitch with prerendered resources [Daniel; #1186]
* Fix accidentally skipped animations [Florian; #1572]
* Fix screenshots and window animations when scaled [Robert; !728]
* Don't leak NOTIFY_SOCKET environment variable to applications [Benjamin; !741]
* Fix lock-up on X11 when ibus is already running on startup [Marco; #1712]
* Fix screen dimming on idle [Marco; #1683]
* Do not notify systemd before initialization is complete [Iain; !750]
* Support SAE secrets in network agent [Lubomir; !751]
* Fix various regressions with dynamic workspaces [Florian; #1497]
* Fixed crashes [Florian, Marco; #1678, !746]
* Misc. bug fixes and cleanups [Marco, Jonas D., Florian, Iain, Georges,
  Jonas Å., Martin, Takao, Carlos; !700, !705, !709, !711, !707, #1538, !710,
  !713, !699, !715, !718, !716, !719, !721, #1243, !725, !731, #1614, !683,
  !732, !121, !735, !736, !740, #573, #1641, #1571]

Contributors:
  Marco Trevisan (Treviño), Benjamin Berg, Jonas Dreßler, Takao Fujiwara, GB_2,
  Carlos Garnacho, Harshula Jayasuriya, Iain Lane, Robert Mader,
  Daniel García Moreno, Florian Müllner, Georges Basile Stavracas Neto,
  Lubomir Rintel, Martin Zurowietz, Jonas Ådahl

Translators:
  Rafael Fontenelle [pt_BR], Fran Dieguez [gl], Balázs Úr [hu],
  Milo Casagrande [it], Daniel Șerbănescu [ro], Kukuh Syafaat [id],
  Jiri Grönroos [fi], Daniel Mustieles [es], Piotr Drąg [pl],
  Anders Jonsson [sv], Marek Černocký [cs], Jordi Mas [ca],
  Aurimas Černius [lt], Christian Kirbach [de], Emin Tufan Çetin [tr],
  Enrico Nicoletto [pt_BR], Danial Behzadi [fa], Марко Костић [sr],
  Alexandre Franke [fr], Charles Monzat [fr], Kjartan Maraas [nb],
  Ryuta Fujii [ja], Nathan Follens [nl], Dušan Kazik [sk], Fabio Tomat [fur],
  Matej Urbančič [sl], Ask Hjorth Larsen [da], Alan Mortensen [da]

3.34.0
======
* Handle startup/shutdown of misc X11 services [Carlos; !680]
* Fix sound volume mute/unmute [Iain; #1557]
* Correctly terminate pasted text [Carlos; #1570]

Contributors:
  Carlos Garnacho, Iain Lane

Translators:
  Tom Tryfonidis [el], Milo Casagrande [it], Ryuta Fujii [ja],
  Efstathios Iosifidis [el], Carmen Bianca BAKKER [eo], Sabri Ünal [tr],
  Dušan Kazik [sk], Balázs Meskó [hu], Claude Paroz [fr]

3.33.92
=======
* Animate pointer a11y pie timer [Jonas D.; !688]
* Fix restarting shell in systemd user session [Benjamin; !690]
* Misc. bug fixes and cleanups [Florian, Jonas D., Jonas Å., Will;
  !691, !689, !692, #1552, !698]

Contributors:
  Jonas Ådahl, Benjamin Berg, Piotr Drąg, Jonas Dreßler, Florian Müllner,
  Will Thompson

Translators:
  Daniel Șerbănescu [ro], Danial Behzadi [fa], Daniel Mustieles [es],
  Jiri Grönroos [fi], Asier Sarasua Garmendia [eu], Piotr Drąg [pl],
  Rūdolfs Mazurs [lv], Anders Jonsson [sv], Fran Dieguez [gl], Jordi Mas [ca],
  Matej Urbančič [sl], Zander Brown [en_GB], Ryuta Fujii [ja], Tim Sabsch [de],
  Fabio Tomat [fur], Pawan Chitrakar [ne], A S Alam [pa], Changwoo Ryu [ko],
  Aurimas Černius [lt], Daniel Rusek [cs], Marek Černocký [cs],
  Kukuh Syafaat [id], Goran Vidović [hr], Rafael Fontenelle [pt_BR]

3.33.91
=======
* Fix regression when adjusting brightness [Florian; #1500]
* Fix pointer a11y timeout animation [Jonas D.; #1533]
* Add new extensions CLI tool [Florian; #1234]
* Only track top-level windows [Carlos; #556]
* Misc. bug fixes and cleanups [Jonas D., Jonas Å., Piotr, Florian;
  !678, !682, !686]

Contributors:
  Jonas Ådahl, Jonas Dreßler, Carlos Garnacho, Florian Müllner

Translators:
  Asier Sarasua Garmendia [eu], Sveinn í Felli [is], Anders Jonsson [sv],
  Jordi Mas [ca], Kukuh Syafaat [id], Florentina Mușat [ro], Jiri Grönroos [fi],
  Aurimas Černius [lt], Daniel Mustieles [es], Piotr Drąg [pl],
  Danial Behzadi [fa]

3.33.90
=======
* Implement DND app picker folder management [Georges; !643, !645, !664, !671]
* Make Clocks/Weather integration work with sandboxed apps [Florian; #1158]
* Support startup via systemd user instance [Benjamin; !507]
* Replace Tweener with Clutter animations [Florian; !663, !22, !666, !668, !669]
* Minimize travel distance in overview animation [Sergey; !267]
* Rescan icon theme when installed apps changed [Georges; !661]
* Consistently animate new window actions [Jonas; !662, !673]
* Misc. bug fixes and cleanups [Florian, Daniel, Ray, Bastien, Jonas, Niels,
  Marco, Georges; !635, !636, !637, #1462, !628, !640, !641, !627, !644, !647,
  !385, #1474, !651, #1144, !646, !653, !652, !655, #1482, !656, $654, !665,
  !667, !670, #1357, !672, !657, #1507, !674, !677]

Contributors:
  Benjamin Berg, Sergey Bugaev, Jonas Dreßler, Niels De Graef, Florian Müllner,
  Georges Basile Stavracas Neto, Bastien Nocera, Ray Strode,
  Marco Trevisan (Treviño), verdre, Daniel van Vugt

Translators:
  Asier Sarasua Garmendia [eu], Rafael Fontenelle [pt_BR],
  Kristjan SCHMIDT [eo], Jor Teron [mjw], Daniel Mustieles [es],
  Kukuh Syafaat [id], Jordi Mas [ca], Fabio Tomat [fur], Daniel Șerbănescu [ro],
  Anders Jonsson [sv]

3.33.4
======
* Fix unintentional interference between gestures [Jonas; !598]
* Fix unintentional loop while polkit dialog is active [Ray; !602]
* Fix alt-tab icon size on HiDPI [Jonas; !587]
* Style fixes and improvements [Frederik, Jakub; !610, #1446, #1449]
* Fix style updates for non-background CSS properties [Florian; #1212]
* Fix cursor visibility in screen recordings [Illya; #1208]
* Add option for disabling the hot corner [Florian; #688320]
* Use more fine-grained levels in battery indicator [Florian; !561, #1442]
* Fix the calculation of the maximum number of app search results [Jonas; !110]
* Handle horizontal workspace layout with gestures/animations [Florian; !575]
* Improve handling of session mode extensions [Florian, Didier; #789852]
* Misc. bug fixes and cleanups [Jonas, Florian, Sonny, Carlos, Mario, Benjamin,
  Marco, Ting-Wei; !599, !600, !591, !606, !152, !607, !604, !495, !608, !611,
  !614, !612, !615, !618, #369, !620, #774, !621, !616, #1065, !609, !626,
  !491, !631, !632, !633, #1457]

Contributors:
  Benjamin Berg, Jonas Dreßler, Frederik Feichtmeier, Carlos Garnacho,
  Illya Klymov, Ting-Wei Lan, Florian Müllner, Sonny Piers, Mario Sanchez Prada,
  Didier Roche, Jakub Steiner, Ray Strode, Jor Teron, Marco Trevisan (Treviño)

Translators:
  Jordi Mas [ca], Jor Teron [mjw]

3.33.3
======
* Prepare for optional X11 [Carlos; !378]
* Fix opening window menu [Marco; !557]
* Reload search providers when installed applications change [Cosimo; !562]
* Implement locate-pointer accessibility feature [Olivier; #981]
* Allow to disable window menus via session mode [Cosimo; !569]
* Implement mouse accessibility [Olivier; !474]
* Call GDM's RegisterSession() after startup [Iain; !570]
* Fix extended keys popups being hidden by on-screen keyboard [Marco; !583]
* Fix top bar being hidden by lock screen [Jonas; !571]
* Update theme to better match GTK's Adwaita [Frederik; #841]
* Set up GJS profiler when GJS_TRACE_FD is set [Christian; !573]
* Misc. bug fixes and cleanups [Jonas, Cosimo, Robert, Florian, Marco, Simon,
  Laurent, Niels, Will; !551, !555, !464, #1333, !565, !572, !568, !558, #1205,
  #1336, !579, !576, #1392, !582, !586, #1406, #1351]

Contributors:
  Laurent Bigonville, Cosimo Cecchi, Piotr Drąg, Jonas Dreßler,
  Frederik Feichtmeier, Olivier Fourdan, Carlos Garnacho, Niels De Graef,
  Christian Hergert, Iain Lane, Robert Mader, Florian Müllner, Simon Schampijer,
  Jakub Steiner, Will Thompson, Marco Trevisan (Treviño)

Translators:
  Kukuh Syafaat [id], Balázs Meskó [hu], Daniel Mustieles [es],
  Fabio Tomat [fur], Nathan Follens [nl], Goran Vidović [hr], Jordi Mas [ca]

3.33.2
======
* Fix keeping actors visible in scrollviews [Marco; #1061]
* Move some chrome above popup windows [Jonas D.; !358]
* Include 'sandboxed-app-id' in window introspection info [Florian; #1289]
* Port to libecal-2.0 [Milan; !501]
* Support TCRYPT in mount password dialog [segfault; !126]
* Misc. bug fixes and cleanups [Florian, Marco, Veerasamy; !517, #745, !499,
  !510, !515, !546, !549]

Contributors:
  Cosimo Cecchi, Milan Crha, Jonas Dreßler, Florian Müllner, segfault,
  Veerasamy Sevagen, Marco Trevisan (Treviño)

Translators:
  Daniel Mustieles [es]

3.33.1
======
* Refine the app menu [Florian; #968]
* Refine window preview style [Feichtmeier; !461]
* Only emit ::style-changed on actual changes [Carlos; #1153]
* Disable emoji on-screen keyboard support on X11 [Florian; #1172]
* Fix tablet button mapping overlay [Carlos; #1220]
* Don't crash for world clock locations with no timezone [Florian; #1062]
* Don't leak old on-screen keyboard layout groups [Carlos; mutter#556]
* Fix ellipsization in dialog subtitles/bodies [Marco; !531]
* Fix glitch of fullscreen window in workspace switch animation [Jonas D.; !322]
* Fix distortion of some image contents [Florian; !525]
* Allow dragging unfocused tiled/maximized windows from top bar [Dylan; #679290]
* Handle network interface name changes [Fabrice; !534]
* Avoid unnecessary style changes when computing :first/:last-child
  [Florian; !529]
* Misc. bug fixes and cleanups [Florian, Marco, Robert, Georges, Carlos, Simon,
  Jonas D.; !487, !441, !502, !503, !504, !506, #822, !551, !512, !509, !511,
  #1054, !524, #1065, !331, !540]

Contributors:
  Fabrice Bellet, Jonas Dreßler, Feichtmeier, Carlos Garnacho, Robert Mader,
  Dylan McCall, Simon McVittie, Florian Müllner, Georges Basile Stavracas Neto,
  Marco Trevisan (Treviño)

Translators:
  Daniel Mustieles [es], Kukuh Syafaat [id], Fabio Tomat [fur],
  Carmen Bianca BAKKER [eo], Dingzhong Chen [zh_CN], Tim Sabsch [de]

3.32.1
======
* Fix avatar scaling on login screen [Florian; #1024]
* Fix distortion of desktop zoom [Florian; #646]
* Fix mouse cursor visibility when using desktop zoom [Florian, Marco; #1020]
* Fix screen dimming after wake-up on lock screen [Xiaoguang; #900]
* Fix Alt+Esc switcher [Florian; #1064]
* Respect struts for popover placement [Andrea; #1102]
* Fix app icons updates after theme changes [Florian; #1117]
* Fix desktop zoom after resolution changes [Marco; #1120]
* Implement stick-to-finger workspace switch overview gestures [Florian; #516]
* Make World Clocks offsets relative to local time [Florian; #1157]
* Fix top app icon disappearing from dash [Florian; #1053]
* Update switch style to match new Adwaita [Jakub; !496]
* Ensure CSS units are pixel-aligned when scaling is used [Carlos; #91]
* Misc. bug fixes and cleanups [Florian, Jakub, Robert, Alex, Carlos, Phil,
  Marco, Benjamin, AsciiWolf, Ray, verdre; !444, #1016, #1018, !449, #1036,
  !455, #1094, !440, #1023, #624, #1017, !476, !473, !480, #1130, !485, !481,
  !490, !489, #1151, !435, #1160, !482, #1150, #1166, !384]

Contributors:
  AsciiWolf, Andrea Azzarone, Benjamin Berg, Carlos Garnacho, Victor Ibragimov,
  Robert Mader, Alex Monday, Florian Müllner, Jakub Steiner, Ray Strode,
  Marco Trevisan (Treviño), verdre, Xiaoguang Wang, Phil Wyett

Translators:
  Victor Ibragimov [tg, af, et, ja], Bruce Cowan [en_GB], Piotr Drąg [tg],
  Charles Monzat [fr], Khaled Hosny [ar], Goran Vidović [hr],
  Cheng-Chia Tseng [zh_TW], Carmen Bianca BAKKER [eo], Daniel Mustieles [es],
  Dušan Kazik [sk]

3.32.0
======
* Fix sizing issues in on-screen-keyboard emoji panel [Carlos; !439]
* Fix test linker failure on Debian/Ubuntu [Iain; !442]
* Avoid assertion when sizing fallback app icons from CSS [Florian; #1027]
* Fix mis-sized menu arrows after texture cache changes [Florian; !452]

Contributors:
  Carlos Garnacho, Iain Lane, Florian Müllner

Translators:
  Gábor Kelemen [hu], Victor Ibragimov [tg], Ryuta Fujii [ja], Piotr Drąg [af,
  tg], Mart Raudsepp [et]

3.31.92
=======
* Fix visual glitch in submenus [Alex; #987]
* Support fractional scaling [Jonas, Marco; #765011, !5]
* Only consider visible children for :first-child/:last-child [Florian; !312]
* Hide trailing separator in search results [verdre; !311]
* Remember choice in inhibit-shortcuts dialogue [Olivier; !382]
* Don't toggle on-screen keyboard on every focus change [Carlos; !397]
* Fix legacy tray icons not responding to events on wayland [Florian; #191]
* Fix generating French OSK layout [Florian; #997]
* Use borderless round user images [Florian; #811]
* Misc. bug fixes and cleanups [Andrea, Robert, Florian, Marco, Niels,
  Benjamin; !414, !417, !420, #996, !408, !422, !425, #1006, !427, !315,
  #989, !430, !431, !432, #1015, !429, !423, !419, !434]

Contributors:
  Jonas Ådahl, Alan, Andrea Azzarone, Benjamin Berg, Olivier Fourdan,
  Carlos Garnacho, Niels De Graef, Robert Mader, Alex Monday, Florian Müllner,
  Marco Trevisan (Treviño), verdre

Translators:
  Carmen Bianca BAKKER [eo], Asier Sarasua Garmendia [eu], Stas Solovey [ru],
  Changwoo Ryu [ko], Julien Humbert [fr], Milo Casagrande [it],
  Марко Костић [sr], Ask Hjorth Larsen [da], Kukuh Syafaat [id],
  Daniel Șerbănescu [ro], Bernd Homuth [de], Trần Ngọc Quân [vi],
  Nathan Follens [nl], Rūdolfs Mazurs [lv], Aurimas Černius [lt]

3.31.91
=======
* Don't close on-screen-keyboard's language menu on hover [Florian; #171]
* Don't let unfullscreen gesture interfere with top bar taps [Jonas D.; #552]
* Always use symbolic user icon in system menu [Florian; #957]
* Add flags parameter in GrabAccelerators API [Andrea; #68]
* Misc. bug fixes and cleanups [Florian, Jonas A.; !399, !398, !400, !402,
  !407, !410, !411]

Contributors:
  Jonas Ådahl, Andrea Azzarone, Arnaud Bonatti, Jonas Dreßler, Florian Müllner

Translators:
  Jordi Mas [ca], Ryuta Fujii [ja], Marek Cernocky [cs], Fran Dieguez [gl],
  Jiri Grönroos [fi], Serdar Sağlam [tr], Anders Jonsson [sv],
  Matej Urbančič [sl], Gun Chleoc [gd], Kukuh Syafaat [id],
  Baurzhan Muftakhidinov [kk], Alan Mortensen [da], Rafael Fontenelle [pt_BR],
  Sveinn í Felli [is]

3.31.90
=======
* Fix input methods after ibus restarts [Takao; #295]
* Refresh world clocks and weather sections [Florian; #262]
* Port to ES6 classes (update your extensions!) [Florian; !361]
* networkAgent: Advise users when WPS support is available [Lubomir; !329]
* Performance improvements [Carlos; #832, #815]
* Fix drag-and-drop with wacom pens [Carlos; #540]
* Fix CAPS LOCK indication on wayland [Carlos; #762881]
* Show details of non-sensitive notifications on lock screen [Philip; #726]
* Refine extension-prefs' error UI [Florian; !193]
* Add switch-to-application-n keybindings [Florian; #648000]
* Remove top bar translucency [Florian; #408]
* Support emojis and keypads in on-screen keyboard [Carlos; #675]
* Don't allow popups to re-enable keyboard shortcuts on lock screen
  (CVE-2019-3820) [Florian, Ray; #851]
* Replace app menu [Florian; #624]
* Include commonly copied+pasted extension helpers [Florian; !150]
* Misc. bug fixes and cleanups [Florian, Daniel, Philip, Sergio, Pascal,
  Georges, verdre, Carlos, Christopher; #780, #909, !316, !308, !309, #915,
  !350, !362, !357, !365, !366, !283, !367, #942, !371, !373, !374, !343,
  !375, !292, !317, !377, !379, !346, !383, #953, !388]

Contributors:
  Sergio Costas, Christopher Davis, Bilal Elmoussaoui, Takao Fujiwara,
  Carlos Garnacho, Niels De Graef, Christian Kellner, Ignat Loskutov,
  Florian Müllner, Georges Basile Stavracas Neto, Pascal Nowack, Lubomir Rintel,
  Jakub Steiner, Ray Strode, verdre, Daniel van Vugt, Philip Withnall

Translators:
  Daniel Mustieles [es], Carmen Bianca BAKKER [eo], Charles Monzat [fr],
  Pieter Schalk Schoeman [af], Jordi Mas [ca], Matej Urbančič [sl],
  Fran Dieguez [gl], Balázs Úr [hu], A S Alam [pa], Fabio Tomat [fur],
  Aurimas Černius [lt], Piotr Drąg [pl], Marek Cernocky [cs], Ryuta Fujii [ja]

3.31.4
======
* Improve icon grid performance [Daniel; #174]
* Remove browser plugin [Michael; #766776]
* Add DBus API for introspecting the application state [Jonas, Olivier; !326]
* Always allow leaving the overview via the hot-corner [Pascal; #429]
* Misc. bug fixes [Florian, Jasper, Andrea, Sam, Dani, Cosimo, Jonas, Carlos;
  #643595, #673767, !293, #783, #781, !298, !297, #782, !301, !314, !305, #799,
  #632, !327]

Contributors:
  Jonas Ådahl, Andrea Azzarone, Michael Catanzaro, Cosimo Cecchi, daniruiz,
  Olivier Fourdan, Carlos Garnacho, Sam Hewitt, Andre Klapper, Florian Müllner,
  Pascal Nowack, Jasper St. Pierre, RyuzakiKK, Marco Trevisan (Treviño),
  João Paulo Rechi Vita, Daniel van Vugt

Translators:
  Kristjan SCHMIDT [eo], Matej Urbančič [sl], Daniel Mustieles [es],
  Fabio Tomat [fur], Emin Tufan Çetin [tr], Anders Jonsson [sv],
  Ryuta Fujii [ja]

3.31.2
======
* Port away from and remove ShellGenericContainer [Georges; !153]
* popupMenu: Fix keyboard activation when numlock is active [Andrea; #550]
* Do not block all shortcuts while app folders are expanded [Florian; #648]
* Fix regression in handling new input sources [Carlos; #691]
* Reask password after udisk errors for no/wrong passwords [Sebastian; #640]
* Improve performance of app icon animations [Daniel; !253, !261]
* Avoid focus changes when updating keyboard options [Takao; #391]
* notifications: Support icon theme names in 'image-path' hint [Marco; !285]
* Respect natural-scroll setting for workspace swipe gesture [Erik; #516]
* Confine window preview titles to workspace area [Florian; !214]
* Misc. bug fixes [Florian, Carmen, Georges, Cosimo, Carlos; #602, #693,
  #666, #647, !66, #768, #430, !286, !258, !287, gtk#1447]

Contributors:
  Andrea Azzarone, Carmen Bianca Bakker, Cosimo Cecchi, Sergio Costas,
  Erik Duxstad, Takao Fujiwara, Carlos Garnacho, Florian Müllner,
  Georges Basile Stavracas Neto, Sebastian Pinnau, Didier Roche, Jakub Steiner,
  Marco Trevisan (Treviño), verdre, Daniel van Vugt

Translators:
  Kristjan SCHMIDT [eo], Dušan Kazik [sk], Matej Urbančič [sl],
  Anish Sheela [ml], Rafael Fontenelle [pt_BR], Daniel Mustieles [es]

3.30.1
======
* Cancel search on overview hiding [Marco; !205]
* Fix disappearing network icon [Iain; #140]
* Improve switch-monitor shortcut handling [Daniel; !208]
* Fix missing key information in keyring dialog [Florian; #574]
* De-duplicate all entries in run command history [Pascal; #524]
* Fix frozen disk unlock dialogs [Florian; #565]
* Fix unresponsive-app dialog blocking input in other windows [Florian; #273]
* Fix handling of forward-key-event input method signal [Carlos; #531]
* Misc. bug fixes [Florian, Marco, Carlos, Pascal, Andrea; #520, #791233,
  !188, #539, !217, #536, #537, #578, !236, #579, !228, #618, #471, !255]

Contributors:
  Andrea Azzarone, Jürg Billeter, Daniel Drake, Carlos Garnacho, Andre Klapper,
  Iain Lane, Florian Müllner, Bastien Nocera, Pascal Nowack, Jakub Steiner,
  Ray Strode, Will Thompson, Marco Trevisan (Treviño), Adam Williamson,
  Andrew Zaborowski

Translators:
  Yuras Shumovich [be], Stas Solovey [ru], Justin van Steijn [nl],
  Dušan Kazik [sk], Khaled Hosny [ar], Madis O [et], Mart Raudsepp [et],
  Марко Костић [sr], Piotr Drąg [pl], Marek Černocký [cs], Fran Dieguez [gl],
  Ask Hjorth Larsen [da], Balázs Meskó [hu], Jiri Grönroos [fi],
  Cheng-Chia Tseng [zh_TW]

3.30.0
======

Contributors:
  Harry Mallon, Marco Trevisan (Treviño)

Translators:
  Fran Dieguez [gl], Trần Ngọc Quân [vi], Balázs Meskó [hu],
  Rūdolfs Mazurs [lv], Jiri Grönroos [fi], Anders Jonsson [sv], gogo [hr],
  Ask Hjorth Larsen [da]

3.29.92
=======
* Choose some actors to cache on the GPU [Daniel; #792633]
* inputMethod: Hide preedit text if requested [Takao; #431]
* Fix forced fallback app-menus on wayland [Jonas; #276]

Contributors:
  Jonas Ådahl, Takao Fujiwara, Mohammed Sadiq, Marco Trevisan (Treviño),
  Daniel van Vugt

Translators:
  Baurzhan Muftakhidinov [kk], Kukuh Syafaat [id], Milo Casagrande [it],
  Changwoo Ryu [ko], Marek Cernocky [cs]

3.29.91
=======
* Fix handling of 0/false options in ShowOSD D-Bus API [Florian; #791669]
* overview: Fix handling of confirmation dialogs on wayland [verdre; !180]
* Avoid some full relayout/redraws [Carlos; !197]
* Keep workspace switcher slid out when workspaces are in use [Florian; !161]
* Ignore auto-repeat for some keybindings [Andrea; #373]
* Misc. bug fixes [Carlos, Florian, Pascal; #464, !189, !191, !192, !162]

Contributors:
  Andrea Azzarone, Olivier Blin, Carlos Garnacho, Florian Müllner,
  Pascal Nowack, verdre

Translators:
  Bruno Lopes da Silva [pt_BR], Matej Urbančič [sl], Piotr Drąg [pl],
  Aurimas Černius [lt], Emin Tufan Çetin [tr], Fabio Tomat [fur],
  Alexandre Franke [fr], Yi-Jyun Pan [zh_TW], Bernd Homuth [de],
  Andre Klapper [cs], Jordi Mas [ca], Daniel Șerbănescu [ro],
  Bruce Cowan [en_GB]

3.29.90
=======
* Add remote access indication on wayland [Jonas; !160]
* Fix wrong window positions in overview on wayland [Marco; #776588]
* Add gesture to unfullscreen a window [Jan-Michael; !123]
* Add PickColor method to screenshot D-Bus interface [Florian; #286]
* Consider "new-window" action when opening new windows [Florian; #756844]
* Make workspace switching gestures follow motion [Carlos; #788994]
* Support audio volumes above 100% [Didier; #790280]
* Misc. bug fixes [Florian, Daniel; #424, !132, !182, #433, !179, #786496]

Contributors:
  Jonas Ådahl, Jan-Michael Brummer, Piotr Drąg, Daniel Drake, Carlos Garnacho,
  Florian Müllner, Georges Basile Stavracas Neto, Didier Roche, Jakub Steiner,
  Marco Trevisan (Treviño)

Translators:
  Charles Monzat [fr], Daniel Mustieles [es]

3.29.4
======
* Fix "Clear All" for calendar events [Florian; #325]
* Allow cancelling direct switch operations [Xavier; #315]
* Support being started by systemd --user [Iain; !137, !138]
* Support key event forwarding required by some input methods [Carlos; #275]
* Misc. bug fixes and cleanups [Jasper, Andrea, Florian; #663461, #372, !112,
  #414, !151]

Contributors:
  Andrea Azzarone, Carlos Garnacho, Xavier Johnson, Iain Lane, Florian Müllner,
  Jasper St. Pierre

Translators:
  Stas Solovey [ru]

3.29.3
======
* Save creation time in screenshot metadata [Florian; #790481]
* Improve consistency between ctrl- and middle-click on app icons [Xavier; #316]
* Add support for font-feature-settings CSS property [Ryan; #34]
* Adjust to MetaScreen removal [Jonas; #759538]
* Misc. bug fixes [Florian, Marco, Sam; #298, #788931, #26, #76, !54, #788882,
  #791233]

Contributors:
  Jonas Ådahl, Ryan Hendrickson, Xavier Johnson, Florian Müllner, Joe Rabinoff,
  Sam Spilsbury, Marco Trevisan (Treviño)

Translators:
  Gun Chleoc [gd], Yi-Jyun Pan [zh_TW], Cédric Valmary [oc], Jordi Mas [ca]

3.29.2
======
* Guard against untimely keyboard map changes [Carlos; #240]
* Fix icons in search provider results [Florian; #249]
* Fix blurriness of OSD under some resolutions [Silvère; #782011]
* Fix lagging pointer when zoomed [Daniel; #682013]
* Misc. bug fixes [Milan, Xiaoguang, Florian, Mario, Ole; #244, #787871,
  #781471, #136, #214, #294]

Contributors:
  Ole Jørgen Brønner, Milan Crha, Carlos Garnacho, Yussuf Khalil,
  Silvère Latchurié, Florian Müllner, Mario Sanchez Prada, Ray Strode,
  Daniel van Vugt, Xiaoguang Wang

Translators:
  Rafael Fontenelle [pt_BR], Kukuh Syafaat [id], Marcos Lans [gl],
  Anders Jonsson [sv], Mingcong Bai [zh_CN]

3.29.1
======
* Support icons in app-menu [Florian; #760985]
* Misc. bug fixes [Marco, Florian, Lubomir; #792687, #221, !63]

Contributors:
  Piotr Drąg, Takao Fujiwara, Christian Kellner, Florian Müllner,
  Mario Sanchez Prada, Lubomir Rintel, Didier Roche, Marco Trevisan (Treviño),
  verdre

Translators:
  gogo [hr], Stas Solovey [ru], Matej Urbančič [sl], Daniel Șerbănescu [ro],
  Fabio Tomat [fur], Marek Cernocky [cs], Daniel Mustieles [es]

3.28.1
======
* Fix compose characters in shell entries [Carlos; #115]
* Don't show authentication dialogs on lock screen [Florian; #179, #166]
* Fix handling of UTC timezone in world clock [Florian; #150]
* Fix keyboard navigation in overview when hovering windows [Florian; #50]
* Misc. bug fixes [Florian; #127, #788908, #763886, !39]

Contributors:
  Jeremy Bicha, Carlos Garnacho, Andy Holmes, Florian Müllner, Bastien Nocera

Translators:
  Stas Solovey [ru], Daniel Șerbănescu [ro], Dušan Kazik [sk],
  Rafael Fontenelle [pt_BR], Nathan Follens [nl], Dz Chen [zh_CN],
  Matej Urbančič [sl], Hannie Dumoleyn [nl], Khaled Hosny [ar],
  Guillaume Bernard [fr]

3.28.0
======

Translators:
  A S Alam [pa], gogo [hr], Chao-Hsiung Liao [zh_TW], Jordi Mas [ca],
  Anders Jonsson [sv], Balázs Úr [hu]

3.27.92
=======
* Misc. bug fixes [Florian; #64, #66, #72]

Contributors:
  Jonas Ådahl, Christian Kellner, Florian Müllner

Translators:
  Daniel Mustieles [es], Wolfgang Stöggl [de], Cheng-Chia Tseng [zh_TW],
  Dušan Kazik [sk], Changwoo Ryu [ko], Furkan Ahmet Kara [tr], Balázs Úr [hu],
  Trần Ngọc Quân [vi], Milo Casagrande [it], GNOME Translation Robot [gd, nl],
  Marek Cernocky [cs], Aurimas Černius [lt], Alain Lojewski [fr],
  Rūdolfs Mazurs [lv], Stas Solovey [ru], Alan Mortensen [da]

3.27.91
=======
* Fix wrong bluetooth state when disabled by HW airplane mode [Mario; #789110]
* Dump javascript stack on aborts, traps and segfaults [Marco; #789237]
* Allow Escape to "cancel" top bar focus [Stefano; #671121]
* Fix leaving the overview erroneously on window hover [Carlos; #784545]
* Add keyboard accessibility dialog [Olivier; #788564]
* Port to libnm [Lubomir, Florian; #789811]
* Don't pop up on-screen-keyboard on touch events [Florian, Carlos; #788188]
* Improve the on-screen-keyboard [Carlos; !9, #46]
* Add Thunderbolt support [Christian; !14]
* Don't lock immediately on login after a wayland session crash [Florian; !17]
* Respect cursor's hot x/y coordinates when recording [Florian Z.; #792860]
* Allow closing windows and apps during <alt>Tab [Florian, Mario; #620106]
* Fix small app folder icons when using HiDPI [Nikita; #792259]
* Make sassc a mandatory build dependency [Mario; #792822]
* Misc. bug fixes [Florian, Marco, Alessandro, Gautier, Jeremy, Bastien, Ray,
  Carlos, Didier, Exalm, Rafal; #789231, #789277, #788542, #789103, #779974,
  #788931, #776940, #786987, #791007, #791233, #791148, #706191, #791655,
  #791487, #779413, #787845, #10, #788627, #792354, #792616, #781329, #780957,
  #33, #740142, !38, !23]

Contributors:
  Jeremy Bicha, Alessandro Bono, Nikita Churaev, Piotr Drąg, Exalm,
  Stefano Facchini, Olivier Fourdan, Carlos Garnacho, Christian Kellner,
  Rafal Luzynski, Iñigo Martínez, Florian Müllner, Bastien Nocera,
  Gautier Pelloux-Prayer, Mario Sanchez Prada, Lubomir Rintel, Didier Roche,
  Jakub Steiner, Ray Strode, Marco Trevisan (Treviño), Florian Zwoch

Translators:
  Mingcong Bai [zh_CN], Hannie Dumoleyn [nl], Khaled Hosny [ar],
  Kjartan Maraas [nb], Petr Kovar [cs], Marek Cernocky [cs],
  Aurimas Černius [lt], Yosef Or Boczko [he], Kukuh Syafaat [id],
  Sveinn í Felli [is], Jordi Mas [ca], Daniel Mustieles [es], Fabio Tomat [fur],
  Rūdolfs Mazurs [lv], Emin Tufan Çetin [tr], Anders Jonsson [sv],
  Matej Urbančič [sl], Jiri Grönroos [fi], Tim Sabsch [de], Gil Forcada [ca],
  Dušan Kazik [sk], Balázs Meskó [hu], Piotr Drąg [pl], Tong Hui [zh_CN],
  Fran Dieguez [gl], Enrico Nicoletto [pt_BR], gogo [hr],
  Baurzhan Muftakhidinov [kk], Robert Antoni Buj Gelonch [ca],
  Bruce Cowan [en_GB], Борисав Живановић [sr], Милош Поповић [sr@latin],
  Марко Костић [sr]

3.27.1
======
* Fix using icon-name strings with PopupImageMenuItems [Florian; #789018]
* Misc. bug fixes [Jonas, Florian; #788607, #788943]

Contributors:
  Jonas Ådahl, Florian Müllner

Translations:
  Xavi Ivars [ca@valencia], Matej Urbančič [sl], Fabio Tomat [fur]

3.26.1
======
* Don't detach launched apps to not break pkexec and friends [Florian; #763531]
* Allow search providers to not autostart [Bastien, Florian; #785380, #787986]
* Fix crash when tray icons are hidden/shown in quick succession [Ray; #787361]
* Make window group switcher more consistent [Didier; #786009]
* Improve legibility of the top bar when translucent [Jakub; #787940]
* Don't crash when running outside a logind session [Florian; #788046]
* Allow to run headless [Mario, Jonas; #730551]
* Update calendar on timezone changes [Martin; #678507]
* Improve keyboard navigation of window previews [Florian; #786546]
* Run unit tests on `meson test` [Florian; #786497]
* Misc. bug fixes [Florian, Marc-Antoine, Mario, Jakub, Krzesimir; #787423,
  #766368, #787580, #787907, #787901, #788039, #788003, #786343, #787902,
  #788265, #788339, #787905, #788282, #787676]

Contributors:
  Martin Andersson, Florian Müllner, Bastien Nocera, Krzesimir Nowak,
  Marc-Antoine Perennou, Didier Roche, Mario Sanchez Prada, Jakub Steiner,
  Ray Strode

Translations:
  Efstathios Iosifidis [el], Khaled Hosny [ar], Stas Solovey [ru],
  Arash Mousavi [fa], Sveinn í Felli [is], Athul R T [ml],
  Cheng-Chia Tseng [zh_TW], Anders Jonsson [sv]

3.26.0
======
* Misc. bug fixes [Ray, Michael, Jonas; #786332] #786783, #786886, #786868]

Contributors:
  Jonas Ådahl, Michael Catanzaro, Sebastian Keller, Ray Strode

Translations:
  Daniel Mustieles [es], Fran Dieguez [gl], Baurzhan Muftakhidinov [kk],
  Marek Cernocky [cs], Andika Triwidada [id], Aurimas Černius [lt],
  Piotr Drąg [pl], Trần Ngọc Quân [vi], Jordi Mas [ca], Fabio Tomat [fur],
  gogo [hr], Dušan Kazik [sk], Piotr Drąg [ne], Emin Tufan Çetin [tr],
  Ask Hjorth Larsen [da], Cheng-Chia Tseng [zh_TW], Rūdolfs Mazurs [lv],
  Balázs Meskó [hu], Matej Urbančič [sl], Jiri Grönroos [fi],
  Милош Поповић [sr], Милош Поповић [sr@latin], Rafael Fontenelle [pt_BR],
  Wolfgang Stöggl [de], Milo Casagrande [it], hanniedu [nl],
  Yuras Shumovich [be], Changwoo Ryu [ko], Alain Lojewski [fr],
  Alexander Shopov [bg], Daniel Korostil [uk], Kris Thomsen [da],
  A S Alam [pa], Sebastian Rasmussen [sv], Inaki Larranaga Murgoitio [eu],
  Jiro Matsuzawa [ja]

3.25.91
=======
* Open context menu of highlighted search result on Shift+F10 [Florian; #675315]
* Fix mid-sentence capitalization in weather forecasts [Florian; #779873]
* Add switcher popup to cycle through monitor configurations [Rui; #783550]
* Offer system actions in search [Rares; #691900]
* Misc. bug fixes [Mario, Florian, Rui; #777519, #786120, #786145, #786419,
  #786526, #786520, #786520, #786146]

Contributors:
  Emmanuele Bassi, Marek Cernocky, Piotr Drąg, Carlos Garnacho, Rui Matos,
  Florian Müllner, Mario Sanchez Prada, Rares Visalom

Translations:
  Marek Cernocky [cs], Piotr Drąg [pl], Muhammet Kara [tr],
  Мирослав Николић [sr, sr@latin], Kukuh Syafaat [id],
  Baurzhan Muftakhidinov [kk], Aurimas Černius [lt], Fran Dieguez [gl],
  gogo [hr], Jordi Mas [ca]

3.25.90
=======
* Add permission dialog for inhibiting shortucts [Florian; #783342]
* Improve window picker layout [Florian, Jakub; #783953]
* Remove legacy status icon tray [Florian; #785956]
* Drop autotools support [Florian; #785153]
* Misc. bug fixes [Florian, Carlos, Cosimo; #785090, #785309, #767805,
  #747794, #785358, #785556]

Contributors:
  Emmanuele Bassi, Cosimo Cecchi, Carlos Garnacho, Florian Müllner,
  Jakub Steiner

Translations:
  Fabio Tomat [fur], Pawan Chitrakar [ne], Aurimas Černius [lt], gogo [hr],
  Daniel Mustieles [es], Baurzhan Muftakhidinov [kk], Matej Urbančič [sl],
  Marek Cernocky [cs], Dušan Kazik [sk], Jordi Mas [ca], Fran Dieguez [gl],
  Andika Triwidada [id], Anders Jonsson [sv], Balázs Meskó [hu]

3.25.4
======
* gdm: Fix "Not listed" focus indication [Florian; #784040]
* Fix missing icons in freedesktop notifications [Florian; #784245]
* gdm: Disable user list when empty [Xiaoguang; #731320]
* gdm: Allow empty response to PAM messages [Ray; #784360]
* Fix blocked clicks in shutdown dialog [Florian; #781738]
* Show OSD popup when changing volume via scroll wheel [Florian; #781028]
* Refine list search results [Rares; #749957]
* Replace mutter's unresponsive app dialog [Carlos; #762083]
* Improve handling of extension errors [Florian; #781728]
* Implement tablet rings/strips configuration [Carlos; #782033]
* Adjust to mozjs52 update in gjs [Florian; #785084, #785090]
* Support the meson build system [Florian; #783229]
* Misc. bug fixes [Ray, Florian, Jonas, Marco, Shih-Yuan, Joaquim, Carlos S.;
  #780403, #772589, #784130, #783975, #784353, #784361, #772284, #765011,
  #765011, #765011, #784985, #781471, #785047, #736148, #736148]

Contributors:
  Jonas Ådahl, Alessandro Bono, Michael Catanzaro, Carlos Garnacho,
  Shih-Yuan Lee (FourDollars), Florian Müllner, Joaquim Rocha,
  Mario Sanchez Prada, Carlos Soriano, Ray Strode, Marco Trevisan (Treviño),
  Rares Visalom, Xiaoguang Wang

Translations:
  Jeremy Bicha po/es, he.po, Kukuh Syafaat [id], Fabio Tomat [fur]

3.25.3
======
* Bypass proxies for captive portal [Bastien; #769692]
* Correctly handle "text-shadow: none;" [Matt; #783485]
* Add StEntry:hint-actor property [Mario; #783484]
* Support text-shadow CSS property in StEntry [Mario; #783484]
* Misc. bug fixes [Jonas, Florian, Bastien, Ting-Wei, Cosimo, Mario, Sebastian;
  #777732, #783202, #783210, #783206, #783286, #783439, #783483, #783823,
  #781950]

Contributors:
  Jonas Ådahl, Cosimo Cecchi, Sebastian Keller, Ting-Wei Lan, Florian Müllner,
  Bastien Nocera, Mario Sanchez Prada, Matt Watson

3.25.2
======
* Fix StEntry::primary-icon-clicked emission [Florian; #782190]
* Add an optional icon parameter to PopupMenu.addAction() [Mario; #782166]
* Allow search providers to include clipboard text with results [Daiki; #775099]
* Reduce dependency on Caribou [Carlos; #777342]
* Add transparency to top bar when free floating [Alessandro; #747163]
* Animate maximize/unmaximize operations [Alessandro; #766685]
* Misc. bug fixes [Florian, Matthias, Jeremy, Michael, Carlos, Lan; #782000,
  #780215, #782802, #782637, #782930, #755164, #780215, #782982]

Contributors:
  Jeremy Bicha, Michael Biebl, Alessandro Bono, Carlos Garnacho, Ting-Wei Lan,
  Matthias Liertzer, Florian Müllner, Mario Sanchez Prada, Daiki Ueno

Translations:
  Jordi Mas [ca], Christian Stadelmann [de], Милош Поповић [sr],
  Милош Поповић [sr@latin], Furkan Ahmet Kara [tr]

3.25.1
======
* Close Wifi selection dialog on lock [Florian; #780054]
* Fix DND over window previews in overview [Florian; #737166]
* Do not lock the screen when disabled by lockdown settings [Florian; #780212]
* Follow GNOME Weather's location permissions [Florian; #780252]
* Fix portals that require a new window to be loaded [Catalin; #759044]
* Fix restricting menus to screen height on HiDPI displays [Cosimo; #753305]
* Misc. bug fixes and cleanups [Florian, Cosimo, Bastien, Catalin, Carlos G.,
  Jonas, Carlos S., Xiaoguang, Rares, Emilio; #780063, #780321, #780381,
  #780453, #758873, #780606, #642652, #777732, #780157, #781482, #780404,
  #781545, #781728]

Contributors:
  Jonas Ådahl, Cosimo Cecchi, Philip Chimento, Carlos Garnacho, Catalin Iacob,
  Florian Müllner, Bastien Nocera, Emilio Pozuelo Monfort, Carlos Soriano,
  Rares Visalom, Xiaoguang Wang

Translations:
  Marek Cernocky [cs], Piotr Drąg [pl], Anders Jonsson [sv], Stas Solovey [ru],
  Rafael Fontenelle [pt_BR], Baurzhan Muftakhidinov [kk], Daniel Korostil [uk],
  Kukuh Syafaat [id], Milo Casagrande [it], Jiri Grönroos [fi],
  Daniel Mustieles [es], Balázs Úr [hu], Guillaume Bernard [fr],
  Changwoo Ryu [ko], Mario Blättermann [de], Fran Dieguez [gl],
  Dušan Kazik [sk], Yuras Shumovich [be], Fabio Tomat [fur],
  Kjartan Maraas [nb], Aurimas Černius [lt], Trần Ngọc Quân [vi],
  Rūdolfs Mazurs [lv], Γιάννης Κουτσούκος [el], gogo [hr], Марко Костић [sr],
  Jordi Mas [ca], Khaled Hosny [ar]

3.24.0
======

Translations:
  GNOME Translation Robot [tg], Мирослав Николић [sr, sr@latin],
  Guillaume Bernard [fr], Rūdolfs Mazurs [lv], Emin Tufan Çetin [tr],
  sujiniku [ja], Daniel Korostil [uk]

3.23.92
=======
* Implement DND to overview on wayland [Hyungwon; #765003]
* Make telepathy optional at runtime [Florian; #771721, #779878]
* Don't show forecasts for NYC when geoclue gets stuck [Sebastian; #779898]
* Add bottom edge drag gesture to bring up the OSK [Jan-Michael; #757712]
* Allow switching between pads in the same group [Carlos; #779986]
* Ignore showBanners policy for critical notifications [Florian; #779974]
* Misc. bug fixes [Florian; #779435, #779819, #779820]

Contributors:
  Jan-Michael Brummer, Allan Day, Carlos Garnacho, Hyungwon Hwang,
  Sebastian Keller, Florian Müllner

Translations:
  Enrico Nicoletto [pt_BR], Jiri Grönroos [fi], Chao-Hsiung Liao [zh_TW],
  Piotr Drąg [pl], Piotr Drąg [he], Balázs Meskó [hu], Kris Thomsen [da],
  Yuras Shumovich [be], Sveinn í Felli [is], Inaki Larranaga Murgoitio [eu],
  Changwoo Ryu [ko], Jordi Mas [ca], Aurimas Černius [lt],
  Мирослав Николић [sr, sr@latin], Christian Kirbach [de], Anders Jonsson [sv],
  Fabio Tomat [fur], GNOME Translation Robot [gd], Dušan Kazik [sk],
  Kukuh Syafaat [id], Marek Černocký [cs], Stas Solovey [ru],
  Milo Casagrande [it], Fran Dieguez [gl], Daniel Boles [gl], A S Alam [pa],
  Daniel Mustieles [es]

3.23.91
=======
* Use the original timestamps for restored notifications [Florian; #766410]
* Add weather information to date+time drop-down [Florian; #754031]
* Refine message list layout in date+time drop-down [Florian; #775763]
* Make next/prev media controls insensitive when unavailable [Florian; #773884]
* Misc. bug fixes [Piotr, Bastien, Florian; #772210, #769546, #775799]

Contributors:
  Piotr Drąg, Carlos Garnacho, Florian Müllner, Bastien Nocera

Translations:
  Baurzhan Muftakhidinov [kk], Jordi Mas [ca], Ask Hjorth Larsen [da],
  Inaki Larranaga Murgoitio [eu], Daniel Mustieles [es], Dušan Kazik [sk],
  Aurimas Černius [lt], Jiri Grönroos [fi], Kjartan Maraas [nb],
  Piotr Drąg [pl], Daniel Korostil [uk], Kukuh Syafaat [id],
  Milo Casagrande [it], Fabio Tomat [fur], Rafael Fontenelle [pt_BR],
  Fran Dieguez [gl], Мирослав Николић [sr, sr@latin], Balázs Meskó [hu],
  Chao-Hsiung Liao [zh_TW]

3.23.90
=======
* Handle Ctrl+Q and Ctrl+W in portal window [Bastien; #764133]
* Allow to scroll through ibus candidates with mouse [Peng; #776032]
* Reload apps on .desktop file content changes [Adrian; #773636]
* Use private data/cache directories in portal helper [Bastien; #775639]
* Fix subsurfaces not showing up in previews [Rui; #756715]
* Fix theme node transitions [Florian; #778145]
* Update pad (o)leds on mode switches [Carlos; #776543]
* Add security indicators to defend against malicious portals [Bastien; #749197]
* Don't allow type ahead at the login screen [Ray; #766139]
* Don't fail to load because of TLS errors [Bastien; #778253]
* Ensure the network lists remains sorted on rename [Benjamin; #778686]
* Toggle power-off/suspend button on long-press [Florian; #721173]
* Add "kill-switch" for user extensions [Florian; #778664]
* Add night light indicator to status area [Florian; #741224]
* Misc. bug fixes [Michael, Bastien, Carlos, Rui, Florian, Alan, Philip, Jonas;
  #759793, #735233, #762444, #777784, #777934, #778158, #776199, #778425,
  #771098, #778552, #777317, #778660, #778661, #745626, #778672]

Contributors:
  Jonas Ådahl, Benjamin Berg, Michael Catanzaro, Philip Chimento,
  Alan Coopersmith, Piotr Drąg, Carlos Garnacho, Yuri Konotopov,
  Lionel Landwerlin, Rui Matos, Florian Müllner, Bastien Nocera,
  Adrian Perez de Castro, Robert Roth, Ray Strode, Peng Wu

Translations:
  Jiri Grönroos [fi], Balázs Meskó [hu], Gábor Kelemen [hu],
  Daniel Mustieles [es], Dušan Kazik [sk],
  Piotr Drąg [ar, eu, fa, hr, pa, pt, sr, sr@latin], Rafael Fontenelle [pt_BR],
  Jordi Mas [ca], Piotr Drąg [pl], Alexandre Franke [fr],
  Baurzhan Muftakhidinov [kk], Yuras Shumovich [be], Mandy Wang [zh_CN],
  Marek Černocký [cs], Kukuh Syafaat [id], Kjartan Maraas [nb],
  Daniel Korostil [uk]

3.23.3
======
* Fix replacing of GNotifications [Florian; #775149]
* Prepare for mozjs31 GJS [Philip; #775374]
* Misc. bug fixes [Niels, Jonas; #775507, #776130]

Contributors:
  Jonas Ådahl, Michael Catanzaro, Philip Chimento, Niels De Graef,
  Carlos Garnacho, Florian Müllner

Translations:
  Muhammet Kara [tr], Christian Kirbach [de], Baurzhan Muftakhidinov [kk],
  Cheng-Chia Tseng [zh_TW], A S Alam [pa], Gianvito Cavasoli [it]

3.23.2
======
* Implement Pad configuration OSD [Carlos; #771067]
* Show overview on three-finger touchpad pinch [Carlos; #765937]
* Summarize network sections with too many devices [Florian; #773892]
* Always show primary network icon when connected [Florian; #773890]
* Fix fullscreen transitions on wayland [Rui; #770345]
* Work around portal failures by using a URL without HTPPS redirect [Debarshi; #769940]
* Fix app view hiding when no usage data is available [Florian, Xiaoguang; #774381]
* Misc. bug fixes [Florian, Ray; #773875, #740043, #773893, #774643, #774805]

Contributors:
  Carlos Garnacho, Rui Matos, Florian Müllner, Debarshi Ray, Ray Strode,
  Xiaoguang Wang

Translations:
  Balázs Meskó [hu], Fabio Tomat [fur], Marek Cernocky [cs], Stas Solovey [ru],
  Daniel Mustieles [es], Marek Černocký [cs], Piotr Drąg [pl],
  Rafael Fontenelle [pt_BR], Baurzhan Muftakhidinov [kk], Jiri Grönroos [fi],
  Kjartan Maraas [nb]

3.23.1
======
* Request periodic scans while WiFi list is open [Dan; #767918]
* Include extension UUID in structured log metadata [Jonh; #770717]
* Line-wrap PAM messages on login screen [Tao; #764445]
* Add a way to launch an app on the discrete GPU [Bastien; #773117]
* Only allow graphs to lift screen shield when locked [Florian; #773328]
* Add reload option to gnome-shell-extension-tool [Jonh; #772593]
* Update background animations when resuming from suspend [Florian; #773265]
* Misc. bug fixes [Cosimo, Bastien, Florian, Philip, Carlos; #772723, #772287,
  #756432, #772386, #772386, #773085, #773634]

Contributors:
  Cosimo Cecchi, Philip Chimento, Carlos Garcia Campos, Florian Müllner,
  Bastien Nocera, Jonh Wendell, Dan Williams, Tao Yang

Translations:
  Fabio Tomat [fur], Philip Chimento [zh_CN], YunQiang Su [zh_CN],
  Jordi Mas [ca], Piotr Drąg [pl], Muhammet Kara [tr], Marek Černocký [cs],
  Daniel Korostil [uk], Dušan Kazik [sk]

3.22.1
======
* Fix hidden network indicator on startup [Florian; #772249]
* Fix order of windows with modal dialogs in window switcher [Florian; #747153]
* Fix feedback loop between StClipboard and X11 bridge [Carlos; #760745]
* Reliably match windows from Flatpak apps [Florian; #772615]
* Misc. bug fixes [Philip; #742249]

Contributors:
  Philip Chimento, Carlos Garnacho, Florian Müllner

Translations:
  Inaki Larranaga Murgoitio [eu], Khaled Hosny [ar], BM [uz@cyrillic],
  Milo Casagrande [it], Cheng-Chia Tseng [zh_TW], gogo [hr]

3.22.0
======
* Misc. bug fixes [Florian, Rui; #771391, #771536] #771656]

Contributors:
  Rui Matos, Florian Müllner

Translations:
  Ask Hjorth Larsen [da], GNOME Translation Robot [gd], Alexandre Franke [fr],
  Daniel Korostil [uk], Jordi Mas [ca], Khaled Hosny [ar], David King [en_GB]

3.21.92
=======
* Adjust screen capture to work with multiple stage views [Jonas; #770128]
* Improve handling of cycle shortcuts [Florian; #771063]
* Fix windows not getting undimmed in some cases [Rui; #770163, #752524]
* Disable extension version check by default [Florian; #770887]
* Misc. bug fixes [Rui, Florian, Michael; #770382, #770888, #770328]

Contributors:
  Jonas Ådahl, Michael Catanzaro, Fran Dieguez, Olivier Fourdan, Rui Matos,
  Florian Müllner

Translations:
  Changwoo Ryu [ko], Baurzhan Muftakhidinov [kk], Aurimas Černius [lt],
  Muhammet Kara [tr], Trần Ngọc Quân [vi], A S Alam [pa], Yosef Or Boczko [he],
  Anders Jonsson [sv], Tiago Santos [pt], Hannie Dumoleyn [nl],
  Rūdolfs Mazurs [lv], Claude Paroz [fr], Arash Mousavi [fa],
  Fran Dieguez [gl], Stas Solovey [ru], Tom Tryfonidis [el]

3.21.91
=======
Translations:
  Mario Blättermann [de], Jiri Grönroos [fi], Dušan Kazik [sk],
  Andika Triwidada [id], Daniel Mustieles [es], Fabio Tomat [fur],
  Enrico Nicoletto [pt_BR], Matej Urbančič [sl], Мирослав Николић [sr, sr@latin]

3.21.90.1
=========
Contributors:
  Piotr Drąg

Translations:
  Marek Černocký [cs], Balázs Úr [hu]

3.21.90
=======
* Improve on-screen keyboard on wayland [Carlos; #765009]
* Misc. bug fixes [Florian; #769156, #769216, #769074]

Contributors:
  Carlos Garnacho, Florian Müllner

Translations:
  Fabio Tomat [fur], Tiago Santos [pt], Daniel Mustieles [es],
  Bernd Homuth [de], Aurimas Černius [lt], Balázs Úr [hu],
  Yosef Or Boczko [he], Jiri Grönroos [fi], Marek Cernocky [cs],
  Muhammet Kara [tr], Enrico Nicoletto [pt_BR], Andika Triwidada [id]

3.21.4
======
* overview: Fix switching workspaces when scrolling on non-primary monitors
  [Florian; #766883, #768316]
* Fix crash when using screen recorder under wayland [Rui; #767001]
* Update theme on video memory purge errors [Rui; #739178]
* Free old backgrounds immediately [Hyungwon; #766353]
* Add support for system upgrades to end session dialog [Kalev; #763611]
* Fix maximized windows flickering to the wrong size on restart [Owen; #761566]
* Hide ignored events in calendar as well [Florian; #768538]
* calendar: Only hide dismissed occurrence of recurring event [Florian; #748226]
* Provide org.freedesktop.impl.portal.access implementation [Florian; #768669]
* Misc. bug fixes and cleanups [Rui, Florian, Marinus, Jonas; #767954, #768317,
  #746867, #762206, #768956, #768979]

Contributors:
  Jonas Ådahl, Piotr Drąg, Hyungwon Hwang, Kalev Lember, Rui Matos,
  Florian Müllner, Marinus Schraal, Owen W. Taylor

Translations:
  Andika Triwidada [id], Daniel Mustieles [es], Bruce Cowan [en_GB],
  Dušan Kazik [sk], Piotr Drąg [pl], Chao-Hsiung Liao [zh_HK]

3.21.3
======
 * Do not disable suspend action when locked [Florian; #725960]
 * Remember input sources MRU list [Cosimo; #766826]
 * networkAgent: Handle VPN service aliases [David; #658484]
 * Plug a memory leak [Hans; #710230]

Contributors:
  Cosimo Cecchi, Florian Müllner, Hans Petter Jansson, David Woodhouse

Translations:
  Tiago Santos [pt], Cédric Valmary [oc], Muhammet Kara [tr],
  Daniel Mustieles [es], Rafael Fontenelle [pt_BR]

3.21.2
======
* Fix sorting of hidden apps in app switcher [Florian; #766238]
* Set logind's LockedHint property when locked [Victor; #764773]
* Allocate framebuffers early to fix a crash on NVIDIA [Martin; #764898]
* Fix cycle-windows/cycle-group keybindings [Florian; #730739]
* Switch to shared desktop schema for calendar settings [Iain; #766318]
* Misc. bug fixes [Florian, Cosimo, Michele; #766325, #758471, #757556,
  #757019, #766598]

Contributors:
  Cosimo Cecchi, Michele Gaio, Iain Lane, Florian Müllner, Martin Szulecki,
  Victor Toso

Translations:
  Tiago Santos [pt], Kjartan Maraas [nb], Jiro Matsuzawa [ja],
  Cédric Valmary [oc], Sveinn í Felli [is]

3.21.1
======
* Save screencasts in HOME if XDG_VIDEO_DIR doesn't exist [Florian; #765015]
* Don't show orientation lock when g-s-d won't rotate [Florian; #765267]
* Misc. bug fixes [Heiher, Florian, Marek, Rui; #722752, #765061, #763068,
  #765607, #757676, #760439]

Contributors:
  Heiher, Marek Chalupa, Rui Matos, Florian Müllner

Translations:
  Arash Mousavi [fa], Kristjan SCHMIDT [eo], GNOME Translation Robot [gd]

3.20.1
======
* Plug a memory leak [Aaron; #735705]

Contributors:
  Aaron Plattner

Translations:
  Daniel Korostil [uk], Matej Urbančič [sl], Inaki Larranaga Murgoitio [eu],
  Cheng-Chia Tseng [zh_TW], Fabio Tomat [fur], Trần Ngọc Quân [vi],
  YunQiang Su [zh_CN], Marek Černocký [cs], Arash Mousavi [fa],
  Alexander Shopov [bg], Khaled Hosny [ar]

3.20.0
======

Translations:
  Changwoo Ryu [ko], Baurzhan Muftakhidinov [kk], Milo Casagrande [it],
  Anders Jonsson [sv], Muhammet Kara [tr], Alexandre Franke [fr],
  Rūdolfs Mazurs [lv], Ask Hjorth Larsen [da], Jiro Matsuzawa [ja]

3.19.92
=======
* Update location dialog according to latest mockups [Zeeshan; #762480]
* Fix deleting chat notifications in calendar [Florian; #747991]

Contributors:
  Zeeshan Ali (Khattak), Florian Müllner

Translations:
  Rūdolfs Mazurs [lv], Changwoo Ryu [ko], Matej Urbančič [sl],
  Justin van Steijn [nl], Fabio Tomat [fur], Kris Thomsen [da],
  Marek Černocký [cs], Piotr Drąg [pl], Dušan Kazik [sk],
  Мирослав Николић [sr, sr@latin], Balázs Úr [hu], Yosef Or Boczko [he],
  Daniel Mustieles [es], Fran Dieguez [gl], Bernd Homuth [de],
  Tom Tryfonidis [el], Jiri Grönroos [fi], Gil Forcada [ca],
  Artur Morais [pt_BR], Aurimas Černius [lt], Stas Solovey [ru]

3.19.91
=======
* location: Ask user only once [Zeeshan; #762559]
* Fix jiggling when auto-hiding legacy tray [Florian; #747957]
* Misc. bug fixes [Florian, Michael, Ting-Wei; #762475, #762507, #755659]

Contributors:
  Zeeshan Ali (Khattak), Michael Catanzaro, Ting-Wei Lan, Florian Müllner

Translations:
  Мирослав Николић [sr, sr@latin], Piotr Drąg [pl], A S Alam [pa],
  Artur de Aquino Morais [pt_BR], Daniel Mustieles [es],
  Chao-Hsiung Liao [zh_TW], Daniel Korostil [uk], Fran Dieguez [gl],
  Tom Tryfonidis [el], Bernd Homuth [de], Sebastian Rasmussen [sv],
  Jordi Mas [ca], Piotr Drąg [ga], Cédric Valmary [oc], Gábor Kelemen [hu],
  Baurzhan Muftakhidinov [kk], Friedel Wolff [af], Marek Černocký [cs],
  Mingye Wang (Arthur2e5) [zh_CN], Aron Xu [zh_CN], Khaled Hosny [ar],
  Aurimas Černius [lt], Stas Solovey [ru], Yosef Or Boczko [he]

3.19.90
=======
* Correctly identify VPN secret requests [Lubomir; #760999]
* Improve week number presentation [Jakub; #683245]
* Add audio device selection dialog [Florian; #760284]
* Add media controls to the time and date drop down [Florian; #756491]
* Fix IBus candidate popup position under wayland [Rui; #753476]
* Ask user to grant applications access to location [Zeeshan; #762119]
* Misc. bug fixes [Mario, Jakub, Florian; #761208, #761772, #762270]

Contributors:
  Zeeshan Ali (Khattak), Michael Catanzaro, Rui Matos, Florian Müllner,
  Lubomir Rintel, Mario Sanchez Prada, Jakub Steiner

Translations:
  Alexander Shopov [bg], Balázs Meskó [hu], Fabio Tomat [fur],
  Dušan Kazik [sk], Piotr Drąg [pl], Alexandre Franke [fr],
  Mario Blättermann [de], Milo Casagrande [it], Jordi Mas [ca]

3.19.4
======
* gdm: Do not allow bypassing disabled Sign In button [Michael; #746180]
* Style week numbers in calendar [Jakub; #683245]
* Misc. bug fixes [Christophe, Jakub, Rui; #759708, #760577, #760945]

Contributors:
  Michael Catanzaro, Marek Černocký, Christophe Fergeau, Rui Matos,
  Jakub Steiner

Translations:
  Aurimas Černius [lt], Enrico Nicoletto [pt_BR], Andika Triwidada [id],
  Mario Blättermann [de], Marek Černocký [cs], Kjartan Maraas [nb],
  Muhammet Kara [tr], Stas Solovey [ru]

3.19.3
======
* Fix thumbnail scaling in window switcher on HiDPI [Florian; #758676]
* Update animated backgrounds on timezone changes [Florian; #758939]
* loginDialog: Update user list on user changes [Michael; #758568]
* Fix touch interaction on wayland [Carlos; #756748]

Contributors:
  Michael Catanzaro, Carlos Garnacho, Kalev Lember, Florian Müllner

Translations:
  Daniel Korostil [uk], Muhammet Kara [tr], Dušan Kazik [sk],
  Baurzhan Muftakhidinov [kk], Marek Černocký [cs]

3.19.2
======
* Make gnome-shell DBus activatable [Ray; #741666]
* Fix browser plugin crash in Firefox [Carlos; #737932, #757940]
* Optionally show battery percentage in system status area [Bastien; #735771]
* Misc. bug fixes [Kalev, Florian, Bastien; #757418, #757668, #757779, #757816,
  #745626, #758220]

Contributors:
  Michael Biebl, Michael Catanzaro, Piotr Drąg, Carlos Garcia Campos,
  Kalev Lember, Florian Müllner, Bastien Nocera, Ray Strode

Translations:
  Pedro Albuquerque [pt], liushuyu [zh_CN], Yosef Or Boczko [he],
  Jiri Grönroos [fi], Kjartan Maraas [nb], GNOME Translation Robot [gd],
  Daniel Mustieles [es], Marek Černocký [cs], Kristjan SCHMIDT [eo],
  Stas Solovey [ru]

3.19.1
======
* Respect text-scaling factor under wayland [Owen; #756447]
* Show the Bluetooth submenu when there were setup devices [Bastien; #723848]
* Misc. bug fixes [Florian, Cosimo, Rui, Ray, Owen, Jakub, Bastien;
  #756697, #756714, #756605, #754814, #738942, #756983, #756925,
  #757011, #673235, #757150]

Contributors:
  Cosimo Cecchi, Rui Matos, Florian Müllner, Bastien Nocera, Jakub Steiner,
  Ray Strode, Owen W. Taylor

Translations:
  Kjartan Maraas [nb], Khaled Hosny [ar], Balázs Meskó [hu],
  Daniel Șerbănescu [ro], Marek Černocký [cs]

3.18.1
======
* Fix screen freezes when a notification is pushed [Carlos; #755425]
* Fix overzealous ellipsization in system status menu [Adel, Florian; #708472]
* Hide app menu when disabled by setting [Florian; #745919]
* Fix lightbox effect when animations are disabled [Rui; #755827]
* Do not mark hotplug notifications as critical [Florian; #657923]
* Fix icons getting cut off in dash [Florian; #745649]
* Animate fullscreen/unfullscreen operations [Cosimo; #707248]
* Misc. bug fixes [Florian, Owen; #748919, #674799, #754581]

Contributors:
  Emmanuele Bassi, Michael Catanzaro, Cosimo Cecchi, Matthias Clasen,
  Adel Gadllah, Carlos Garnacho, Ekaterina Gerasimova, Rui Matos,
  Florian Müllner, Owen W. Taylor

Translations:
  Марко Костић [sr], Милош Поповић [sr@latin], Khaled Hosny [ar],
  Trần Ngọc Quân [vi], Petr Kovar [cs], Alexandre Franke [fr],
  Fran Dieguez [gl], Anders Jonsson [sv], Piotr Drąg [pl], Dušan Kazik [sk],
  Milo Casagrande [it], Changwoo Ryu [ko], Stas Solovey [ru],
  Rafael Fontenelle [pt_BR], Tom Tryfonidis [el], Aurimas Černius [lt],
  Seán de Búrca [ga], Christian Kirbach [de], Jiri Grönroos [fi],
  Pedro Albuquerque [pt], Baurzhan Muftakhidinov [kk], Daniel Mustieles [es],
  Marek Černocký [cs], Ask Hjorth Larsen [da], Inaki Larranaga Murgoitio [eu]

3.18.0
======

Translations:
  Sendy Aditya Suryana [id], Kris Thomsen [da], Seán de Búrca [ga],
  Andika Triwidada [id], Enrico Nicoletto [pt_BR], Anders Jonsson [sv],
  Rūdolfs Mazurs [lv]

3.17.92
=======
* Fix race when loading multiple background animations [Josselin; #741453]

Contributors:
  Michael Biebl, Josselin Mouette, Florian Müllner

Translations:
  Baurzhan Muftakhidinov [kk], Changwoo Ryu [ko], Christian Kirbach [de],
  Kjartan Maraas [nb], Jiri Grönroos [fi], Arash Mousavi [fa],
  Jiro Matsuzawa [ja], Marek Černocký [cs], Milo Casagrande [it]

3.17.91
=======
* Fix login screen spinner causing wakeups while VT-switched away
  [Ray, Rui; #753891]
* Fix scrolling of user list on login screen [Florian; #754525]

Contributors:
  Piotr Drąg, Rui Matos, Florian Müllner, Ray Strode

Translations:
  Dušan Kazik [sk], Jordi Mas [ca], Aurimas Černius [lt], Stas Solovey [ru],
  Piotr Drąg [pl], Pedro Albuquerque [pt], Daniel Mustieles [es],
  Chao-Hsiung Liao [zh_TW], Muhammet Kara [tr], Fran Dieguez [gl],
  Hannie Dumoleyn [nl], Yosef Or Boczko [he], Tom Tryfonidis [el],
  A S Alam [pa], Balázs Úr [hu], Alexandre Franke [fr], Frédéric Péters [fr]

3.17.90
=======
* Avoid caret/focus viewport changes during pointer movement [Rui; #752138]
* Match GTK+'s modal dialogs for system modal dialogs [Carlos; #746108]
* Refine message list style [Florian; #749958]
* Fix type-ahead behavior for backspace and compose key [Rui; #753319, #753320]
* Refine the system status menu [Florian; #751377]
* Misc. bug fixes and cleanups [Bastien, Ray, Florian, Jakub; #752779, #752739,
  #741366, #651503, #753064, #753181, #752881]

Contributors:
  Rui Matos, Florian Müllner, Bastien Nocera, Carlos Soriano, Jakub Steiner,
  Ray Strode, Rico Tzschichholz

Translations:
  Marek Černocký [cs], Kjartan Maraas [nb], Jordi Mas [ca], Muhammet Kara [tr],
  Enrico Nicoletto [pt_BR]

3.17.4
======
* Fix fuzziness of app menu icon [Jakub; #747932]
* Implement 4 finger swipe gesture for touchpads [Carlos; #752250]
* Misc. bug fixes [Florian, Alexandre, Piotr, Ray, Mario; #751921, #659969,
  #752438, #752675]

Contributors:
  Piotr Drąg, Alexandre Franke, Carlos Garnacho, Florian Müllner,
  Mario Sanchez Prada, Jakub Steiner, Jasper St. Pierre, Ray Strode

Translations:
  Benjamin Steinwender [de], Pedro Albuquerque [pt], Fabio Tomat [fur],
  Matej Urbančič [sl], Daniel Mustieles [es], Yosef Or Boczko [he],
  Daniel Martinez [an]

3.17.3
======
* Handle touch events in OSK on wayland [Rui; #750287]
* Reinstate left/right movement to window menu [Ron; #751344]
* Allow extensions to disable "Window is ready" notification [Adel; #748846]
* Misc. bug fixes [Watson, Michael, Ray, Rui, Florian, Cosimo; #750465,
  #751016, #751517, #750714, #751541, #751599]

Contributors:
  Michael Biebl, Cosimo Cecchi, Adel Gadllah, Rui Matos, Florian Müllner,
  Ray Strode, Wim Taymans, Ron Yorston, Watson Yuuma Sato

Translations:
  Sebastian Rasmussen [sv], Dimitris Spingos [el], Muhammet Kara [tr],
  Stas Solovey [ru], Benjamin Steinwender [de], Balázs Úr [hu],
  Victor Ibragimov [tg], Dušan Kazik [sk], Pedro Albuquerque [pt]

3.17.2
======
* Remove StTable widget [Florian; #703833]
* Increase visibility of expanders in alt-tab popup [Jakub; #745058]
* Ensure suspend inhibitors are released when VT switched away [Rui; #749228]
* Use iio-sensor-proxy directly for orientation lock [Bastien; #749671]
* Misc. bug fixes [Florian, Lan, Carlos; #749279, #749383, #749529, #749490,
  #749742]

Contributors:
  Carlos Garnacho, Ting-Wei Lan, Rui Matos, Florian Müllner, Bastien Nocera,
  Jakub Steiner

Translations:
  Yosef Or Boczko [he], sun [zh_CN], Felipe Braga [pt_BR],
  Victor Ibragimov [tg], Gábor Kelemen [hu], Cédric Valmary [oc],
  Dušan Kazik [sk], Kjartan Maraas [nb], Bruno Ramalhete [pt],
  Matej Urbančič [sl], Daniel Mustieles [es]

3.17.1
======
* Add Display Settings entry to background menu [Meet; #697346]
* Add window menu option to move to different monitor [Isaac; #633994]
* Improve switch style in default/highContrast themes [Jakub; #746294, #747912]
* Make event highlight in calendar more prominent [Jakub; #747715]
* Fix keyboard focus when focusing a notification banner [Florian; #747205]
* Move notification banners below the dateMenu [Meet, Florian; #745910]
* Misc. bug fixes [Mario, Rui; #748338, #748541]

Contributors:
  Isaac Ge, Rui Matos, Florian Müllner, Meet Parikh, Mario Sanchez Prada,
  Jakub Steiner, Jasper St. Pierre

Translations:
  Sveinn í Felli [is], Marek Černocký [cs], laurent Soleil [oc]

3.16.1
======
* gdm: Move long session chooser menus to the side [Florian; #734352]
* Work around background corruption with NVIDIA driver [Rui; #739178]
* Don't allow move-to-workspace for always-sticky windows [Florian; #746782]
* Allow switching workspaces with PgUp/PgDown in overview [Devyani; #742581]
* Bump time PAM messages are displayed [Sarvjeet; #720885]
* Fix "stutter" when moving window past the last workspace [Shivam; #712778]
* Fix blurred text on login screen [Clément; #746912]
* keyboard: Restore whole MRU list after password mode [Rui; #746605]
* Pass event timestamps when activating remote actions [Owen; #747323]
* Fix hung login screen when password is typed too quickly [Shivam; #737586]
* Make on-screen keyboard work for shell chrome on wayland [Rui; #747274]
* Implement reexec_self() for FreeBSD [Ting-Wei; #747788]
* Allow to dismiss resident notifications [Florian; #746860]
* Temporarily reveal legacy tray when icons are added [Florian; #746025]
* Make concealed tray smaller to minimize overlap with apps [Florian; #746787]
* Misc. bug fixes [Florian, Rui, Giovanni; #746323, #746579, #746902, #746364,
  #746509, #747636]

Contributors:
  Sarvjeet, Giovanni Campagna, Adel Gadllah, Clément Guérin, Devyani Kota,
  Ting-Wei Lan, Rui Matos, Shivam Mishra, Florian Müllner, Owen W. Taylor

Translations:
  Khaled Hosny [ar], Dušan Kazik [sk], Yuri Myasoedov [ru], Stas Solovey [ru],
  Hannie Dumoleyn [nl], Rūdolfs Mazurs [lv]

3.16.0
======
* Revert erroneous login dialog changes [Ray; #740142]
* Improve accessibility of legacy tray [Florian; #746487]
* Fix legacy status icons leaking into other monitors [Florian; #745824]

Contributors:
  Florian Müllner, Ray Strode

Translations:
  Daniel Martinez [an], Sebastian Rasmussen [sv], Fran Dieguez [gl],
  Andika Triwidada [id], Jordi Mas [ca], Kjartan Maraas [nb],
  Inaki Larranaga Murgoitio [eu], Muhammet Kara [tr], Khaled Hosny [ar],
  Bernd Homuth [de], Jiro Matsuzawa [ja]

3.15.92
=======
* gdm: Fix user list accessibility [Florian; #729603]
* Handle multiline questions in mount operations [Ross; #745713]
* Improve classic theme [Jakub; #745686, #745687]
* Fix ordering of calendar events [Florian; #745988]
* Pick first input source for new windows when per-window [Rui; #746037]
* networkAgent: Show a notification for non-user-initiated password requests
  [Giovanni; #660293]
* Fix dismissing calendar events [Florian; #744927]
* Add legacy tray to ctrl-alt-tab popup [Florian; #746022]
* Manage on-screen-keyboard visibility in gnome-shell [Carlos; #745977]
* Add pointer barriers to legacy tray [Cosimo; #746026]
* Use fallback when app icon cannot be resolved [Cosimo; #746219]
* Fix handling of removed smartcard at startup [Ray; #740143]
* gdm: Don't pick a random session for the user [Jasper; #740142]
* Make menu selection behavior consistent with GTK [Florian; #745246]
* gdm: Fix empty user list on user switching [Ray; #719418]
* Misc bug fixes [Florian, Giovanni, Clément, Rui; #745666, #746019, #745861,
  #746027, #746223, #737502, #746343, #746288]

Contributors:
  Giovanni Campagna, Cosimo Cecchi, Piotr Drąg, Adel Gadllah, Carlos Garnacho,
  Clément Guérin, Ross Lagerwall, Rui Matos, Florian Müllner, Jakub Steiner,
  Jasper St. Pierre, Ray Strode

Translations:
  Piotr Drąg [pl], Changwoo Ryu [ko], Milo Casagrande [it],
  Baurzhan Muftakhidinov [kk], Мирослав Николић [sr, sr@latin], Balázs Úr [hu],
  IWAI, Masaharu [ja], Daniel Korostil [uk], Aurimas Černius [lt],
  Matej Urbančič [sl], Daniel Mustieles [es], Kjartan Maraas [nb],
  Victor Ibragimov [tg], Claude Paroz [fr], Jordi Mas [ca], Bernd Homuth [de],
  Muhammet Kara [tr], Frédéric Péters [fr], Jiri Grönroos [fi],
  Alexander Shopov [bg], Stas Solovey [ru], Trần Ngọc Quân [vi],
  Samir Ribic [bs], Dušan Kazik [sk], Enrico Nicoletto [pt_BR],
  Marek Černocký [cs], A S Alam [pa], Ask Hjorth Larsen [da],
  Tom Tryfonidis [el], Alexandre Franke [fr], Yosef Or Boczko [he],
  Chao-Hsiung Liao [zh_TW]

3.15.91
=======
* Don't disable all shortcuts while non-panel menus are open [Florian; #745039]
* Do not wake up the screen for disabled notifications [Florian; #744114]
* Add unminimize animation [Florian; #702662]
* Change default shortcut for viewing notifications [Florian; #687986]
* Add shortcut to dismiss notifications from list [Florian; #745279]
* Use Polari instead of Empathy for IRC conversations [Giovanni; #745431]
* Add a hideable bottom tray for legacy status icons [Florian; #745162]
* Improve accessibility of calendar/message list [Florian; #706903, #745393]
* Fix window thumbnail scaling in overview [Sebastian; #744883]
* Stop handling non-chat notifications for Empathy [Giovanni; #745503]
* Fix mouse interaction with ibus candidate window [Rui; #745167, #745245]
* Misc bug fixes and cleanups [Giovanni, Florian, Miguel, Cosimo, Jakub,
  Michele, Raul, Matthias, Rui; #677412, #744880, #744900, #744894, #744907,
  #745061, #741111, #744912, #745175, #745246, #744959, #744575, #745570,
  #652742, #659187, #745412, #745521, #745521, #741665, #745574, #745627,
  #745494, #745111, #745132, #745110]

Contributors:
  Michele, Giovanni Campagna, Cosimo Cecchi, Matthias Clasen,
  Raul Gutierrez Segales, Sebastian Keller, David Liang, Rui Matos,
  Florian Müllner, Yosef Or Boczko, Jakub Steiner, Jasper St. Pierre,
  Rico Tzschichholz, Miguel Vaello Martínez

Translations:
  Dušan Kazik [sk], Chao-Hsiung Liao [zh_TW], Muhammet Kara [tr],
  Balázs Úr [hu], Daniel Mustieles [es], Frédéric Péters [fr],
  Rafael Ferreira [pt_BR], Aurimas Černius [lt], Milo Casagrande [it],
  Yosef Or Boczko [he], Stas Solovey [ru], Baurzhan Muftakhidinov [kk],
  Daniel Korostil [uk], Fran Dieguez [gl], Kjartan Maraas [nb],
  Tom Tryfonidis [el], Cheng-Chia Tseng [zh_TW], Friedel Wolff [af],
  Alexandre Franke [fr], Efstathios Iosifidis [el], Aron Xu [zh_CN],
  Marek Černocký [cs], Enrico Nicoletto [pt_BR]

3.15.90
=======
* gdm: Fix reactivity of first user in user list [Ray; #743370]
* Prevent DND to dash when favorites are locked down [David; #741325]
* Prevent DND in app picker when favorites are locked down [Murray; #741325]
* Implement Display panel's OSD monitor labels in the shell [Rui; #743744]
* Remove GSystem dependency [Colin; #744457]
* Do not duplicate "New Window" action in dash [Florian; #744446]
* Fix 'draw-cursor' option of screen recorder [Alexander; #744599]
* Fix screencast timestamps [Sebastian; #744642]
* Allow keybindings for switching to VT8-VT12 [Ray; #744800]
* Implement notification redesign [Florian; #744498, #744815, #744817, #744850]
* Fix struts computation of chrome on non-primary monitors [Sylvain; #744183]
* Visual refresh based on GTK+ theme redesign [Jakub, Carlos; #737785, #744680]
* Misc. bug fixes and cleanups [Ray, Bastien, Cosimo, Rui, Florian; #743371,
  #736182, #744013, #743993, #744665]

Contributors:
  Cosimo Cecchi, Murray Cumming, Sebastian Dröge, David King,
  Alexander Larsson, Rui Matos, Florian Müllner, Bastien Nocera,
  Sylvain Pasche, Carlos Soriano, Jakub Steiner, Jasper St. Pierre, Ray Strode,
  Colin Walters

Translations:
  Daniel Martinez [an], Sveinn í Felli [is], GNOME Translation Robot [de],
  Yosef Or Boczko [he], Kristjan SCHMIDT [eo], Dušan Kazik [sk],
  Andika Triwidada [id], Marek Černocký [cs], Muhammet Kara [tr],
  Matej Urbančič [sl], Milo Casagrande [it], Anders Jonsson [sv]

3.15.4
======
* Add mode parameter to AcceleratorActivated signal [Florian; #711682]
* Fix PID based window/app association [Sebastian; #736527]
* Fix current day highlight on day change [Sebastian; #742492]
* Switch to vp9 for screencast recordings [Adel; #742744]
* Disable IBus input sources on password entries [Takao; #730628]
* Make slider scrolling smoother [Adel; #742648]
* Allow move-up shortcut to move window above top workspace [Florian; #665764]
* Misc. bug fixes [Adel, Rui; #742748, #742824, #741114]

Contributors:
  Cosimo Cecchi, Takao Fujiwara, Adel Gadllah, Sebastian Keller, Rui Matos,
  Florian Müllner, Jasper St. Pierre

Translations:
  Andika Triwidada [id], Matej Urbančič [sl], Saibal Ray [bn_IN],
  Inaki Larranaga Murgoitio [eu], Stas Solovey [ru], Kjartan Maraas [nb],
  Balázs Úr [hu], Marek Černocký [cs], Rafael Ferreira [pt_BR],
  Bernd Homuth [de], Daniel Mustieles [es], Fabio Tomat [fur]

3.15.3
======
* Add support for high-contrast themes [Florian; #740447]
* Fix banner message on login screen without user list [Ray; #703972]
* Fix flicker when activating windows on another workspace [Florian; #741680]
* Misc. bug fixes [Giovanni, Florian; #735308, #740237]

Contributors:
  Giovanni Campagna, Florian Müllner, Jasper St. Pierre, Ray Strode

Translations:
  Balázs Úr [hu], Josef Andersson [sv], Muhammet Kara [tr],
  Baurzhan Muftakhidinov [kk], Inaki Larranaga Murgoitio [eu]

3.15.2
======
* Fix visual glitch of window preview outline in overview [Chris; #699044]
* Change user facing name of "Captive Portal" to "Network Login" [Elad; #737198]
* Port to Python 3 [Slavek; #732478]
* Hide Airplane mode indicator when g-s-d says so [Cosimo; #736292]
* Allow translators to change non-work days [Lavi; #664645]
* Delay invocation of caribou daemon until really needed [Daiki; #739712]
* Don't lock screen after crash if locking is disabled [Adel; #704884]
* Improve layout of extension installation dialog [William; #739888]
* Fix workspace changes from app picker [Yuki; #737534]
* Preload all ibus input sources in user configuration [Takao; #695428]
* Properly remove network connections from list [Ryan; #740227]
* Support CSS margin property [Carlos; #728437]
* Improve handling of BUSY application state [Phillip; #736492]
* Fix erroneous week numbers in calendar [Florian; #736722]
* Misc. bugfixes and cleanups [Darcy, Yuki, Alexander, Eskild, Bastien, Cosimo, Colin,
  Ray; #738725, #739497, #739241, #672500, #739822, #740074, #704163, #740141]

Contributors:
  Yuki, Lavi .A, Elad Alfassa, Cosimo Cecchi, Takao Fujiwara, Adel Gadllah,
  Eskild Hustvedt, Chris Johns, William Jon McCann, Slavek Kabrda, Ryan Lortie,
  Florian Müllner, Bastien Nocera, Christian Persch, Carlos Soriano,
  Jasper St. Pierre, Ray Strode, Alexander Tsoy, Daiki Ueno, Colin Walters,
  Phillip Wood

Translations:
  Jorge Perez Perez [an], Daniel Martinez [an], Daniel Mustieles [es],
  Trần Ngọc Quân [vi], Changwoo Ryu [ko], Kjartan Maraas [nb],
  Yosef Or Boczko [he], Marek Černocký [cs]

3.15.1
======
* Use GResources for theme loading [Cosimo; #736936]
* Reset the OSK to primary on monitor changes [Rui; #738536]
* Use LC_TIME locale for format string translations [Florian; #738640]
* Summarize queued up notifications [Devyani; #702460]
* Improve handling of multi-day events [Andreas; #727302]
* Support EXTERNAL scroll policy type [Florian; #739379]
* Misc. bugfixes [Owen, Rui; #738652, #739252]

Contributors:
  Andreas Brauchli, Cosimo Cecchi, Devyani Kota, Rui Matos, Florian Müllner,
  Jasper St. Pierre, Owen W. Taylor

Translations:
  Bahodir Mansurov [uz@cyrillic]

3.14.1
======
* Fix pulse animation for scrolled app folders [Florian; #736885]
* Fix updating background on file changes [Owen; #710756]
* Obtain keyboard variant from IBus [Jinkyu; #735066]
* Implement Ctrl-u / Ctrl-k keybindings in entries [Florian; #737346]
* Pass VPN hints to auth dialog [Dan; #737592]
* Only allow one screenshot request at a time [Adel; #737456]
* Respect disable-save-to-disc lockdown setting [Florian; #737846]
* Respect scaling-factor for profile pictures [Darcy; #735419]
* Focus login screen after lifting the lock screen shield [Ray; #708105]
* Speed up pulse animation for few items [Carlos S.; #737017]
* Fix gap between workspace switcher and screen edge [Florian; #728899]
* Disable unredirection during recordings [Adel; #738226]
* Ensure there's always at least one input source [Rui; #738303]
* Restrict width of dash icons' context menus [Adel; #738054]
* Misc. bug fixes [Jasper, Florian, Carlos G., Owen; #736999, #737382, #737001,
  #738314, #738256, #738147]

Contributors:
  Darcy Beurle, Cosimo Cecchi, Adel Gadllah, Carlos Garnacho, Rui Matos,
  Florian Müllner, Carlos Soriano, Jasper St. Pierre, Ray Strode, Patrick Ward,
  Dan Williams, Owen W. Taylor, Jinkyu Yi

Translations:
  Мирослав Николић po/sr, sr@latin.po, Fran Diéguez [gl], Marek Černocký [cs],
  Saibal Ray [bn_IN], Rajesh Ranjan [hi], Friedel Wolff [af],
  Zhou Fang [zh_CN], Krishnababu Krothapalli [te], Kjartan Maraas [nb],
  Rūdolfs Mazurs [lv], Sweta Kothari [gu], Christian Kirbach [de],
  Cheng-Chia Tseng [zh_TW], Pedro Albuquerque [pt], Daniel Mustieles [es],
  Luca Ferretti [it], Baurzhan Muftakhidinov [kk], Arash Mousavi [fa],
  Milo Casagrande [it]

3.14.0
======
* Fix exposure of the accessible tree [Alejandro; #736821]
* Hide empty app folders in app picker [Florian; #736910]

Contributors:
  Florian Müllner, Alejandro Piñeiro

Translations:
  Yuri Myasoedov [ru], Pawan Chitrakar [ne], Manoj Kumar Giri [or],
  Daniel Mustieles [es], GNOME Translation Robot [de], Rajesh Ranjan [hi],
  Shankar Prasad [kn], Kenneth Nielsen [da], Daniel Korostil [uk],
  Changwoo Ryu [ko], A S Alam [pa], Tom Tryfonidis [el], Petr Kovar [cs]

3.13.92
=======
* Fix submenu arrow animations [Hashem; #728927]
* Always initialize clutter accessibility [Alejandro; #735908]
* Adapt to mutter background changes [Owen; #735638]
* Improve handling of outOfDate extensions in prefs [Florian; #736185]
* Port offline updates to PackageKit's DBus interface [Kalev; #736337]
* location: Translate accuracy levels for geoclue [Zeeshan; #736479]
* Implement input source switching [Rui; #736435]
* Fix crash when dragging window from workspace switcher [Carlos G.; #735972]
* Clean out list of default favorites [Elad; #735682]
* Add settings link to location submenu [Florian; #736542]
* Fix keynav of message tray menu button [Florian; #707799]
* Misc. bug fixes [Carlos G., Florian, Rui; #736110, #736329, #736343,
  #735927, #735976]

Contributors:
  Elad Alfassa, Zeeshan Ali (Khattak), Michael Catanzaro, Adel Gadllah,
  Carlos Garnacho, Kalev Lember, Rui Matos, Florian Müllner, Hashem Nasarat,
  Alejandro Piñeiro, Carlos Soriano, Jasper St. Pierre, Owen W. Taylor

Translations:
  Piotr Drąg [pl], Changwoo Ryu [ko], Yuri Myasoedov [ru], Zhou Fang [ja],
  Peter Mráz [sk], Ville-Pekka Vainio [fi], Sweta Kothari [gu],
  Marek Černocký [cs], A S Alam [pa], Christian Kirbach [de],
  Alexandre Franke [fr], Aurimas Černius [lt], Khaled Hosny [ar],
  Enrico Nicoletto [pt_BR], Andika Triwidada [id], Shantha kumar [ta],
  Matej Urbančič [sl], Pawan Chitrakar [ne], Yosef Or Boczko [he],
  Balázs Úr [hu], Dušan Kazik [sk], Gil Forcada [ca],
  Carles Ferrando [ca@valencia], Nilamdyuti Goswami [as], Ivaylo Valkov [bg],
  Sandeep Sheshrao Shedmake [mr], Umarzuki Bin Mochlis Moktar [ms],
  Muhammet Kara [tr], Jiro Matsuzawa [ja], Kris Thomsen [da],
  Mattias Eriksson [sv]

3.13.91
=======
* Fix keynav into session menu on login screen [Florian; #735614]
* Add gesture to summon message tray [Carlos G.; #735625]
* Accept scrolls/swipes either way on the screen shield [Jasper; #734874]
* Animate opening the app picker and improve app folder animations
  [Carlos S.; #734726]
* Animate app icons on launching a new window [Carlos S., Florian; #734726]
* Show the on-screen keyboard when touch input is being used [David; #702015]
* Misc. bug fixes [Bastien, Owen, Florian, Carlos G.; #735190, #735385,
  #735608, #735681]

Contributors:
  Carlos Garnacho, David King, Kalev Lember, Florian Müllner, Bastien Nocera,
  Carlos Soriano, Jasper St. Pierre, Owen W. Taylor

Translations:
  Fran Diéguez [gl], Sweta Kothari [gu], Manoj Kumar Giri [or],
  Alain Lojewski [fr], Praveen Illa [te], Arash Mousavi [fa],
  Andika Triwidada [id]

3.13.90
=======
* Make use of GLSL optional [Adel; #733623]
* Update on-screen-keyboard position on monitor changes [Cosimo; #733790]
* Improve window manager animations [Giovanni; #732857]
* Handle touch events [Carlos G.; #733633]
* Try to not show "New Window" action for single-window apps
  [Giovanni; #722554]
* Fix overview exceeding screen size with many apps installed
  [Carlos S.; #723496]
* Add Software to default favorites [Mathieu; #734406]
* Improve app picker <-> desktop transition [Carlos S.; #732901]
* Remove <shift>-magic for switcher popups [Christophe; #732296]
* Add a special background to use for performance testing [Owen; #734610]
* Add support for default disabled search providers [Giovanni; #734110]
* Fix portals that don't redirect properly [Giovanni; #733848]
* Fix history trimming in chat notifications [Giovanni; #733899]
* Try to use default calendar application [Florian; #722333]
* Only show location menu when geolocation is in use [Zeeshan; #731122]
* Misc. bug fixes and cleanups [Giovanni, Carlos G., Zeeshan, Carlos S.,
  Cosimo; #711682, #733840, #734483, #734680, #733813, #735062]

Contributors:
  Zeeshan Ali (Khattak), Mathieu Bridon, Giovanni Campagna, Cosimo Cecchi,
  Piotr Drąg, Christophe Fergeau, Adel Gadllah, Carlos Garnacho,
  Florian Müllner, Carlos Soriano, Jasper St. Pierre, Olav Vitters,
  Owen W. Taylor

Translations:
  Aurimas Černius [lt], MarMav [el], Inaki Larranaga Murgoitio [eu],
  Reinout van Schouwen [nl], ngoswami [as], Fabio Tomat [fur],
  Chao-Hsiung Liao [zh_HK, zh_TW]

3.13.4
======
* Handle portal login requests [Giovanni; #704416]
* Scale fonts on wayland on hiDPI devices [Adel; #732537]
* Fix default ibus candidate index labels [Rui; #702944]
* Add gestures for various system actions [Carlos G.]
* Add performance test script for the perf.gnome.org [Owen; #732350]
* Use new restart framework to improve restart visuals [Owen; #733026]
* Improve keynav in app folder popups [Carlos S.; #731477]
* Fix truncation of app search results [Carlos S.; #732416]
* Automatically update renamed desktop files in favorites [Kalev; #729429]
* Misc. bug fixes and cleanups [Giovanni, Yosef, Owen, Bastien, Javier;
  #729823, #726401, #732301, #732348, #732349, #733498, #733540]

Contributors:
  Giovanni Campagna, Adel Gadllah, Carlos Garnacho, Javier Hernández,
  Kalev Lember, Rui Matos, Florian Müllner, Bastien Nocera, Yosef Or Boczko,
  Carlos Soriano, Jasper St. Pierre, Owen W. Taylor

Translations:
  Yuri Myasoedov [ru], Daniel Mustieles [es], Fran Diéguez [gl],
  Cheng-Chia Tseng [zh_TW], A S Alam [pa], Benjamin Steinwender [de],
  Enrico Nicoletto [pt_BR], MarMav [el], Yosef Or Boczko [he],
  Kjartan Maraas [nb]

3.13.3
======
* Don't allow closing windows with attached modals [Florian; #729886]
* Fix self-restarting on OpenBSD [Antoine; #727763]
* Improve behavior of window buttons with compositor menus [Florian; #731058]
* Work around atspi-related performance regression [Alejandro; #730118]
* Misc bug fixes and cleanups [Florian, Lan, Jasper, Christophe, Debarshi,
  Zeeshan; #728271, #726460, #703833, #731118, #731220, #695487, #730527,
  #728170, #731619, #731738, #731882, #731923]

Contributors:
  Zeeshan Ali (Khattak), Christophe Fergeau, Adel Gadllah, Antoine Jacoutot,
  Ting-Wei Lan, Florian Müllner, Alejandro Piñeiro, Debarshi Ray,
  Carlos Soriano, Jasper St. Pierre, Wim Taymans, Rico Tzschichholz

Translations:
  Philip Withnall [en_GB], Milo Casagrande [it], Aurimas Černius [lt],
  Enrico Nicoletto [pt_BR], Kjartan Maraas [nb], Balázs Meskó [hu],
  Muhammet Kara [tr], Daniel Mustieles [es], Yosef Or Boczko [he],
  Matej Urbančič [sl], Mattias Eriksson [sv]

3.13.2
======
* Make airplane mode menu insensitive in lock screen [Giovanni; #729224]
* Don't always extend struts to the screen edge [Florian; #683819]
* Fix keynav for alternatives in AltSwitcher [Florian; #727259]
* Implement window menus in the shell [Jasper; #726352]
* Support resource:/// URLs in GNOME_SHELL_JS envvar [Owen; #730409]
* Fix switcher popups with keybindings containing Escape [Rui; #730739]
* Update extension-prefs UI to follow GNOME 3 patterns [Florian; #730829]
* Add support for fallback app menu in window decorations [Florian; #730752]
* Fix keynav escaping open app folders [Florian; #726760]
* Misc. bug fixes [Kalev, Florian, Owen; #729429, #728449, #730408, #730753,
  #730653]

Contributors:
  Giovanni Campagna, Piotr Drąg, Kalev Lember, Rui Matos, Florian Müllner,
  Vadim Rutkovsky, Carlos Soriano, Jasper St. Pierre, Owen W. Taylor

Translations:
  Ihar Hrachyshka [be], Giovanni Campagna [it], Carles Ferrando [ca@valencia],
  Daniel Mustieles [es], Aurimas Černius [lt], Enrico Nicoletto [pt_BR],
  Yosef Or Boczko [he], Marek Černocký [cs], Muhammet Kara [tr],
  Georges Neto [pt_BR], Andika Triwidada [id]

3.13.1
======
* Ensure the currently focused app icon is viewable [Rui; #726759]
* Improve language in location menu [Zeeshan; #726498]
* Improve HiDpi support [Cosimo; #726907]
* Set accessible role for window previews [Alejandro; #726670]
* Fix bad antialiasing on panel menu buttons [Carlos; #727336]
* Don't hide location menu [Zeeshan; #727398]
* Fix IM candidate window obscuring current text [Rui; #727579]
* Don't always extend struts to the screen edge [Florian; #663690]
* Add shortcuts for switching to the last workspace [Elad; #659288]
* Show OSD window on all monitors [Adel; #722684]
* Improve consistency of labels in network menu [Paul; #727163]
* Fix zombie search providers showing up [Jasper; #728597]
* Remove ConsoleKit support [Florian; #686626]
* Fix region screenshots with open shell menus [Florian; #709126]
* Support <shift>insert in text entries [Florian; #648318]
* Improve app picker scrolling on touch [Jasper; #729064]
* Don't make date button clickable when on current date [Carlos; #726724]
* Tweak heuristic for hiding workspace switcher [Florian; #662457]
* Add option to show in Software to app context menu [Matthias; #643043]
* Misc. bug fixes and cleanups [Bastien, Florian, Giovanni, Adel, Vadim,
  Carlos; #727983, #727948, #728512, #728681, #728897, #727384, #728820,
  #715042, #728449, #728343]

Contributors:
  Elad Alfassa, Zeeshan Ali (Khattak), Giovanni Campagna, Cosimo Cecchi,
  Matthias Clasen, Piotr Drąg, Adel Gadllah, Paul Lange, Rui Matos,
  Simon McVittie, Florian Müllner, Bastien Nocera, Alejandro Piñeiro,
  Vadim Rutkovsky, Carlos Soriano, Jasper St. Pierre

Translations:
  Khaled Hosny [ar], Piotr Drąg [pl], Yosef Or Boczko [he],
  Antonio Fernandes C. Neto [pt_BR], Marek Černocký [cs], maria thukididu [el],
  Andika Triwidada [id], Daniel Mustieles [es], Changwoo Ryu [ko],
  Benjamin Steinwender [de], Sphinx Jiang [zh_CN],
  Inaki Larranaga Murgoitio [eu], Marcus Lundblad [sv], Aurimas Černius [lt],
  Stas Solovey [ru], Alexandre Franke [fr], Matej Urbančič [sl],
  Fran Diéguez [gl], Pau Iranzo [ca], Luca Ferretti [it], Milo Casagrande [it],
  Tiago S [pt], Victor Ibragimov [tg], Dirgita [id], Khoem Sokhem [km],
  Rūdolfs Mazurs [lv], Balázs Úr [hu], Ask H. Larsen [da], Ikuya Awashiro [ja],
  Wouter Bolsterlee [nl], Daniel Korostil [uk], Daniel Șerbănescu [ro],
  Enrico Nicoletto [pt_BR]

3.12.0
======
* gdm: Reset greeter when coming back to login screen [Jasper; #726989]

Contributors:
  Jasper St. Pierre

Translations:
  Daniel Martinez [an], Yuri Myasoedov [ru], Inaki Larranaga Murgoitio [eu],
  Abderrahim Kitouni [ar], Praveen Illa [te], Matej Urbančič [sl],
  Chao-Hsiung Liao [zh_HK, zh_TW], Frédéric Péters [fr],
  Мирослав Николић [sr, sr@latin], Ask H. Larsen [da], Kenneth Nielsen [da],
  Jiro Matsuzawa [ja], Dušan Kazik [sk]

3.11.92
=======
* calendar: Grab key focus after changing day [Volker; #725606]
* gdm: Don't load user list if disabled [Florian; #725905]
* Don't show network-offline in the top bar [Jasper; #725340]
* Improve radial shade effect of modal dialogs [Giovanni; #725830]
* Fix broken suspend-on-idle functionality [Giovanni; #712706]
* Close wifi selection dialog when device disappears [Giovanni; #723935]
* Don't close chats when pressing Escape [Giovanni; #724178]
* Improve smartcard support in login/lock screen [Ray; #726262, #726263]
* Wake up screen when resuming from suspend [Giovanni; #726378]
* Make bluetooth and location items insensitive when locked [Florian; #726319]
* Don't show bluetooth icon when there is no adapter [Giovanni; #725057]
* Make sure to keep the OSK on top of modal dialogs [Rui; #719451]
* Misc. bug fixes and cleanups [Giovanni, Ray, Adel, Daniel, Jasper, Florian;
  #725832, #725958, #722149, #724977, #724798, #725020, #723976, #726119,
  #726238, #585500, #704844, #726323, #726322, #726120, #726414]

Contributors:
  Giovanni Campagna, Daniel Drake, Adel Gadllah, Rui Matos, Florian Müllner,
  Volker Sobek, Jasper St. Pierre, Ray Strode

Translations:
  Fabio Tomat [fur], Rafael Ferreira [pt_BR], Fran Diéguez [gl],
  Marek Černocký [cs], Baurzhan Muftakhidinov [kk], Andika Triwidada [id],
  A S Alam [pa], Rūdolfs Mazurs [lv], Wylmer Wang [zh_CN],
  Aurimas Černius [lt], Cheng-Chia Tseng [zh_TW], Stas Solovey [ru],
  Tiagosdot [pt], Benjamin Steinwender [de], Frédéric Peters [fr],
  Daniel Korostil [uk], Yaron Shahrabani [he], Ville-Pekka Vainio [fi],
  maria thukididu [el], Victor Ibragimov [tg], Kjartan Maraas [nb],
  Gábor Kelemen [hu], Ask H. Larsen [da]

3.11.91
=======
* Don't use network profile name in menu [Giovanni; #725586]
* calendar: Make date label clickable to return to current date [Vit; #641366]
* Misc. bug fixes [Florian, Zeeshan, Adel, Jasper, Dan, Volker; #724813,
  #724686, #725082, #724870, #724779, #725533]

Contributors:
  Zeeshan Ali (Khattak), Giovanni Campagna, Piotr Drąg, Adel Gadllah,
  Florian Müllner, Volker Sobek, Vit Stanislav, Jasper St. Pierre, Dan Williams

Translations:
  Victor Ibragimov [tg], Aurimas Černius [lt], Dimitris Spingos [el],
  Andika Triwidada [id], Rafael Ferreira [pt_BR], Daniel Mustieles [es],
  Baurzhan Muftakhidinov [kk], Marek Černocký [cs], Ihar Hrachyshka [be],
  eternalhui [zh_CN], Yosef Or Boczko [he], Fran Diéguez [gl],
  Khaled Hosny [ar], Ville-Pekka Vainio [fi], Piotr Drąg [pl],
  Kjartan Maraas [nb], Changwoo Ryu [ko]

3.11.90
=======
* Stop showing two bluetooth entries [Giovanni; #709353]
* Improve styling of login/lock screen [Reda; #723833]
* Fix magnifier crosshairs [Magdalen; #723709]
* Make NetworkManager support optional [Michael; #669495]
* Make middle-click open a new instance [Florian; #695010]
* Scale the UI on high resolution displays [Cosimo, Adel; #705410, #724607]
* Remove notification counter on screen shield [Carlos; #709275]
* Improve app picker transition [Carlos; #722331]
* Add geolocation indicator to status menu [Zeeshan; #723684]
* Improve timestamps in chat notifications [Carlos; #708031, #715158]
* Improve network menus [Giovanni; #723570]
* Add "VPN Setting" item to VPN submenu [Giovanni; #709167]
* Improve appearance of disclosure arrows [Carlos; #720206]
* Add GSetting key to disable version validation of extensions [Adel; #724683]
* Delay auto-removing empty workspaces [Florian; #709064]
* Offer offline updates in the shutdown dialog [Kalev; #722898]
* Animate tile previews [Florian; #665758]
* Misc. bug fixes and cleanups [Giovanni, Ryan, Debarshi, Florian; #709128,
  #722342, #723661, #724184, #724256, #724293, #724305, #722554, #724282,
  #724690, #722928]

Contributors:
  Zeeshan Ali (Khattak), Magdalen Berns, Michael Biebl, Giovanni Campagna,
  Cosimo Cecchi, Adel Gadllah, Reda Lazri, Kalev Lember, Ryan Lortie,
  Florian Müllner, Debarshi Ray, Carlos Soriano, Jasper St. Pierre,
  Colin Walters

Translations:
  Victor Ibragimov [tg], Daniel Mustieles [es], Khaled Hosny [ar],
  Enrico Nicoletto [pt_BR], Yosef Or Boczko [he], Fran Diéguez [gl],
  Marek Černocký [cs], Baurzhan Muftakhidinov [kk], Jorge Pérez Pérez [an],
  Kjartan Maraas [nb], David Lüder [de], Daniel Korostil [uk], ngoswami [as],
  Rafael Ferreira [pt_BR]

3.11.5
======
* Fix extension preference tool [Florian; #722334]
* Fix keyboard activation of legacy tray icons [Giovanni; #721267]
* Add radial background shade for modal dialogs [Giovanni; #669798]
* Show attached modal windows in the overview [Giovanni; #650843]
* Add support for desktop actions [Giovanni; #669603]
* Indicate in system status when location service is used [Zeeshan; #709372]
* Add support for extended app folder schema [Jasper; #723179]
* Show status icon for wired network connections [Jasper; #708966]
* Indicate airplane mode in network selection dialog [Giovanni; #709128]
* Misc bug fixes and cleanups [Florian, Sebastian, Giovanni, Tim, Matt, Jasper;
  #722417, #722494, #722547, #722593, #722434, #722787, #722690, #722840,
  #722660, #722812, #723197, #722927, #723306, #723308, #723523, #709685,
  #723570]

Contributors:
  Zeeshan Ali (Khattak), Magdalen Berns, Giovanni Campagna, William Jon McCann,
  Sebastian Keller, Tim Lunn, Florian Müllner, Carlos Soriano,
  Jasper St. Pierre, Rico Tzschichholz, Matt Watson

Translations:
  Marek Černocký [cs], Mattias Põldaru [et], Tong Hui [zh_CN],
  Victor Ibragimov [tg], Enrico Nicoletto [pt_BR], Daniel Mustieles [es],
  Fran Diéguez [gl], Kjartan Maraas [nb], Nilamdyuti Goswami [as],
  Aurimas Černius [lt], Stas Solovey [ru], Yosef Or Boczko [he],
  Jorge Pérez Pérez [an], Dimitris Spingos [el], Baurzhan Muftakhidinov [kk],
  Chao-Hsiung Liao [zh_HK, zh_TW], Shankar Prasad [kn], Yaron Shahrabani [he],
  Andika Triwidada [id]

3.11.4
======
* Fix removal of workspacaes that are not at the end [Giovanni; #721417]
* Allow session mode to be specified in the environment [Ray; #720894]
* Special-case launching of terminals [Debarshi; #695010]
* Always show arrow if app switcher is scrollable [Jonh; #711467]
* Implement new app folders system [Jasper; #722117]
* Remove arrow from background menu [Tarun; #699608]
* Misc bug fixes and cleanups [Giovanni, Andika, Florian, Ray; #721039,
  #721439, #721507, #721629, #721868, #722210]

Contributors:
  Giovanni Campagna, Piotr Drąg, Tarun Kumar Joshi, Florian Müllner,
  Debarshi Ray, Jasper St. Pierre, Ray Strode, Andika Triwidada, Jonh Wendell

Translations:
  Dušan Kazik [sk], Tong Hui [zh_CN], Benjamin Steinwender [de],
  Matej Urbančič [sl], Jorge Pérez Pérez [an], Kjartan Maraas [nb],
  Milo Casagrande [it], Rafael Ferreira [pt_BR], Marek Černocký [cs],
  Daniel Mustieles [es], Adorilson Bezerra [pt_BR], Christian Kirbach [de],
  Aurimas Černius [lt], Andika Triwidada [id], Baurzhan Muftakhidinov [kk],
  Victor Ibragimov [tg], Yosef Or Boczko [he], Dimitris Spingos [el],
  Fran Diéguez [gl]

3.11.3
======
* Fix fade effect of desktop icons [Florian; #707671]
* Fix issues with background management code [Jasper; #709313]
* Use new Glib facilities for application search [Jasper; #711631]
* Add focus indication to session menu button [Sebastien; #710539]
* Fix hover tracking for StEntries [Jasper; #706749]
* Fix reentrancy issue in message tray [Jasper; #711694]
* Tone down zoom animation on login/unlock [Jasper; #712362]
* Allow specifying monitor for OSD [Carlos; #712664]
* Fix resetting prompt on user switch [Ray; #710456]
* Stop using gnome-bluetooth-applet [Bastien; #719341]
* Add support for EAP-FAST password requests [Dan; #719813]
* Fix entry focus of chat notifications [Jasper; #709853]
* Make window previews keyboard navigatable [Jasper; #644306]
* Fix app switcher order with dialog windows [Florian; #719824]
* Allow remote search providers without icons [Debarshi; #719965]
* Fix various alignment issues in RTL locales [Yosef; #712638, #712596,
  #712594, #712600, #712579]
* Misc. bug fixes and cleanups [Jasper, Florian, Giovanni, Dan; #712727,
  #712753, #719378, #719730, #719803, #710115, #720017, #719815, #719567,
  #720298]

Contributors:
  Giovanni Campagna, Carlos Garnacho, Sebastien Lafargue, Tim Lunn,
  Florian Müllner, Bastien Nocera, Yosef Or Boczko, Debarshi Ray,
  Jasper St. Pierre, Ray Strode, Dan Williams

Translations:
  Kjartan Maraas [nb], Reinout van Schouwen [nl], Rafael Ferreira [pt_BR],
  Mattias Põldaru [et], Emin Tufan Çetin [tr], Jiri Grönroos [fi],
  Khaled Hosny [ar], Fran Diéguez [gl], Victor Ibragimov [tg],
  Daniel Mustieles [es]

3.11.2
======
* Cache search result display actors [Jasper; #704912]
* Use username in userWidget if real name doesn't fit [Jasper; #706851]
* Support shell_global_reexec_self() on OpenBSD [Antoine; #709571]
* Support disabling browser plugin [Colin; #711218]
* Restore support for 'disable-restart-buttons' [Florian; #711244]
* Validate parameters of exposed DBus methods [Florian; #699752]
* Connect applications to systemd journal if available [Colin; #711626]
* Misc bug fixes and cleanups [Florian, Jasper; #711205, #698486, #711416,
  #644306, #711555, #709806, #711631, #711732]

Contributors:
  Cosimo Cecchi, Antoine Jacoutot, Florian Müllner, Jasper St. Pierre,
  Rico Tzschichholz, Colin Walters

Translations:
  Yuri Myasoedov [ru], Kjartan Maraas [nb], Efstathios Iosifidis [el],
  Benjamin Steinwender [de], eternalhui [zh_CN], Shantha kumar [ta]

3.11.1
======
* power: Use UPower directly instead of gnome-settings-daemon [Bastien; #710273]
* Implement support for new GTK+ notification API [Jasper, Giovanni, Florian;
  #710137, #710596]
* gdm: Don't allow user-list to fill up the entire screen [Florian; #710555]
* Don't autostart remote search providers at login [Giovanni; #708830]
* Fix spacing in end-session dialog [Sebastien; #710543]
* Prepare for js24 [Tim; #711052]
* Misc bug fixes and cleanups [Jasper, Florian, Adel, Tim, Sebastien; #710347,
  #710144, #710541, #691409, #710745, #688331, #704912]

Contributors:
  Giovanni Campagna, Adel Gadllah, Sebastien Lafargue, Tim Lunn,
  Florian Müllner, Bastien Nocera, Jasper St. Pierre, Rico Tzschichholz

Translations:
  Stas Solovey [ru], Yosef Or Boczko [he], Rafael Ferreira [pt_BR]

3.10.1
======
* Make sure lock screen is drawn once before switching user [Giovanni; #708051]
* Fix signal strength indicators in network selector [Jasper; #708442]
* Scroll search results when focusing provider icons [Jasper; #708868]
* Add separate hover/active states to page indicators [Carlos; #708852]
* Tweak appearance of user name and avatar [Yash; #702309]
* Hide "Turn On" in network menu when disabled by hardware [Giovanni; #709635]
* Cancel open keyring prompts when the screen is locked [Florian; #708910]
* Differentiate "Not Connected" and "Off" in network menu [Giovanni; #709043]
* Make network settings items point to the right device [Giovanni; #709246]
* Remove animation of window preview titles [Sebastien; #709392]
* Add 'Notifications' switch to tray menu [Florian; #707073]
* Make dropdown arrows consistent [Carlos; #709564]
* power: Use icon from primary device for status [Jasper; #709925]
* Fix XDND drags to overview [Adel; #708887]
* Fix workspace switcher disappearing with too many workspaces [Jasper; #694881]
* Handle search results with 'special:' prefix specially [Giovanni; #707055]
* gdm: Support pre-authenticated logins from oVirt [Vinzenz; #702162]
* Use ARROW role for labels representing arrows [Alejandro; #710120]
* Make selected view in app picker persistent [Florian; #710042]
* Make network selector navigable by keyboard [Alejandro; #710144]
* Misc bug fixes [Florian, Adel, Jasper, Aleksander, Giovanni, Dan, Michael,
  Tim; #709034, #709263, #698486, #709286, #709248, #709543, #696564, #703265,
  #709638, #709866, #709998, #710019, #710104, #710115]

Contributors:
  Giovanni Campagna, Michael Catanzaro, Vinzenz Feenstra, Adel Gadllah,
  Yash Girdhar, Sebastien Lafargue, Tim Lunn, Aleksander Morgado,
  Florian Müllner, Alejandro Piñeiro, Carlos Soriano, Jasper St. Pierre,
  Dieter Verfaillie, Dan Winship

Translations:
  Inaki Larranaga Murgoitio [eu], Christian Kirbach [de], Muhammet Kara [tr],
  Aurimas Černius [lt], Ryan Lortie [eo], Rūdolfs Mazurs [lv],
  Dušan Kazik [sk], Fran Diéguez [gl], Enrico Nicoletto [pt_BR],
  Kjartan Maraas [nb], Victor Ibragimov [tg], Matej Urbančič [sl],
  A S Alam [pa], Nilamdyuti Goswami [as], Daniel Mustieles [es],
  Cheng-Chia Tseng [zh_HK, zh_TW], Mattias Põldaru [et], Kenneth Nielsen [da],
  Milo Casagrande [it], Marek Černocký [cs], Ihar Hrachyshka [be],
  Мирослав Николић [sr, sr@latin], Arash Mousavi [fa], Yuri Myasoedov [ru],
  Gil Forcada [ca], Carles Ferrando [ca@valencia], Andika Triwidada [id],
  Timo Jyrinki [fi], Piotr Drąg [pl], Rafael Ferreira [pt_BR],
  Gabor Kelemen [hu], Yosef Or Boczko [he], Daniel Korostil [uk],
  Wouter Bolsterlee [nl], António Lima [pt]

3.10.0.1
=========
* Fix login screen [Ray; #708691]

Contributors:
  Ray Strode, Giovanni Campagna, Jasper St. Pierree

Translations:
  Kjartan Maraas [nb], Marek Černocký [cs], A S Alam [pa], Daniel Mustieles [es],
  Ihar Hrachyshka [be], Chao-Hsiung Liao [zh_HK], Nilamdyuti Goswami [as],
  Yuri Myasoedov [ru], Baurzhan Muftakhidinov [kk]

3.10.0
======
* Fix fade effect in ScrollViews [Carlos; #708256]
* network: Resync when activating connection changes [Jasper; #708322]
* Close run dialog when the screen locks [Florian; #708218]
* Fix entry growing out of password dialogs [Florian; #708324, #703833]
* Vertically center labels in submenu items [Jasper; #708330]
* https://bugzilla.gnome.org/show_bug.cgi?id=708387 [Mike; #708387]
* Fix bluetooth icon not being added to status menu [Jasper; #708541]
* Fix GNOME 2 keyring dialogs appearing on lock screen [Florian; #708187]
* Fix passwords being cleared twice when authentication fails [Florian; #708186]
* Fix message tray appearing in a11y popup on login screen [Florian; #708380]
* Increase width of aggregate menu popup [Adel; #708472]

Contributors:
  Adel Gadllah, Mike Gorse, Ryan Lortie, Florian Müllner, Frédéric Péters,
  Carlos Soriano, Jasper St. Pierre, Rico Tzschichholz

Translations:
  Daniel Șerbănescu [ro], Ryan Lortie [eo], Ihar Hrachyshka [be],
  A S Alam [pa], Jiro Matsuzawa [ja], Chao-Hsiung Liao [zh_HK, zh_TW],
  Piotr Drąg [pl], Kristjan SCHMIDT [eo], Daniel Korostil [uk],
  Rūdolfs Mazurs [lv], Reinout van Schouwen [nl], Yosef Or Boczko [he],
  Fran Diéguez [gl], António Lima [pt], Andika Triwidada [id],
  Alexandre Franke [fr], Rafael Ferreira [pt_BR], Milo Casagrande [it],
  Kenneth Nielsen [da], Matej Urbančič [sl]

3.9.92
======
* Don't show page indicators if there's only one page [Florian; #707363]
* Make :active style of app and non-app results consistent [Jakub; #704714]
* Fade app pages when scrolled [Florian; #707409]
* Don't block scrolling on page indicators [Carlos; #707609]
* Tweak visual appearance of folder views [Florian; #707662]
* Don't put minimized apps at the end of the app switcher [Florian; #707663]
* Merge the wayland branch [Giovanni, Neil; #707467]
* Make search entry behave better in RTL locales [Matthias, Florian; #705779]
* Allow to change app pages with pageUp/pageDown keys [Carlos; #707979]
* Set appropriate a11y states on expandable menu items [Alejandro; #708038]
* Improve page indicator animation [Carlos; #707565]
* Misc bug fixes and cleanups [Florian, Olivier, Jasper, Giovanni, Magdalen,
  Adel, Carlos, Rico, Joanmarie; #707308, #707430, #707508, #707557, #707600,
  #707614, #707666, #707814, #707806, #707801, #707889, #707892, #707935,
  #707842, #707940, #707996, #708007, #708009, #708020, #707580, #708080]

Contributors:
  Magdalen Berns, Olivier Blin, Giovanni Campagna, Matthias Clasen,
  Joanmarie Diggs, Adel Gadllah, Florian Müllner, Alejandro Piñeiro,
  Neil Roberts, Carlos Soriano, Jasper St. Pierre, Jakub Steiner,
  Rico Tzschichholz

Translations:
  Rafael Ferreira [pt_BR], Fran Diéguez [gl], Daniel Mustieles [es],
  Aurimas Černius [lt], Luca Ferretti [it], Piotr Drąg [pl],
  Chao-Hsiung Liao [zh_HK, zh_TW], Timo Jyrinki [fi], Daniel Korostil [uk],
  Dušan Kazik [sk], Adam Matoušek [cs], Marek Černocký [cs],
  Jiro Matsuzawa [ja], Yuri Myasoedov [ru], Tobias Endrigkeit [de],
  Kjartan Maraas [nb], Victor Ibragimov [tg], Мирослав Николић [sr, sr@latin],
  A S Alam [pa], Khaled Hosny [ar], Andika Triwidada [id],
  Nilamdyuti Goswami [as], Ihar Hrachyshka [be], Rūdolfs Mazurs [lv],
  Mattias Põldaru [et], Gabor Kelemen [hu], Bruce Cowan [en_GB],
  Matej Urbančič [sl], Enrico Nicoletto [pt_BR], Benjamin Steinwender [de],
  Changwoo Ryu [ko], Kris Thomsen [da], Alexandre Franke [fr],
  Evgeny Bobkin [ru], Baurzhan Muftakhidinov [kk], Peter Mráz [sk],
  Inaki Larranaga Murgoitio [eu], Yosef Or Boczko [he]

3.9.91
======
* Improve submenu styling [Jakub; #706037]
* Fix changing slider values via keyboard [Alejandro; #706386]
* Fix accessibility of sliders [Alejandro; #706391]
* Tweak system actions style [Jakub; #706638]
* Add support for auth without username / fix Not Listed? [Ray; #706607]
* Dash: Don't show tooltips for apps with open popups [Giovanni; #705611]
* Implement new end-session/power-off dialog design [Jasper, Matthias; #706612]
* Implement building separate binaries for x11 and wayland [Giovanni; #705497]
* authPrompt: Fix controls moving when showing messages [Ray; #706670]
* Tweak padding between system status icons [Allan; #706796]
* Add a generic accessible usable by JS code [Alejandro; #648623]
* Improve keynav and accessibility of the calendar [Alejandro; #706903]
* Update to new NetworkManager APIs [Jasper; #706098]
* Hide system actions section in the lock screen [Jasper; #706852]
* Don't show other logged in users at log out [Giovanni; #707124]
* Remove "Session" subtitle heading in login dialog [Jasper; #707072]
* dash: Reload favorites when installed apps change [Giovanni; #706878]
* Don't open overview after closing last window on workspace [Florian; #662581]
* Add FocusApp DBus method [Giovanni; #654086]
* Add ShowApplications DBus method [Giovanni; #698743]
* Implement new app picker design [Carlos, Florian; #706081]
* Improve frequent apps being empty by default [Carlos, Florian; #694710]
* Extend clickable area of page indicators [Giovanni; #707314]

* Misc bug fixes [Ray, Giovanni, Jasper, Emmanuele; #706542, #706654, #706005,
  #706681, #706841, #706843, #707064, #706262, #707197, #707269]

Contributors:
  Emmanuele Bassi, Giovanni Campagna, Matthias Clasen, Allan Day, Adel Gadllah,
  Florian Müllner, Alejandro Piñeiro, Carlos Soriano, Jasper St. Pierre,
  Jakub Steiner, Ray Strode, Seán de Búrca

Translations:
  Piotr Drąg [pl], Kjartan Maraas [nb], Victor Ibragimov [tg],
  Enrico Nicoletto [pt_BR], Benjamin Steinwender [de],
  Baurzhan Muftakhidinov [kk], Aurimas Černius [lt], Seán de Búrca [ga],
  Fran Diéguez [gl], Daniel Mustieles [es], Dušan Kazik [sk],
  Matej Urbančič [sl], Andika Triwidada [id], Jordi Mas [ca],
  Ihar Hrachyshka [be]

3.9.90
======
* workspaceThumbnails: Exclude transient windows when shifting workspaces
  [Bradley; #705174]
* Never show a horizontal scrollbar on lock screen [Jasper; #704327]
* authPrompt: Fix disable-user-list / Not Listed? [Ray; #705370]
* Animate the lock screen notification transitions [Giovanni; #687660]
* Wake up the screen when new notifications appear [Giovanni; #703084]
* Use StartupWMClass for application matching [Giovanni; #673657, #705801]
* dateMenu: Add style class for the clock label [Jonh; #705634]
* keyboard: Translate IBus IME name if possible [Daiki; #695673]
* power: Display single digit minutes correctly [Sebastian; #705803]
* Implement new aggregate status menu [Jasper; #705845]
* Improve triangle animation when expanding sub-menus [Tarun; #703109]
* Fix alignment of search provider icons [Tarun; #695760]
* Slide dash and workspace switcher on overview transitions [Tarun; #694262]
* Respect always-show-universal-access-status setting [Tanner; #705733]
* Handle .desktop files with capital letters [Giovanni; #706252]
* authPrompt: Add smartcard support [Ray; #683437]
* Fix call notifications in busy mode [Emilio; #666221]
* Improve triangle animation when expanding sub-menus [Tarun; #703109]
* Move message tray menu to a tray button [Jasper; #699272]
* Wi-fi dialog improvements [Jasper, Allan; #705916, #706136]
* Work towards running as wayland compositor [Giovanni]
 - Switch to Mutter abstraction layer for cursor tracking [#705911]
 - Add confirmation dialog for display changes [#706208]
* Use a different background in screen shield [Giovanni; #688210]
* Add fade animation before blanking the screen [Giovanni; #699112]
* Misc. bugfixes and cleanups [Jasper, Giovanni, Adel, Colin, Ray, Florian,
  Magdalen; #704448, #702536, #686855, #695581, #700901, #701761, #701495,
  #701848, #697833, #701731, #705664, #705840, #705898, #706089, #706153,
  #704646, #706262, #706324, #703810, #703811, #704015, #706232, #705917,
  #706536]

Contributors:
  Magdalen Berns, Giovanni Campagna, Allan Day, Tanner Doshier, Adel Gadllah,
  Sebastian Keller, Tarun Kumar Joshi, Florian Müllner, Bradley Pankow,
  Emilio Pozuelo Monfort, Jasper St. Pierre, Ray Strode, Rico Tzschichholz,
  Daiki Ueno, Colin Walters, Jonh Wendell

Translations:
  Kjartan Maraas [nb], Aurimas Černius [lt], Yaron Shahrabani [he],
  Fran Diéguez [gl], Gabor Kelemen [hu],
  Juan Diego Martins da Costa Cruz [pt_BR], Inaki Larranaga Murgoitio [eu],
  Yuri Myasoedov [ru], Daniel Mustieles [es], Seán de Búrca [ga],
  Khaled Hosny [ar], Victor Ibragimov [tg], Friedel Wolff [af],
  Marek Černocký [cs], Matej Urbančič [sl], A S Alam [pa],
  Rafael Ferreira [pt_BR], Andika Triwidada [id], Dušan Kazik [sk]

3.9.5
=====
* Fix width changes of the calendar popup [Florian; #704200]
* Work towards aggregate status menu [Jasper; #702539, #704336, #704368,
  #704670]
* Update design of lock screen notifications [Allan; #702305]
* Don't show empty backgroundMenu [Michael; #703868]
* Add option to limit app switcher to current workspace [Adel; #703538]
* Consolidate design of login screen and unlock dialog [Ray; #702308, #704795]
* Respect hasWorkspace property of session mode [Jasper; #698593]
* Fix fade of app menu icon in RTL locales [Jasper; #704583]
* Destroy notifications when the close button is clicked [Adel; #687016]
* Fix clicks on legacy tray icons in the message tray [Florian; #704095]
* authPrompt: Fade out message if users start to type [Ray; #704817]
* Export timestamps of global shortcuts on DBus [Bastien; #704859]
* Fix duplicate search provider results [Jasper; #700283]
* Misc bug fixes and cleanups [Lionel, Florian, Emilio, Ray, Jasper; #703859,
  #703540, #704077, #703997, #704318, #704347, #704265, #704411, #704430,
  #704347, #704453, #704471, #704542, #704707, #703905, #705037]

Contributors:
  Allan Day, Adel Gadllah, Lionel Landwerlin, Florian Müllner, Bastien Nocera,
  Emilio Pozuelo Monfort, Jasper St. Pierre, Ray Strode, Colin Walters,
  Michael Wood

Translations:
  eternalhui [zh_CN], Victor Ibragimov [tg], Dušan Kazik [sk],
  Jiro Matsuzawa [ja], Kjartan Maraas [nb], Milo Casagrande [it],
  Marek Černocký [cs], Daniel Mustieles [es], Benjamin Steinwender [de]

3.9.4
=====
* Fix chat entries not being focused when expanded [Jasper; #698778]
* Fix alignment of "Not Listed?" label [Mathieu; #702307]
* Fix alignment of time stamps in chat notifications [Carlos; #687809]
* Round the ends of slider trough [Jasper; #702825]
* Add support for "box-shadow: none" [Cosimo; #702782]
* Keep chrome below popup windows [Florian; #702338]
* Move the session list to a popup menu [Ray; #702818]
* Fix autorun notifications for "non-native" volumes [Matthias; #703418]
* dnd: Speed up by not picking on each motion event [Jasper; #703443]
* Fix management of asynchronous background loading [Lionel; #703001]
* Rework focus handling [Jasper; #700735]
* Optimize box-shadow rendering [Lionel; #689858]
* Remove support for fixed positioning in BoxLayouts [Florian; #703808]
* Misc bug fixes and cleanups [Adel, Jasper, Florian, Ray, Lionel, Emilio;
  #702849, #610279, #703132, #703105, #703160, #703126, #703304, #703403,
  #698593, #703442, #703565, #700901, #703874, #703807, #703893, #703909]

Contributors:
  Mathieu Bridon, Giovanni Campagna, Cosimo Cecchi, Matthias Clasen,
  Fran Diéguez, Adel Gadllah, Lionel Landwerlin, Florian Müllner,
  Emilio Pozuelo Monfort, Carlos Soriano, Jasper St. Pierre, Ray Strode

Translations:
  Baurzhan Muftakhidinov [kk], Marek Černocký [cs], Daniel Mustieles [es],
  Fran Diéguez [gl], Kjartan Maraas [nb], Andika Triwidada [id],
  Benjamin Steinwender [de], Nguyễn Thái Ngọc Duy [vi], Trần Ngọc Quân [vi]

3.9.3
=====
* Don't push window thumbs when workspace switcher is hidden [Jasper; #701167]
* Tweak timeout for activating windows during XDND [Adel; #700150]
* Fix ellipsization in control buttons in app picker [Carlos; #696307]
* Fix DND to empty dash [Florian; #684618]
* Fix OSD window appearing below system modal dialogs [Rui; #701269]
* Clear clipboard on screen lock to prevent information leak [Florian; #698922]
* Allow session mode specific overrides schema [Florian; #701717]
* window-switcher: Only show windows from current workspace by default
  [Florian; #701214]
* logout dialog: Show the correct text right away [Matthias; #702056]
* bluetooth: Port to bluez 5 [Emilio; #700891]
* dateMenu: Allow events to span multiple lines [Giovanni; #701231]
* gdm: Clear message queue when no more messages are pending [Jonh; #702458]
* Misc bug fixes and cleanups [Jasper, Florian, Adel, Giovanni; #693836,
  #700972, #701386, #700877, #701755, #698918, #701224, #702125, #701954,
  #701849, #702121]

Contributors:
  Giovanni Campagna, Matthias Clasen, Fran Diéguez, Adel Gadllah, Rui Matos,
  Florian Müllner, Emilio Pozuelo Monfort, Carlos Soriano, Jasper St. Pierre,
  Jonh Wendell

Translations:
  Marek Černocký [cs], Victor Ibragimov [tg], Fran Diéguez [gl],
  Benjamin Steinwender [de], Cheng-Chia Tseng [zh_HK, zh_TW],
  eternalhui [zh_CN], Ivaylo Valkov [bg], Kjartan Maraas [nb],
  Daniel Mustieles [es]

3.9.2
=====
* Use a symbolic icon for DESKTOP windows [Matthias; #697914]
* Move paint state cache into StWidget [Jasper; #697274]
* gdm: Fix regression where domain login hint not shown [Stef; #698200]
* Make calendar keyboard navigable [Tanner; #667434]
* Hide "Open Calendar" item when no calendar app is installed [Lionel; #697725]
* Update how branding appears on login screen [Florian; #694912, #699877]
* Allow OSD popups to grow if necessary [Marta; #696523]
* Fix offset of shadow offscreen rendering [Lionel; #698301]
* Fix insensitive button preventing empty keyring password [Stef; #696304]
* Allow cancelling keyring dialog between prompts [Stef; #682830]
* modalDialog: Show spinner while working [Stef; #684438]
* overview: Only show close buttons for windows that may close [Jasper; #699269]
* Add input purpose and hints to StEntry and StIMText [Daiki; #691392]
* Set input-purpose property for password entries [Rui; #700043]
* Provide a DBus API for screencasting [Florian; #696247]
* overview: Disable hotcorner during DND [Jasper; #698484]
* polkitAgent: Allow retrying after mistyped passwords [Stef; #684431]
* Add a way to get backtraces from criticals and warnings [Giovanni; #700262]
* Allow switch-to-workspace-n keybindings in overview [Florian; #649977]
* Update man page [Matthias; #700339]
* Add FocusSearch DBus method [Florian; #700536]
* Hide frequent view when app monitoring is disabled [Florian; #699714]
* Show switcher popup for switch-to-workspace-n keybindings [Elad; #659288]
* gdm: Update the session chooser style [Allan; #695742]
* Fix some app folders getting truncated at the top [Florian; #694371]
* Don't block the message tray while a notification is showing [Jasper; #700639]
* popupMenu: Allow for an optional border for slider handle [Florian; #697917]
* Re-lock screen when restarted after a crash [Colin; #691987]
* Synchronize input source switching with key events [Rui; #697007]
* Switch input source on modifiers-only accelerator [Rui; #697008]
* Allow input source switching in message tray [Rui; #697009]
* Misc bug fixes and cleanups [Alban, Jasper, Giovanni, Florian, Rui, Tomeu,
  Stef, Gustavo; #698863, #699799, #699800, #676285, #699975, #700097, #698812,
  #698486, #700194, #695314, #700257, #699678, #700356, #700322, #700394,
  #700409, #700595, #700625, #691746, #700620, #700807, #659288, #700784,
  #700842, #700847, #700488, #700735, #696159, #700900, #700853, #700923,
  #700944, #697661, #700854, #700190, #699189, #701097]

Contributors:
  Elad Alfassa, Alban Browaeys, Giovanni Campagna, Matthias Clasen, Allan Day,
  Tanner Doshier, Lionel Landwerlin, Rui Matos, Simon McVittie,
  Marta Milakovic, Florian Müllner, Gustavo Padovan, Jasper St. Pierre,
  Daiki Ueno, Tomeu Vizoso, Stef Walter, Colin Walters

Translations:
  Matej Urbančič [sl], Kjartan Maraas [nb], Victor Ibragimov [tg],
  Dušan Kazik [sk], Gil Forcada [ca], Daniel Mustieles [es]

3.9.1
=====
* Add additional toggle-overview keybinding [Matthias; #698251]
* Disable <super> shortcut when sticky keys are enabled [Matthias; #685974]
* Disable tray context menu while a notification displays [Jasper; #695800]
* Watch GApplication busy state [Cosimo; #697207]
* Disable style transitions if animations are disabled [Jasper; #698391]
* Filter out hidden applications from "Frequent" view [Giovanni; #696949]
* Fix window previews swapping place randomly [Jasper; #694469, #698776]
* Add support for serialized GIcons in remote search providers [Cosimo; #698761]
* Fix hotcorner regression in RTL locales [Jasper; #698884]
* Allow some keybindings to work while a top bar menu is open [Florian; #698938]
* Make open-app-menu keybinding a toggle action [Florian; #686756]
* Only recognize common URL schemes in notification messages [Monica; #661225]
* Misc fixes and cleanups [Tim, Jasper, Florian, Giovanni, Owen; #698531,
  #698622, #698427, #698483, #698513, #697203, #698959, #698918, #699029,
  #699075, #696720, #649748]

Contributors:
  Giovanni Campagna, Cosimo Cecchi, Monica Chelliah, Matthias Clasen, Tim Lunn,
  Florian Müllner, Jasper St. Pierre, Michael Wood, Owen W. Taylor

Translations:
  Fran Diéguez [gl], Muhammet Kara [tr], Daniel Mustieles [es],
  Gil Forcada [ia], Anish A [ml], Dimitris Spingos [el], Marek Černocký [cs],
  Žygimantas Beručka [lt]

3.8.1
=====
* Clip window group during startup animation [Jasper; #696323]
* Check for logind rather than systemd [Martin; #696252]
* Don't special-case last remote search provider position [Giovanni; #694974]
* Fix memory leaks [Ray, Jasper; ##697119, #697295, #697300, #697395]
* AppSwitcherPopup: Activate only the selected window if any [Rui; #697480]
* Enable screen recorder keybinding in all modes [Florian; #696200]
* Remove box-shadow from screen shield for performance reasons [Adel; #697274]
* Add support for -st-natural-width/height CSS properties [Giovanni; #664411]
* Remove excessive padding from notification buttons [Allan; #664411]
* Fix thumbnail dragging in overview [Jasper; #697504]
* theme-node: Add get_url()/lookup_url() methods [Florian; #693688]
* Misc bug fixes and cleanups [Jasper, Rui, Colin, David, Ray, Matthias:
  #695859, #696259, #696585, #696436, #697432, #697435, #697560, #697722,
  #697709]

Contributors:
  Giovanni Campagna, Matthias Clasen, Allan Day, Adel Gadllah, David Gumberg,
  Rui Matos, Florian Müllner, Martin Pitt, Jasper St. Pierre, Ray Strode,
  Colin Walters

Translations:
  Daniel Martinez [an], Bruce Cowan [en_GB], Khaled Hosny [ar],
  Ihar Hrachyshka [be], Aron Xu [zh_CN], Wojciech Szczęsny [pl],
  Inaki Larranaga Murgoitio [eu], Kjartan Maraas [nb],
  Милош Поповић [sr, sr@latin], Trần Ngọc Quân [vi]

3.8.0.1
=======
* Background bug fixes [Ray; #696712]

3.8.0
=====
* Remove blur and desaturation from lock screen [Jasper; #696322]
* Remove scroll view fade near edges [Adel; #696404]
* dateMenu: Open calendar component when using Evolution [Florian; #696432]
* Fix unlocking on fast user switch [Cosimo; #696287]
* Tweak screen shield animation [Rui; #696380]
* Fix major memory leak when changing backgrounds [Ray; #696157]
* Miscellaneous bug fixes [Jasper, Adel, Florian; #696199, #696212, #696422,
  #696447, #696235]

Contributors:
  Giovanni Campagna, Cosimo Cecchi, Adel Gadllah, Rui Matos, Florian Müllner,
  Jasper St. Pierre, Ray Strode

Translations:
  Alexandre Franke [fr], Victor Ibragimov [tg], Arash Mousavi [fa],
  Gabor Kelemen [hu], Sandeep Sheshrao Shedmake [mr], ManojKumar Giri [or],
  Shantha kumar [ta], Rajesh Ranjan [hi], Stas Solovey [ru],
  Shankar Prasad [kn], Dušan Kazik [sk], Ihar Hrachyshka [be],
  Wouter Bolsterlee [nl], Kris Thomsen [da], Jiro Matsuzawa [ja],
  Daniel Korostil [uk], Ani Peter [ml], Krishnababu Krothapalli [te],
  Mantas Kriaučiūnas [lt], Praveen Illa [te]

3.7.92
======
* Drop fallback lock implementation [Florian; #693403]
* Don't let the user trigger message-tray when in fullscreen [Jasper; #694997]
* Scroll search results when using keynav [Jasper; #689681]
* Allow raising the shield by starting to type the password [Jasper; #686740]
* Improve tracking of fullscreen windows [Owen; #649748]
* Improve animation of new windows in overview [Giovanni; #695582]
* workspace switcher: Animate new workspaces created by DND [Giovanni; #685285]
* Give user time to read messages on login screen [Ray; #694688]
* Misc bug fixes and cleanups [Jasper, Ray, Florian, Cosimo, Giovanni, Adel,
  Stef, Takao, Rui, Neil; #695154, #694993, #695272, #691578, #694321, #695338,
  #695409, #695458, #695526, #695601, #695471, #695324, #695650, #695656,
  #695659, #695485, #695395, #694951, #695824, #695841, #695801, #694321,
  #693708, #695800, #695607, #695882, #691578, #685851, #694371, #690857,
  #694092, #695747, #696007, #693438, #696064, #696102

Contributors:
  Giovanni Campagna, Cosimo Cecchi, Allan Day, Takao Fujiwara, Adel Gadllah,
  Tim Lunn, Rui Matos, Florian Müllner, Neil Roberts, Jasper St. Pierre,
  Ray Strode, Stef Walter, Colin Walters, Owen W. Taylor

Translations:
  Nilamdyuti Goswami [as], Chao-Hsiung Liao [zh_HK, zh_TW],
  Yuri Myasoedov [ru], Gheyret Kenji [ug], Baurzhan Muftakhidinov [kk],
  Ville-Pekka Vainio [fi], Matej Urbančič [sl],
  Мирослав Николић [sr, sr@latin], Rūdolfs Mazurs [lv], Christian Kirbach [de],
  Andika Triwidada [id], Gil Forcada [ca], Mattias Põldaru [et],
  Duarte Loreto [pt], Adam Matoušek [cs], Changwoo Ryu [ko],
  Ihar Hrachyshka [be], Carles Ferrando [ca@valencia], Sweta Kothari [gu]

3.7.91
======
* overview: Fade out controls during DND that are not targets [Cosimo; #686984]
* overview: Keep open when a Control key is held [Florian; #686984]
* Improve login screen => session transition [Ray; #694321]
* Center application grid horizontally [Florian; #694261]
* Fix hiding panel when fullscreen windows span multiple monitors [Adel; 646861]
* Tweak thresholds of pressure barrier [Jasper; #694467]
* Tweak window picker layout [Jasper; #694902]
* Expose key grab DBus API to gnome-settings-daemon [Florian; #643111]
* Don't always show message tray in overview, add message indicator
  [Cosimo; #687787]
* Tweak startup animation [Ray; #694326]
* Add OSD popups and expose them to gnome-settings-daemon [Florian; #613543]
* Move loupe icon to the start of the search entry [Jasper; #695069]
* Don't show the input switcher with less than 2 items [Rui; 695000]
* Fix auto-completion of system modals immediately upon display [Stef; #692937]
* Ignore workspaces in alt-tab [Florian; #661156]
* Disable copying text from password entries [Florian; #695104]
* Use standard styling for ibus candidate popups [Allan; #694796]
* Fix calendar changing height on month changes [Giovanni; #641383]
* Port the hot corner to use pressure barriers [Jasper; #663661]
* Misc bug fixes and cleanups: [Hashem, Giovanni, Alban, Jasper, Cosimo,
  Florian, Adel, Daniel, Matthias, Ray, Rui, Guillaume, Stef; #685849, #690643,
  #694292, #693814, #694234, #694365, #694287, #694336, #694256, #694261,
  #663601, #694441, #694284, #694463, #694475, #687248, #694394, #694320,
  #694701, #694784, #694858, #694906, #694327, #694876, #694905, #694969,
  #694970, #694988, #695006, #695001, #694998, #695023, #695002, #695073,
  #695126, #687748, #694837, #693907, #679851, #694988]

Contributors:
  Giovanni Campagna, Cosimo Cecchi, Matthias Clasen, Alban Crequy, Allan Day,
  Guillaume Desmottes, Adel Gadllah, Rui Matos, Daniel Mustieles,
  Hashem Nasarat, Jasper St. Pierre, Ray Strode, Stef Walter

Translations:
  Yuri Myasoedov [ru], Adam Matoušek [cs], Piotr Drąg [pl], Matej Urbančič [sl],
  Sweta Kothari [gu], Kjartan Maraas [nb], Nguyễn Thái Ngọc Duy [vi],
  Chao-Hsiung Liao [zh_HK, zh_TW], Dimitris Spingos [el],
  Inaki Larranaga Murgoitio [eu], Luca Ferretti [it], A S Alam [pa],
  Gheyret Kenji [ug], Stas Solovey [ru], Enrico Nicoletto [pt_BR],
  Fran Diéguez [gl], Daniel Mustieles [es], Aurimas Černius [lt]

3.7.90
======
* Let GNOME Shell work on EGL and GLES2 [Neil; #693225, #693438, #693339]
* Implement middle-click paste [Jasper; #645019]
* Fix top bar transition between session modes [Rui; #692966]
* Trigger the message tray with downward pressure [Jasper; #677215]
* Don't ask for a password on shutdown [Adel; #693385]
* Add a context menu to the message tray [Adel; #691035, #693887]
* Use unicode formatting in the date menu [Matthias; #689251]
* Use proper ellipsis instead of three dots [Jeremy; #689542]
* Tweak screen shield animation [Giovanni; #691964]
* Always hide the OSK when showing the message tray [Florian; #662687]
* Support sound in notifications [Giovanni; #642831]
* Place application popup menus above chrome [Jasper; #633620]
* Hide overview elements while searching [Cosimo; #682050]
* Implement updated IBus candidate popup designs [Rui; #691902]
* Add support for enable-animations preference [Cosimo; #655746]
* Don't always show the message tray in the overview [Cosimo; #693987]
* Improve arrangement of window previews [Adel; #690313]
* Remove builtin settings provider [Giovanni; #690824]
* Minimize fullscreen windows when they end up in the background [Adel; #693991]
* Add context menu to the background actor [Jasper; #681540]
* Handle backgrounds in the shell, improve startup animation [Ray; #682429]
* Hide universal access menu when not needed [Giovanni; #681528]
* Implement updated app picker designs [Florian; #694192]
* Improve login manager -> session transition [Ray; #694062]
* Don't use a grid layout in window picker [Adel; #694210]
* Use scroll wheel for workspace switching rather than zoom [Florian; #686639]
* Misc bug fixes and cleanups: [Jasper, Florian, Debarshi, Adel, Matthias,
  Giovanni, Daiki, Rico, Bastien, Cosimo, Ray, Allan, Antonio; #693284,
  #692680, #691746, #693303, #693162, #693161, #693522, #693385, #691715,
  #688915, #689106, #682429, #693570, #693737, #693458, #692845, 693836,
  #681540, #679925, #688227, #692773, #693909, #683288, #693854, #693746,
  #693931, #693924, #693940, #693970, #693935, #693937, #693974, #693936,
  #693975, #693822, #694030, #685849, #694052, #694035, #694038, #694079,
  #694064, #681735, #694100, #694057, #694070, #693572, #693896, #686984,
  #694123, #694125, #693756, #693757, #687556, #694215, 694062, #694227,
  #694240, #694234, #694264, 694276, 694282, #694241, #689394, #694202,
  #694265, #694289, #691806, #694290, #694296]

Contributors:
  Jeremy Bicha, Giovanni Campagna, Cosimo Cecchi, Matthias Clasen, Allan Day,
  António Fernandes, Adel Gadllah, Rui Matos, Florian Müllner, Bastien Nocera,
  Debarshi Ray, Neil Roberts, Jasper St. Pierre, Ray Strode, Rico Tzschichholz,
  Daiki Ueno

Translations:
  Yasumichi Akahoshi [ja], Yoji TOYODA [ja], Dušan Kazik [sk],
  Wouter Bolsterlee [nl], Matej Urbančič [sl], Gheyret Kenji [ug],
  Ivaylo Valkov [bg], Daniel Korostil [uk], Gheyret Kenji [ug],
  Daniel Mustieles [es], Anish A [ml], Gil Forcada [ca],
  Carles Ferrando [ca@valencia], Мирослав Николић [sr, sr@latin],
  Aurimas Černius [lt], Rafael Ferreira [pt_BR], Fran Diéguez [gl],
  Piotr Drąg [pl], Luca Ferretti [it], A S Alam [pa]

3.7.5
=====
* MessageTray: pass keyboard events to tray icons [Giovanni; #687425]
* network: add support for virtual devices (vlan, bond, bridge) [Dan; #677144]
* gdm: Allow right-clicking buttons for left-handed users [Jasper; #688748]
* Make list search results span all available horizontal space [Tanner; #691967]
* Make Show-Applications button depress when held down [Hashem; #692319]
* Set a max width on search results [Cosimo; #692453]
* Reserve scrollbar allocation for automatic policy [Cosimo; #686881]
* Improve scaling algorithm for window thumbnails [Jasper; #686944]
* Fix launching settings panels after g-c-c changes [Jasper; #692483]
* Stop launching applications from empty searches [Hashem; #692391]
* Implement per-source notification filtering [Giovanni; #685926]
* ScreenShield: Omit ActiveChanged() signal at end of fade [Giovanni; #691964]
* ScreenShield: Lower the shield on idle before locking [Giovanni; #692560]
* Make previews of minimized windows translucent in overview [Florian; #692999]
* windowManager: Respect icon geometry when minimizing [Florian; #692997]
* ScreenShield: Only show lock icon when actually locked [Giovanni; #693007]
* general: Use & instead of 'and' for Settings panels [Jeremy; #689590]
* network: Add support for new ModemManager1 interface [Aleksander; #687359]
* network: Handle LTE-only modems as GSM ones [Aleksander; #688144]
* mobile-providers: Port to libnm-gtk [Aleksander; #688943]
* general: Consistently use Title Case in top bar [Jeremy; #689589]
* panel: Add :overview pseudo class while in overview [Florian; #693218]
* sessionMode: Add support for mode-specific styling [Florian; #693219]
* loginManager: Make suspend a NOP in the ConsoleKit patch [Florian; #693162]
* screenShield: Inhibit suspend until the screen is locked [Florian; #686482]
* Misc bug fixes and cleanups [Jasper, Giovanni, Rui, Cosimo, Florian, Stefano,
  Adel, Yanko; #691745, #691731, #690171, #689091, #691976, #691963, #684279,
  #692052, #692091, #642831, #692454, #692715, #692678, #692723, #692677,
  #683986, #692693, #692749, #692948, #692995, #692996, #692994, #677215,
  #692586, #693067, #693031, #693049, #643111, #693161, #693220]

Contributors:
  Jeremy Bicha, Giovanni Campagna, Cosimo Cecchi, Tanner Doshier,
  Stefano Facchini, Adel Gadllah, Yanko Kaneti, Rui Matos, Aleksander Morgado,
  Florian Müllner, Hashem Nasarat, Jasper St. Pierre, Dan Winship

Translations:
  Duarte Loreto [pt], Daniel Mustieles [es], Kjartan Maraas [nb],
  Nilamdyuti Goswami [as], Мирослав Николић [sr,sr@latin],
  Tobias Endrigkeit [de], Fabio Tomat [fur], Matej Urbančič [sl], A S Alam [pa],
  Inaki Larranaga Murgoitio [eu], Piotr Drąg [pl], Wouter Bolsterlee [nl],
  Gheyret Kenji [ug], Yaron Shahrabani [he], Chao-Hsiung Liao [zh_HK,zh_TW],
  Milo Casagrande [it], Benjamin Steinwender [de]

3.7.4.1
=======
* userMenu: Use show-full-name-in-top-bar setting [Bastien; #689561]
* dateMenu: Add "Open Clocks" entry [Mathieu; #644390]
* screenshot: Immediately show the flash spot [Jasper; #691875]
* Misc. bug fixes [Rico, Jeremy]

Contributors:
  Jeremy Bicha, Mathieu Bridon, Bastien Nocera, Jasper St. Pierre,
  Rico Tzschichholz

Translations:
  Ihar Hrachyshka [be]

3.7.4
=====
* Make menu separators crisp [Giovanni, Allan; #641745]
* power: Update for new D-Bus name [Bastien; #690506]
* Add smooth scrolling support [Jasper; #687573]
* Tweak notification layout [Allan; #688506]
* Ping the active window when using the app menu [Giovanni; #684340]
* Make password entries insensitive after submission [Jasper; #690594, #690895]
* Honor lock-delay GSettings key [Giovanni, Matthias; #690766, #691170]
* Use text/calendar preferred app as the calendar app [Giovanni; #690767]
* lookingGlass: Move to an inspect() function [Jasper; #690726]
* Make OSK animation quicker, snappier [Rui; #688642]
* Allow to close chat notifications with Escape [Jasper; #690897]
* Honor org.gnome.desktop.screensaver.user-switch-enabled [Giovanni; #691042]
* Add a SelectArea() DBus method [Cosimo; #687954]
* Support non-absolute paths when saving screenshots [Cosimo; #688004]
* OSK: Fix extended keys popups [Rui; #674955]
* Don't hide or show the keyboard immediately [Rui; #688646]
* Improve padding in power menu [Giovanni; #689297]
* Add per-window input source switching [Rui; #691414]
* Misc bug fixes and cleanups [Rico, Jasper, Giovanni, Rui, Florian, Dan;
  #690608, #690589, #690539, #687081, #690667, #690665, #690666, #685856,
  #690858, #690895, #680414, #690965, #691019, #690590, #681376, #690180,
  #685513, #689263, #691553, #691720, #691743, #691750]

Contributors:
  Giovanni Campagna, Cosimo Cecchi, Matthias Clasen, Allan Day, Rui Matos,
  Florian Müllner, Bastien Nocera, Jasper St. Pierre, Rico Tzschichholz,
  Dan Winship

Translations:
  Matej Urbančič [sl], Kjartan Maraas [nb], Mattias Põldaru [et],
  Yaron Shahrabani [he], Aurimas Černius [lt], Khaled Hosny [ar],
  Fran Diéguez [gl], Daniel Mustieles [es], Piotr Drąg [pl], Balázs Úr [hu],
  Baurzhan Muftakhidinov [kk], Tobias Endrigkeit [de], Dušan Kazik [sk],
  Aron Xu [zh_CN], Gheyret Kenji [ug]

3.7.3
=====
* Add 'No Messages' label when message tray is empty [Victoria; #686738]
* Use better icons in Ctrl-Alt-Tab popup [Stéphane; #641303]
* Show the OSK on the monitor where the focused window lives [Giovanni; #685856]
* Highlight window clone and caption when hovered [Giovanni, Marc; #665310]
* Improve login process indication [Stéphane; #687113]
* Omit empty categories in apps view [Stéphane; #687970]
* Style panel differently according to mode [Florian; #684573]
* Make it possible to hide the user name [Matthias; #688577]
* Consolidate and improve chat connection notifications [Giovanni; #687213]
* Improve notification scrollbar appearance [Carlos; #688393]
* Fade scroll view fade near scrolling edges [Jasper; #689249]
* Add a read-only org.gnome.Shell.Mode property [Debarshi; #689300]
* Don't close message tray after using context menus [Giovanni; #689296]
* Port swipe-scrolling to ClutterPanAction [Jasper, Florian; #689062, #689552]
* Remember state of 'Remember Password' checkbox [Ron; #688039]
* Improve timestamp format in chat notifications [Carlos; #680989]
* Improve style of missed-messages counter [Carlos; #686472]
* Omit connection failure notifications if cancelled by user [Giovanni; #684823]
* Add window-based Alt-Tab popup [Florian; #688913]
* Support external session mode definitions [Florian; #689304]
* Support session-mode-specific extensions [Florian; #689305]
* Support 'parentMode' property in session modes [Florian; #689308]
* Support a new org.gnome.ShellSearchProvider2 DBus interface
  [Cosimo; #689735, #690009]
* Add "windows" to Ctrl-Alt-Tab popup [Jasper; #689653]
* Port PopupMenu to GrabHelper [Jasper; #689109, #689954]
* Show headphone icon when headphones are plugged in [Giovanni; #675902]
* Display (non-app) search results as list [Tanner, Cosimo; #681797]
* Skip diacritical marks in search terms [Aleksander; #648587]
* Expose all engine options in input sources [Giovanni, Rui; #682318]
* Add input source switcher popup [Rui; #682315]
* Add minimal support for InfiniBand in network menu [Dan; #677150]
* Misc bug fixes and cleanups [Sebastian, Aleksander, Giovanni, Tim, Cosimo,
  Florian, Matthias, Rui, Lionel, Colin, Piotr, Guillaume, Bastien, Tanner,
  Carlos, Stéphane, Jakub; #688422, #688379, #688750, #688771, #686800,
  #688133, #688895, #688966, #683986, #688004, #689108, #689029, #683449,
  #688196, #689304, #689243, #689295, #689325, #689400, #679168, #689568,
  #689537, #689528, #689749, #689789, #689353, #689820, #689868, #689778,
  #689959, #688589, #688589, #689955, #687250, #689965, #690046, #690049,
  #689884, #682286, #690173, #690174, #672941, #689876, #687881, #690171,
  #690241, #690312, #690175, #687955, #650843, #688234, #690427

Contributors:
  Giovanni Campagna, Cosimo Cecchi, Matthias Clasen, Stéphane Démurget,
  Guillaume Desmottes, Tanner Doshier, Piotr Drąg, Sebastian Keller,
  Lionel Landwerlin, Tim Lunn, Victoria Martínez de la Cruz, Aleksander Morgado,
  Florian Müllner, Bastien Nocera, Marc Plano-Lesay, Carlos Soriano Sánchez,
  Jakub Steiner, Jasper St. Pierre, Colin Walters, Dan Winship, Ron Yorston

Translations:
  Yuri Myasoedov [ru], Wouter Bolsterlee [nl], Yaron Shahrabani [he],
  Nilamdyuti Goswami [as], Ani Peter [ml], Kjartan Maraas [nb],
  Dr.T.Vasudevan [ta], A S Alam [pa], Shankar Prasad [kn], Khaled Hosny [ar],
  Daniel Mustieles [es], Dušan Kazik [sk]

3.7.2
=====
* Enforce RTL in he for messages that might end up as LTR [Florian; #686630]
* gdm: Move logo into the panel [Florian; #685852]
* Hide notifications when closed button is clicked [Jasper, Florian; #682237]
* Tweak screenShield animations [Rui; #686745]
* Restore Fittsability of summary items in message tray [Florian; #686474]
* Save screencasts as recent item [Ray; #680647]
* overview: Resize window captions on content change [Giovanni, Alex; #620874]
* App search: Match GenericName too [Matthias; #687121]
* runDialog: Better match style of other modal dialogs [Florian, Allan; #687127]
* Improve the button insensitive style [Stéphane; #687110]
* network: Don't use a global switch for all VPN connections [Giovanni; #682929]
* appMenu: Update on icon theme changes [Florian; #687224]
* Show 'Log out' in more situations [Matthias; #686736]
* Add a setting to force the 'Log out' menuitem [Matthias; #686057]
* overview: Improve styling of search box [Stéphane; #686479]
* Implement 'disable-user-list' in login screen [Ray; #660660]
* Fix auto-scroll to bottom in chat notifications [Sjoerd; #686571]
* Show feedback notifications when user is busy [Stéphane; #662900]
* Disable login button when there is no input [Stéphane; #687112]
* Use non-linear overview shade for background [Giovanni, Pierre-Eric; #669798]
* Reduce blocking in compositor thread [Simon, Jasper; #687465]
* network: new country-specific type to gather providers [Aleksander; #687356]
* Update man page [Matthias; #680601]
* st-entry: Change the pointer cursor on enter/leave events [Thomas; #687130]
* screenShield: Blur and desaturate the background [Giovanni, Cosimo; #682536]
* Change height of chat notifications to have more context [Carlos; #665255]
* screenShield: Account for motion velocity when hiding [Giovanni; #682537]
* screenShield: hide the cursor while the lock screen is on [Giovanni; #682535]
* Support remote search provider settings [Cosimo; #687491]
* unlockDialog: Improve label of confirmation button [Stéphane; #687656]
* userMenu: Rename "System Settings" item to "Settings" [Elad; #687738]
* messageTray: Add keybinding to focus current notification [Stéphane; #652082]
* Remove shell-screen-grabber [Neil; #685915]
* main: Stop using Metacity's keybinding files [Florian; #687672]
* Bluetooth: Remove ObexFTP functionality [Bastien; #688160]
* a11y: Also set WM theme when HighContrast is switched on [Cosimo; #688256]
* network: Rework multiple NIC support [Giovanni; #677142]
* Rework keybindings to allow selective blocking/processing [Florian; #688202]
* recorder: Show indicator on primary monitor [Adel; #688470]
* recorder: Set frame duration to fix broken video headers [Adel; #688487]
* Misc. bugfixes and cleanups [Florian, Jasper, Giovanni, Matthew, Stéphane,
  Allan, Daiki, Owen, Alejandro, Jean-François, Cosimo, Sebastian, Adel, Alban;
  #686484, #686728, #686805, #686574, #686763, #682428, #687132, #685239,
  #687189, #687226, #658091, #670687, #687457, #687242, #687287, #687020,
  #686583, #661194, #687491, #657315, #687958, #683986, #688089, #687708,
  #686530, #684810, #688181, #688475, #688557, #688507, #638351]

Contributors:
  Elad Alfassa, Matthew Barnes, Alban Browaeys, Giovanni Campagna,
  Cosimo Cecchi, Matthias Clasen, Allan Day, Stéphane Démurget,
  Jean-François Fortin Tam, Adel Gadllah, Alex Hultman, Sebastian Keller,
  Rui Matos, Simon McVittie, Aleksander Morgado, Florian Müllner,
  Bastien Nocera, Pierre-Eric Pelloux-Prayer, Alejandro Piñeiro, Neil Roberts,
  Sjoerd Simons, Carlos Soriano Sánchez, Jasper St. Pierre, Ray Strode,
  Owen Taylor, Daiki Ueno, Thomas Wood

Translations:
  Dušan Kazik [sk], Pavol Klačanský [sk], Piotr Drąg [pl], Yuri Myasoedov [ru],
  Marek Černocký [cs], Kjartan Maraas [nb], Wolfgang Stöggl [de],
  Yaron Shahrabani [he], Fran Diéguez [gl], Mattias Põldaru [et]

3.7.1
=====
* Add shortcut to open application view directly [Jeremy; #685738]
* Expose '<Super>F10' shortcut in System Settings [Florian; #672909]
* Clean up timestamp format in chat notifications [Carlos; #680989]
* loginScreen: Add support for 'disable-restart-buttons' [Florian; #686247]
* Update textures automatically on file changes [Florian; #679268]
* Implement org.gnome.ScreenSaver.GetActiveTime [Giovanni; #686064]
* Add missing translations for GSetting schema [Giovanni; #686413]
* Hide workspace switcher completely when it's not necessary [Seif; #686483]
* Explicitly load gnome-screensaver when not running GDM [Tim; #683060]
* Port to GnomeIdleMonitor [Jasper; #682224]
* Set Empathy as preferred handler when delegating channels [Xavier; #686296]
* Allow testing GDM login dialog from the session [Giovanni; #683725]
* Use all available space for windows in window picker [Jasper, Pierre-Eric;
  #582650]
* Use logind for suspend if available [Florian; #686482]
* Misc. fixes and cleanups [Jasper, Florian, Adel, Rui; #677426, #680426,
  #686233, #686241, #686318, #686240, #686484, #686002, #684650, #686487]

Contributors:
  Jeremy Bicha, Giovanni Campagna, Xavier Claessens, Adel Gadllah, Seif Lotfy,
  Tim Lunn, Rui Matos, Florian Müllner, Pierre-Eric Pelloux-Prayer,
  Carlos Soriano, Jasper St. Pierre

Translations:
  Andika Triwidada [id], Matej Urbančič [sl], Ihar Hrachyshka [be],
  Daniel Mustieles [es], Fran Diéguez [gl], Takayuki KUSANO [ja],
  Мирослав Николић [sr, sr@latin], Dušan Kazik [sk], Tom Tryfonidis [el]

3.6.1
=====
* dash: Make padding even on the top/bottom of the dash [Jasper; #684619]
* Fix a crash when dragging search results [Jasper; #684888]
* workspaceThumbnail: Fix dragging with static workspaces [Jasper; #684641]
* Really hide 'Show Keyboard Layout' on the lock screen [Matthias]
* Misc. improvements to jhbuild setup [Owen; #685352, #685353, #685354, #685355]
* Show message tray in Ctrl+Alt+Tab outside of the overview [Jasper, Florian;
  #684633, #685914]
* Disable hotplug sniffer on remote filesystems [Jasper; #684093]
* userMenu: Remove 'Switch Session' item [Florian; #685062]
* unlockDialog: Make prompt entry insensitive while logging in [Jasper; #685444]
* messageTray: Don't animate desktop clone for failed grabs [Jasper; #685342]
* Fix crash on dragging windows between workspaces [Ryan; #681399]
* userMenu: Ignore 'lock-enabled' setting for user switching [Florian; #685536]
* gdm: Fix key-focus on first user [Adel; #684650]
* Make grid button insensitive when dragging non-favorites [Jasper; #685313]
* Calendar: hide all actions when on the login screen [Matthias; #685142]
* Adapt unlock dialog layout for the login screen [Florian; #685201]
* Make focus-follows-mouse work better with Shell UI [Florian; #678169]
* Improve look of screen shield [Jasper; #685919]
* Fix keynav in the login screen [Florian; #684730]
* dateMenu: Hide "Open Calendar" item if calendar unavailable [Florian; #686050]
* unlockDialog: Reset UI on verification failure [Giovanni; #685441]
* Show unlock dialog on primary monitor when using keynav [Giovanni; #685855]
* Fix height changes of entries when entering text [Florian; #685534]
* Fix show-apps label after successful drags [Florian; #684627]
* Misc. bugfixes and cleanups [Jasper, Olivier, Florian, Owen, Adel, Tanner, Tim, Matthias; #685434, #685511, #685466, #685341, #685156, #681159, #673189, #686016, 684869, #686079, #686063

Contributors:
Jasper St. Pierre
Matthias Clasen
Owen Taylor
Olivier Blin
Florian Müllner
Ryan Lortie
Adel Gadllah
Tanner Doshier
Tim Lunn
Giovanni Campagna

Translations:
  Tobias Endrigkeit [de], Rudolfs Mazurs [lv], Ask H. Larsen [da],
  Shankar Prasad [kn], Changwoo Ryu [ko], Chris Leonard [en_GB],
  Arash Mousavi [fa], Theppitak Karoonboonyanan [th], Seán de Búrca [ga],
  Yaron Shahrabani [he], Alexander Shopov [bg], Žygimantas Beručka [lt],
  Milo Casagrande [it], Kjartan Maraas [nb], Kris Thomsen [da],
  Aurimas Černius [lt], Yuri Myasoedov [ru], Мирослав Николић [sr],
  Marek Černocký [cs], Gabor Kelemen [hu], Ihar Hrachyshka [be],
  Chao-Hsiung Liao [zh_HK, zh_TW], Eleanor Chen [zh_CN],
  Carles Ferrando [ca@valencia], Vicent Cubells [ca], Daniel Korostil [uk],
  Alexandre Franke [fr], Piotr Drąg [pl]

3.6.0
=====
* keyboard: Make input source items accessible [Florian; #684462]
* Don't show network dialogs in the lock screen [Giovanni; #684384]
* popupMenu: Fix initial visibility of settings items [Florian; #684473]
* userMenu: Close menu immediately on user/session switch [Florian; #684459]
* Fix alignment of search section headers in RTL locales [Florian; #684379]
* screenShield: Fix unlock animation [Florian; #684591]
* Don't open the tray from a dwell while in a modal grab [Jasper; #684458]
* userMenu: Fix texture updates on icon changes [Florian; #679268]
* Fix a11y support in the login screen [Florian, Ray; #684727, #684728, #684748]
* Make On-Screen-Keyboard usable with new message tray [Giovanni, Florian;
  #683546]
* Fix initial visibility of input volume in lock-screen [Florian; #684611]

Contributors:
  Giovanni Campagna, Florian Müllner, Jasper St. Pierre, Ray Strode

Translations:
  Matej Urbančič [sl], Dr.T.Vasudevan [ta], Piotr Drąg [pl], A S Alam [pa],
  Alexander Shopov [bg], Nilamdyuti Goswami [as], Chandan Kumar [hi],
  Khaled Hosny [ar], Ibrahim Saed [ar], Sandeep Sheshrao Shedmake [mr],
  Tom Tryfonidis [el], Theppitak Karoonboonyanan [th], Alexandre Franke [fr],
  Fran Diéguez [gl], Gabor Kelemen [hu], Ani Peter [ml], Daniel Mustieles [es],
  Мирослав Николић [sr, sr@latin], Duarte Loreto [pt], ManojKumar Giri [or],
  Ihar Hrachyshka [be], Aurimas Černius [lt], Djavan Fagundes [pt_BR],
  Changwoo Ryu [ko], Bruce Cowan [en_GB], Kris Thomsen [da], Gil Forcada [ca],
  Yaron Shahrabani [he], Milo Casagrande [it], Ville-Pekka Vainio [fi],
  YunQiang Su [zh_CN], Carles Ferrando [ca@valencia], Mario Blättermann [de],
  Rajesh Ranjan [hi], Yuri Myasoedov [ru], Rūdolfs Mazurs [lv],
  Jiro Matsuzawa [ja], Mattias Põldaru [et], Timur Zhamakeev [ky],
  Petr Kovar [cs], Chao-Hsiung Liao [zh_HK,zh_TW], Andika Triwidada [id]

3.5.92
======
* Login/UnlockDialog: Don't reset immediately if auth fails [Giovanni; #682544]
* Allow changing session mode at runtime [Jasper, Giovanni; #683156]
* Add zoom out animation on login [Jasper; #683170]
* Bluetooth: don't restrict the length of non numeric PINs [Giovanni; #683356]
* Force chat notification to stay open when focusing entry [Debarshi; #682236]
* Make sure the screen is fully locked before suspending [Giovanni; #683448]
* st-texture-cache: Fix a case of distorted textures [Florian; #683483]
* popupSubMenu: Fix padding for non-scrolled submenus [Florian; #683009]
* popupMenu: Fix width changes on submenu open/close [Florian; #683485]
* boxpointer: Avoid malformed boxpointer arrow [Debarshi; #680077]
* Change stage background color to grey [Adel; #683514]
* messageTray: Update style of summary counters [Debarshi; #682891]
* Don't fail if a legacy tray icon has no WM_CLASS [Giovanni; #683724]
* PolkitAgent: Fix a crash if there is no avatar [Giovanni; #683707]
* Hide the a11y menu in the lock screen, but show it in the login screen
  [Giovanni; #682542]
* Fix show-apps button dropping off the dash [Florian; #683340]
* Fix committing strings to shell entries from input method [Florian; #658325]
* Make IBus display strings consistent with control-center [Rui; #683124]
* Fix missing short codes for some input sources [Rui; #683613]
* Remove support for long-press from entry context menus [Jasper; #683509]
* screenShield: Add box-shadow to the shield [Florian]
* Don't show a right-click menu for the hotplug source [Jasper; #683438]
* Fix extension styling [Giovanni; #682128]
* Fix on-screen keyboard not working with system-modal dialogs
  [Giovanni; #664309]
* Fix insensitive styling for popup menu items [Giovanni; #683988]
* Disable the message tray dwell when the user is interacting [Owen; #683811]
* Animate going from the unlock dialog to the lock screen [Giovanni; #681143]
* Autostart fprintd when necessary [Ray; #683131]
* UnlockDialog: Allow typing before the first PAM question [Giovanni; #681576]
* Make Return key dismiss screenshield [Ray; #683889]
* Fix keyboard navigation in the message tray [Florian; #682243]
* Remove the places & devices search provider [Giovanni; #683506]
* Enable hot corner while the message tray is up [Florian; #682255]
* Port screen recorder to new GStreamer vp8enc API [Adel; #684206]
* Fix fish flickering [Giovanni; #684154]
* Fix extension ordering with !important [Jasper; #684163]
* Allow the shell to run without the screenshield [Giovanni; #683060]
* Add menu items for IBus Anthy's InputMode, TypingMode [Rui; #682314]
* Improve transition to the login dialog [Jasper; #682428]
* Keep unlock dialog around until shield animation ends [Florian; #684342]
* Expose shell keybindings in System Settings [Florian; #671010]
* Misc. bugfixes and cleanups [Debarshi, Florian, Giovanni, Jasper, Rico, Rui;
  #672790, #677434, #683305, #683357, #683369, #683377, #683378, #683400,
  #683449, #683472, #683482, #683487, #683488, #683526, #683529, #683546,
  #683583, #683628, #683705, #683982, #683989, #684035, #684036, #684040,
  #684162, #684214, #684343]

Contributors:
  Giovanni Campagna, Adel Gadllah, Rui Matos, Florian Müllner, Debarshi Ray,
  Jasper St. Pierre, Ray Strode, Owen Taylor, Rico Tzschichholz

Translations:
  Gabor Kelemen [hu], Piotr Drąg [pl], Khaled Hosny [ar],
  Мирослав Николић [sr, sr@latin], Chao-Hsiung Liao [zh_HK, zh_TW],
  Bruce Cowan [en_GB], Dirgita [id], Tom Tryfonidis [el], Timo Jyrinki [fi],
  Adorilson Bezerra [pt_BR], Arash Mousavi [fa], Matej Urbančič [sl],
  Christian Kirbach [de], Yaron Shahrabani [he], Ihar Hrachyshka [be],
  Changwoo Ryu [ko], Duarte Loreto [pt], Theppitak Karoonboonyanan [th],
  Nilamdyuti Goswami [as], Sandeep Sheshrao Shedmake [mr],
  Alexandre Franke [fr], Ivaylo Valkov [bg], tuhaihe [zh_CN],
  Yuri Myasoedov [ru], Aurimas Černius [lt], Andika Triwidada [id],
  Rajesh Ranjan [hi], Sweta Kothari [gu], Daniel Mustieles [es],
  Fran Diéguez [gl], Praveen Illa [te]

3.5.91
======
* Improve modal dialog styling of network secret prompts [Jasper; #682412]
* Fix visibility of non-active workspaces during overview transition
  [Florian; #682002]
* Improve scrollbar theming [Cosimo; #682476]
* Make sure the app menu remains hidden in locked state [Florian; #682475]
* Add tooltip to show-applications icon [Jasper; #682445]
* Do not add duplicate remote search providers [Florian; #682470]
* Handle 'popup-menu' signal on summary items [Florian; #682486]
* Fix dwelling during mouse-down [Owen; #682385]
* Set label actor for endSessionDialog.ListItem [Alejandro; #677503]
* Don't match on comments when searching applications [Florian; #682529]
* Make workspace selector more similar to the mockup [Stefano; #662087]
* Fix extension installation and reloading [Jasper; #682578]
* Hide removable devices in the lock screen [Giovanni; #681143]
* Reset cancellable after hitting Escape on login screen [Alban; #681537]
* Fix suspend from the user menu [Giovanni; #682746]
* Set label actor for summary items in message tray [Alejandro; #677229]
* Set label for the "Show applications" dash button [Alejandro; #682366]
* Load extensions as late as possible [Jasper; #682822]
* Improve mount operation dialogs [Jon; #682645]
* Remove "Connect to ..." item from places search [Florian; #682817]
* Don't auto-expand notifications with actions [Giovanni; #682738]
* Add a new lock screen menu to combine volume network and power
  [Giovanni; #682540]
* Add support for pre-edit to StIMText [Daiki; #664041]
* Remove StIconType [Jasper, Florian, Rui, Giovanni, Debarshi; #682540]
* Use monitor geometry for dwelling [Florian; #683044]
* Add support for surrounding-text to StIMText [Daiki; #683015]
* Improve the placement and style of the "No results" text [Jasper; #683135]
* Remove broken network device activation policy [Giovanni; #683136]
* Hide power status icon when no battery is present [Tim; #683080]
* Ensure summary items are square and have spacing [Debarshi; #682248]
* Fix close buttons overlapping screen edge [Debarshi; #682343]
* Escape the tray when a legacy icon is clicked [Giovanni; #682244]
* Update arrow in the screen shield to match latest mockups [Giovanni; #682285]
* Allow lifting the screen shield with the mouse wheel [Giovanni; #683164]
* Make sure to show the app menu after unlocking the screen [Jasper; #683154]
* Misc bug fixes and cleanups [Debarshi, Florian, Giovanni, Jasper, Rui;
  #582650, #667439, #682238, #682268, #682429, #682455, #682544, #682546,
  #682683, #682710, #682998, #683073, #683137, #683156]

Contributors:
  Alban Browaeys, Giovanni Campagna, Cosimo Cecchi, Stefano Facchini,
  Adel Gadllah, Tim Lunn, Rui Matos, William Jon McCann, Florian Müllner,
  Alejandro Piñeiro, Debarshi Ray, Jasper St. Pierre, Owen Taylor, Daiki Ueno

Translations:
  Piotr Drąg [pl], Takayuki KUSANO [ja], Kjartan Maraas [nb],
  Aurimas Černius [lt], Daniel Mustieles [es], Yuri Myasoedov [ru],
  Khaled Hosny [ar], Yaron Shahrabani [he], Tom Tryfonidis [el],
  Nilamdyuti Goswami [as], Fran Diéguez [gl], Nguyễn Thái Ngọc Duy [vi],
  A S Alam [pa], Dr.T.Vasudevan [ta], Luca Ferretti [it]

3.5.90
======
* Use symbolic icons for workspace switch OSD [Jon; #680738]
* Lock screen improvements:
  - Hide user menu and a11y menu in the screen lock [Giovanni; #681143]
  - Bump the lock screen slightly when pressing a key [Giovanni; #681143]
  - Constrain vertical movement of the screen shield [Giovanni; #681143]
  - Return to lock screen on idle [Giovanni; #682041]
  - Unlock screen automatically after fast-user switching [Giovanni; #682096]
  - Fix "other user" label [Ray; #681750]
* Constrain content of system modals to primary monitor [#681743]
